package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouMallOpenInvoiceHeadParam {

    private String title;

    /**
     * @return 发票抬头
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置发票抬头     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String taxpayerIdentify;

    /**
     * @return 纳税人识别号
     */
    public String getTaxpayerIdentify() {
        return taxpayerIdentify;
    }

    /**
     * 设置纳税人识别号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxpayerIdentify(String taxpayerIdentify) {
        this.taxpayerIdentify = taxpayerIdentify;
    }

    private String streetAddress;

    /**
     * @return 街道地址信息（不包括包括省市）
     */
    public String getStreetAddress() {
        return streetAddress;
    }

    /**
     * 设置街道地址信息（不包括包括省市）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStreetAddress(String streetAddress) {
        this.streetAddress = streetAddress;
    }

    private String province;

    /**
     * @return 省
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置省     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String city;

    /**
     * @return 市
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置市     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String country;

    /**
     * @return 县、区
     */
    public String getCountry() {
        return country;
    }

    /**
     * 设置县、区     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCountry(String country) {
        this.country = country;
    }

    private String phone;

    /**
     * @return 注册电话（固定）
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置注册电话（固定）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String bank;

    /**
     * @return 开户银行
     */
    public String getBank() {
        return bank;
    }

    /**
     * 设置开户银行     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBank(String bank) {
        this.bank = bank;
    }

    private String accountId;

    /**
     * @return 银行账号
     */
    public String getAccountId() {
        return accountId;
    }

    /**
     * 设置银行账号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

}
