package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouMallOpenInvoiceParam {

    private String invoiceType;

    /**
     * @return 发票类型
     */
    public String getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置发票类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    private AlibabaCaigouMallOpenInvoiceHeadParam invoiceHead;

    /**
     * @return 发票抬头
     */
    public AlibabaCaigouMallOpenInvoiceHeadParam getInvoiceHead() {
        return invoiceHead;
    }

    /**
     * 设置发票抬头     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceHead(AlibabaCaigouMallOpenInvoiceHeadParam invoiceHead) {
        this.invoiceHead = invoiceHead;
    }

    private AlibabaCaigouMallOpenReceiveAddressParam receiveAddress;

    /**
     * @return 临时邮寄地址
     */
    public AlibabaCaigouMallOpenReceiveAddressParam getReceiveAddress() {
        return receiveAddress;
    }

    /**
     * 设置临时邮寄地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveAddress(AlibabaCaigouMallOpenReceiveAddressParam receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    private Boolean invoiceHeadUseExists;

    /**
     * @return 如果发票抬头已经存在（根据title判断）是否使用默认的发票抬头
     */
    public Boolean getInvoiceHeadUseExists() {
        return invoiceHeadUseExists;
    }

    /**
     * 设置如果发票抬头已经存在（根据title判断）是否使用默认的发票抬头     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceHeadUseExists(Boolean invoiceHeadUseExists) {
        this.invoiceHeadUseExists = invoiceHeadUseExists;
    }

}
