package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouMallOpenTradeOrderParam {

    private AlibabaCaigouMallOpenOfferParam[] offerList;

    /**
     * @return 商品参数
     */
    public AlibabaCaigouMallOpenOfferParam[] getOfferList() {
        return offerList;
    }

    /**
     * 设置商品参数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferList(AlibabaCaigouMallOpenOfferParam[] offerList) {
        this.offerList = offerList;
    }

    private AlibabaCaigouMallOpenInvoiceParam invoice;

    /**
     * @return 发票信息
     */
    public AlibabaCaigouMallOpenInvoiceParam getInvoice() {
        return invoice;
    }

    /**
     * 设置发票信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoice(AlibabaCaigouMallOpenInvoiceParam invoice) {
        this.invoice = invoice;
    }

    private AlibabaCaigouMallOpenReceiveAddressParam receiveGoodsAddress;

    /**
     * @return 临时收货地址
     */
    public AlibabaCaigouMallOpenReceiveAddressParam getReceiveGoodsAddress() {
        return receiveGoodsAddress;
    }

    /**
     * 设置临时收货地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveGoodsAddress(AlibabaCaigouMallOpenReceiveAddressParam receiveGoodsAddress) {
        this.receiveGoodsAddress = receiveGoodsAddress;
    }

    private String needSellerConfirm;

    /**
     * @return 是否需要卖家确认
     */
    public String getNeedSellerConfirm() {
        return needSellerConfirm;
    }

    /**
     * 设置是否需要卖家确认     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSellerConfirm(String needSellerConfirm) {
        this.needSellerConfirm = needSellerConfirm;
    }

    private String title;

    /**
     * @return 采购单标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置采购单标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String subLoginId;

    /**
     * @return 子账号的登陆账号,这个为下单主体
     */
    public String getSubLoginId() {
        return subLoginId;
    }

    /**
     * 设置子账号的登陆账号,这个为下单主体     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubLoginId(String subLoginId) {
        this.subLoginId = subLoginId;
    }

}
