package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortmsgReturnCheckResultParam extends AbstractAPIRequest<AlibabaCnMarketingShortmsgReturnCheckResultResult> {

    public AlibabaCnMarketingShortmsgReturnCheckResultParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortmsg.returnCheckResult", 1);
    }

    private String taskId;

    /**
     * @return 任务Id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置任务Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    private Boolean success;

    /**
     * @return 检查是否通过
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置检查是否通过     *
     * 参数示例：<pre>true/false</pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private Integer resultCode;

    /**
     * @return 结果返回码
     */
    public Integer getResultCode() {
        return resultCode;
    }

    /**
     * 设置结果返回码     *
     * 参数示例：<pre>0: 表示检查通过</pre>     
     * 此参数必填
     */
    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    private String errorMsg;

    /**
     * @return 错误信息
     */
    public String getErrorMsg() {
        return errorMsg;
    }

    /**
     * 设置错误信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

}
