package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDaixiaoProductInfo {

    private Long productId;

    /**
     * @return 1688商品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置1688商品Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String productTitle;

    /**
     * @return 商品标题
     */
    public String getProductTitle() {
        return productTitle;
    }

    /**
     * 设置商品标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    private String picURI;

    /**
     * @return 商品图片
     */
    public String getPicURI() {
        return picURI;
    }

    /**
     * 设置商品图片     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPicURI(String picURI) {
        this.picURI = picURI;
    }

    private Long catId;

    /**
     * @return 类目ID
     */
    public Long getCatId() {
        return catId;
    }

    /**
     * 设置类目ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCatId(Long catId) {
        this.catId = catId;
    }

    private AlibabaDaixiaoProductSkuInfo[] skuModelList;

    /**
     * @return 商品规格属性列表
     */
    public AlibabaDaixiaoProductSkuInfo[] getSkuModelList() {
        return skuModelList;
    }

    /**
     * 设置商品规格属性列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuModelList(AlibabaDaixiaoProductSkuInfo[] skuModelList) {
        this.skuModelList = skuModelList;
    }

    private String skuModelStr;

    /**
     * @return skuModel的String形式
     */
    public String getSkuModelStr() {
        return skuModelStr;
    }

    /**
     * 设置skuModel的String形式     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuModelStr(String skuModelStr) {
        this.skuModelStr = skuModelStr;
    }

    private Boolean needSync;

    /**
     * @return 是否需要同步规格
     */
    public Boolean getNeedSync() {
        return needSync;
    }

    /**
     * 设置是否需要同步规格     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSync(Boolean needSync) {
        this.needSync = needSync;
    }

    private String publishTime;

    /**
     * @return 发布时间
     */
    public String getPublishTime() {
        return publishTime;
    }

    /**
     * 设置发布时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }

    private String minPurchasePrice;

    /**
     * @return 最低采购价
     */
    public String getMinPurchasePrice() {
        return minPurchasePrice;
    }

    /**
     * 设置最低采购价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMinPurchasePrice(String minPurchasePrice) {
        this.minPurchasePrice = minPurchasePrice;
    }

    private String maxPurchasePrice;

    /**
     * @return 最高采购价
     */
    public String getMaxPurchasePrice() {
        return maxPurchasePrice;
    }

    /**
     * 设置最高采购价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMaxPurchasePrice(String maxPurchasePrice) {
        this.maxPurchasePrice = maxPurchasePrice;
    }

    private String sellPrice;

    /**
     * @return 建议零售价
     */
    public String getSellPrice() {
        return sellPrice;
    }

    /**
     * 设置建议零售价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellPrice(String sellPrice) {
        this.sellPrice = sellPrice;
    }

    private Long supplyStock;

    /**
     * @return 供应商库存
     */
    public Long getSupplyStock() {
        return supplyStock;
    }

    /**
     * 设置供应商库存     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplyStock(Long supplyStock) {
        this.supplyStock = supplyStock;
    }

    private Boolean isDistribute;

    /**
     * @return 是否已铺货
     */
    public Boolean getIsDistribute() {
        return isDistribute;
    }

    /**
     * 设置是否已铺货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsDistribute(Boolean isDistribute) {
        this.isDistribute = isDistribute;
    }

    private Integer channel;

    /**
     * @return 铺货渠道
     */
    public Integer getChannel() {
        return channel;
    }

    /**
     * 设置铺货渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    private Long itemId;

    /**
     * @return 淘宝商品ID
     */
    public Long getItemId() {
        return itemId;
    }

    /**
     * 设置淘宝商品ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    private String distributeTime;

    /**
     * @return 铺货时间
     */
    public String getDistributeTime() {
        return distributeTime;
    }

    /**
     * 设置铺货时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDistributeTime(String distributeTime) {
        this.distributeTime = distributeTime;
    }

    private String minTbSellPrice;

    /**
     * @return 淘宝最低售价
     */
    public String getMinTbSellPrice() {
        return minTbSellPrice;
    }

    /**
     * 设置淘宝最低售价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMinTbSellPrice(String minTbSellPrice) {
        this.minTbSellPrice = minTbSellPrice;
    }

    private String maxTbSellPrice;

    /**
     * @return 淘宝最高售价
     */
    public String getMaxTbSellPrice() {
        return maxTbSellPrice;
    }

    /**
     * 设置淘宝最高售价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMaxTbSellPrice(String maxTbSellPrice) {
        this.maxTbSellPrice = maxTbSellPrice;
    }

    private String tbStatus;

    /**
     * @return 淘宝状态(直接展示)， 枚举值为"未上架"、"在售"、"已下架"
     */
    public String getTbStatus() {
        return tbStatus;
    }

    /**
     * 设置淘宝状态(直接展示)， 枚举值为"未上架"、"在售"、"已下架"     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTbStatus(String tbStatus) {
        this.tbStatus = tbStatus;
    }

    private String tbDetail;

    /**
     * @return 淘宝详情页
     */
    public String getTbDetail() {
        return tbDetail;
    }

    /**
     * 设置淘宝详情页     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTbDetail(String tbDetail) {
        this.tbDetail = tbDetail;
    }

    private String offerStatus;

    /**
     * @return 商品状态，枚举值为"EXPIRED"(过期),"MEMBER_DELETED"(会员删除),"PUBLISHED"(上架中)
     */
    public String getOfferStatus() {
        return offerStatus;
    }

    /**
     * 设置商品状态，枚举值为"EXPIRED"(过期),"MEMBER_DELETED"(会员删除),"PUBLISHED"(上架中)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferStatus(String offerStatus) {
        this.offerStatus = offerStatus;
    }

    private String tips;

    /**
     * @return 异常提醒（直接展示）
     */
    public String getTips() {
        return tips;
    }

    /**
     * 设置异常提醒（直接展示）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTips(String tips) {
        this.tips = tips;
    }

}
