package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorConfirmOrderParam extends AbstractAPIRequest<AlibabaDistributorConfirmOrderResult> {

    public AlibabaDistributorConfirmOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.confirmOrder", 1);
    }

    private long[] supplyOrders;

    /**
     * @return 采购单列表
     */
    public long[] getSupplyOrders() {
        return supplyOrders;
    }

    /**
     * 设置采购单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplyOrders(long[] supplyOrders) {
        this.supplyOrders = supplyOrders;
    }

}
