package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorQuerySkuBySpecIdParam extends AbstractAPIRequest<AlibabaDistributorQuerySkuBySpecIdResult> {

    public AlibabaDistributorQuerySkuBySpecIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.querySkuBySpecId", 1);
    }

    private Long productId;

    /**
     * @return 产品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String specId;

    /**
     * @return sku的SpecId
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置sku的SpecId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

}
