package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorSyncTbSkuInfoParam extends AbstractAPIRequest<AlibabaDistributorSyncTbSkuInfoResult> {

    public AlibabaDistributorSyncTbSkuInfoParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.syncTbSkuInfo", 1);
    }

    private Long productId;

    /**
     * @return 需要同步sku信息的产品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置需要同步sku信息的产品Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Long itemId;

    /**
     * @return 淘宝宝贝Id
     */
    public Long getItemId() {
        return itemId;
    }

    /**
     * 设置淘宝宝贝Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

}
