package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaErpManufacturePullSpProductDataListParam extends AbstractAPIRequest<AlibabaErpManufacturePullSpProductDataListResult> {

    public AlibabaErpManufacturePullSpProductDataListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.erp.manufacture.pullSpProductDataList", 1);
    }

    private String[] productCodes;

    /**
     * @return 需求单号列表
     */
    public String[] getProductCodes() {
        return productCodes;
    }

    /**
     * 设置需求单号列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCodes(String[] productCodes) {
        this.productCodes = productCodes;
    }

}
