package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaIcbuProductListParam extends AbstractAPIRequest<AlibabaIcbuProductListResult> {

    public AlibabaIcbuProductListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.icbu.product.list", 1);
    }

    private String keyword;

    /**
     * @return 
     */
    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    private String searchType;

    /**
     * @return 
     */
    public String getSearchType() {
        return searchType;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSearchType(String searchType) {
        this.searchType = searchType;
    }

    private String imageSize;

    /**
     * @return 
     */
    public String getImageSize() {
        return imageSize;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageSize(String imageSize) {
        this.imageSize = imageSize;
    }

    private Integer pageIndex;

    /**
     * @return 
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String ip;

    /**
     * @return 
     */
    public String getIp() {
        return ip;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    private Integer categoryId;

    /**
     * @return 
     */
    public Integer getCategoryId() {
        return categoryId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    private Integer rankId;

    /**
     * @return 
     */
    public Integer getRankId() {
        return rankId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRankId(Integer rankId) {
        this.rankId = rankId;
    }

}
