package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLstStockOperateResult {

    private String itemId;

    /**
     * @return 货品id
    当无规格时 productId
    当存在规格时 productId#skuId
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * 设置货品id
    当无规格时 productId
    当存在规格时 productId#skuId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    private Boolean result;

    /**
     * @return 操作是否成功
     */
    public Boolean getResult() {
        return result;
    }

    /**
     * 设置操作是否成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResult(Boolean result) {
        this.result = result;
    }

    private String code;

    /**
     * @return 业务异常码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置业务异常码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCode(String code) {
        this.code = code;
    }

    private String desc;

    /**
     * @return 业务异常信息
     */
    public String getDesc() {
        return desc;
    }

    /**
     * 设置业务异常信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDesc(String desc) {
        this.desc = desc;
    }

}
