package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureMutableBulkOrder {

    private String bulkGoodsCode;

    /**
     * @return 大货订单编码(货号)
     */
    public String getBulkGoodsCode() {
        return bulkGoodsCode;
    }

    /**
     * 设置大货订单编码(货号)     *
     * 参数示例：<pre>THZ0001ABG101GD0002A</pre>     
     * 此参数必填
     */
    public void setBulkGoodsCode(String bulkGoodsCode) {
        this.bulkGoodsCode = bulkGoodsCode;
    }

    private String title;

    /**
     * @return 产品标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置产品标题     *
     * 参数示例：<pre>云上生活2015年6月连衣裙V领50件</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String status;

    /**
     * @return 状态值
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态值     *
     * 参数示例：<pre>PRODUCING| PRODUCED|CLOSE
    (支持自定义如:delivered,但关健状态需与文档中的一致)</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date statusDate;

    /**
     * @return 状态发生时间
     */
    public Date getStatusDate() {
        return statusDate;
    }

    /**
     * 设置状态发生时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setStatusDate(Date statusDate) {
        this.statusDate = statusDate;
    }

    private String statusDesc;

    /**
     * @return 状态说明
     */
    public String getStatusDesc() {
        return statusDesc;
    }

    /**
     * 设置状态说明     *
     * 参数示例：<pre>生产中｜生产完成｜关闭｜已发货（运单:345234567987）</pre>     
     * 此参数必填
     */
    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }

}
