package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaMarketingShortlinkMarketingShortUrlModel {

    private Integer id;

    /**
     * @return 主键id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置主键id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Integer id) {
        this.id = id;
    }

    private String instanceKey;

    /**
     * @return 唯一标示
     */
    public String getInstanceKey() {
        return instanceKey;
    }

    /**
     * 设置唯一标示     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstanceKey(String instanceKey) {
        this.instanceKey = instanceKey;
    }

    private String memberId;

    /**
     * @return 会员memberId
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String name;

    /**
     * @return 短链名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置短链名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String shortUrl;

    /**
     * @return 短链url
     */
    public String getShortUrl() {
        return shortUrl;
    }

    /**
     * 设置短链url     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setShortUrl(String shortUrl) {
        this.shortUrl = shortUrl;
    }

    private String type;

    /**
     * @return 短链类型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置短链类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String url;

    /**
     * @return url
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置url     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUrl(String url) {
        this.url = url;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String appId;

    /**
     * @return app来源
     */
    public String getAppId() {
        return appId;
    }

    /**
     * 设置app来源     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    private Long pv1d;

    /**
     * @return T-1 天pv
     */
    public Long getPv1d() {
        return pv1d;
    }

    /**
     * 设置T-1 天pv     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPv1d(Long pv1d) {
        this.pv1d = pv1d;
    }

    private Long uv1d;

    /**
     * @return T-1 天uv
     */
    public Long getUv1d() {
        return uv1d;
    }

    /**
     * 设置T-1 天uv     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUv1d(Long uv1d) {
        this.uv1d = uv1d;
    }

    private Long payMordCnt1d;

    /**
     * @return T-1 天订单笔数
     */
    public Long getPayMordCnt1d() {
        return payMordCnt1d;
    }

    /**
     * 设置T-1 天订单笔数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayMordCnt1d(Long payMordCnt1d) {
        this.payMordCnt1d = payMordCnt1d;
    }

    private Double payMordAmt1d;

    /**
     * @return T-1 天订单金额
     */
    public Double getPayMordAmt1d() {
        return payMordAmt1d;
    }

    /**
     * 设置T-1 天订单金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayMordAmt1d(Double payMordAmt1d) {
        this.payMordAmt1d = payMordAmt1d;
    }

    private Long pvTotal;

    /**
     * @return 累计pv(30天)
     */
    public Long getPvTotal() {
        return pvTotal;
    }

    /**
     * 设置累计pv(30天)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPvTotal(Long pvTotal) {
        this.pvTotal = pvTotal;
    }

    private Long payMordCntTotal;

    /**
     * @return 累计订单笔数(30天)
     */
    public Long getPayMordCntTotal() {
        return payMordCntTotal;
    }

    /**
     * 设置累计订单笔数(30天)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayMordCntTotal(Long payMordCntTotal) {
        this.payMordCntTotal = payMordCntTotal;
    }

    private Double payMordAmtTotal;

    /**
     * @return 累计订单金额(30天)
     */
    public Double getPayMordAmtTotal() {
        return payMordAmtTotal;
    }

    /**
     * 设置累计订单金额(30天)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayMordAmtTotal(Double payMordAmtTotal) {
        this.payMordAmtTotal = payMordAmtTotal;
    }

    private String statDate;

    /**
     * @return 统计时间
     */
    public String getStatDate() {
        return statDate;
    }

    /**
     * 设置统计时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

}
