package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaMarketingShortmsgMsgTaskInfo {

    private String sellerMemberId;

    /**
     * @return 发起短信任务的卖家memberId
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置发起短信任务的卖家memberId     *
     * 参数示例：<pre>b2b-1234567</pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String taskId;

    /**
     * @return 任务Id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置任务Id     *
     * 参数示例：<pre>a40b1c7902f4498cb31931822d1a6eb7</pre>     
     * 此参数必填
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    private String msgContent;

    /**
     * @return 短信内容
     */
    public String getMsgContent() {
        return msgContent;
    }

    /**
     * 设置短信内容     *
     * 参数示例：<pre>这是一段短信内容</pre>     
     * 此参数必填
     */
    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    private Integer totalNum;

    /**
     * @return 发送圈子总人数
     */
    public Integer getTotalNum() {
        return totalNum;
    }

    /**
     * 设置发送圈子总人数     *
     * 参数示例：<pre>100</pre>     
     * 此参数必填
     */
    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

}
