package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOfferFastPublishParam extends AbstractAPIRequest<AlibabaOfferFastPublishResult> {

    public AlibabaOfferFastPublishParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.offer.fastPublish", 1);
    }

    private AlibabaProductFastPublishModel fastpubmodel;

    /**
     * @return 主模型
     */
    public AlibabaProductFastPublishModel getFastpubmodel() {
        return fastpubmodel;
    }

    /**
     * 设置主模型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFastpubmodel(AlibabaProductFastPublishModel fastpubmodel) {
        this.fastpubmodel = fastpubmodel;
    }

}
