package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOfferFastPublishsku {

    private Integer amount;

    /**
     * @return 可售 数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置可售 数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private String price;

    /**
     * @return 商品一口价 价格目前有些精确到小数点后面四位的，所以我们要考虑到精度的问题
     */
    public String getPrice() {
        return price;
    }

    /**
     * 设置商品一口价 价格目前有些精确到小数点后面四位的，所以我们要考虑到精度的问题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(String price) {
        this.price = price;
    }

    private String outId;

    /**
     * @return 外部规格id
     */
    public String getOutId() {
        return outId;
    }

    /**
     * 设置外部规格id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutId(String outId) {
        this.outId = outId;
    }

    private String pictrueUrl;

    /**
     * @return 图片httpurl
     */
    public String getPictrueUrl() {
        return pictrueUrl;
    }

    /**
     * 设置图片httpurl     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPictrueUrl(String pictrueUrl) {
        this.pictrueUrl = pictrueUrl;
    }

    private AlibabaOfferPv[] propertyValuePairs;

    /**
     * @return 属性pv
     */
    public AlibabaOfferPv[] getPropertyValuePairs() {
        return propertyValuePairs;
    }

    /**
     * 设置属性pv     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPropertyValuePairs(AlibabaOfferPv[] propertyValuePairs) {
        this.propertyValuePairs = propertyValuePairs;
    }

    private AlibabaOfferPriceranges[] priceRanges;

    /**
     * @return 阶梯价格设置
     */
    public AlibabaOfferPriceranges[] getPriceRanges() {
        return priceRanges;
    }

    /**
     * 设置阶梯价格设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPriceRanges(AlibabaOfferPriceranges[] priceRanges) {
        this.priceRanges = priceRanges;
    }

    private String cargo;

    /**
     * @return 单品货号
     */
    public String getCargo() {
        return cargo;
    }

    /**
     * 设置单品货号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCargo(String cargo) {
        this.cargo = cargo;
    }

}
