package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaQueryUnicomOrderParam extends AbstractAPIRequest<AlibabaPanamaQueryUnicomOrderResult> {

    public AlibabaPanamaQueryUnicomOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.panama.queryUnicomOrder", 1);
    }

    private AlibabaPanamaUnicomOrderOptParam unicomOrderOptParam;

    /**
     * @return subOrderId为子订单 id. parentOrderId 为主订单 id. 二者必须存在至少一个. 如果都存在则查询子订单 id
     */
    public AlibabaPanamaUnicomOrderOptParam getUnicomOrderOptParam() {
        return unicomOrderOptParam;
    }

    /**
     * 设置subOrderId为子订单 id. parentOrderId 为主订单 id. 二者必须存在至少一个. 如果都存在则查询子订单 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnicomOrderOptParam(AlibabaPanamaUnicomOrderOptParam unicomOrderOptParam) {
        this.unicomOrderOptParam = unicomOrderOptParam;
    }

}
