package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomCreateRefundParam {

    private String appkey;

    /**
     * @return 
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private Long userId;

    /**
     * @return 
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    private Integer workType;

    /**
     * @return 申请挂起类型，1为未收到，2为退货，3为换货
     */
    public Integer getWorkType() {
        return workType;
    }

    /**
     * 设置申请挂起类型，1为未收到，2为退货，3为换货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWorkType(Integer workType) {
        this.workType = workType;
    }

    private String content;

    /**
     * @return 挂起申请描述 50字符以内
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置挂起申请描述 50字符以内     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContent(String content) {
        this.content = content;
    }

    private String parentOrderId;

    /**
     * @return 主订单 id
     */
    public String getParentOrderId() {
        return parentOrderId;
    }

    /**
     * 设置主订单 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentOrderId(String parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    private String subOrderId;

    /**
     * @return 子订单 id
     */
    public String getSubOrderId() {
        return subOrderId;
    }

    /**
     * 设置子订单 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubOrderId(String subOrderId) {
        this.subOrderId = subOrderId;
    }

}
