package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomGoodModel {

    private String sku;

    /**
     * @return 商品编码
     */
    public String getSku() {
        return sku;
    }

    /**
     * 设置商品编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSku(String sku) {
        this.sku = sku;
    }

    private String weight;

    /**
     * @return 重量
     */
    public String getWeight() {
        return weight;
    }

    /**
     * 设置重量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWeight(String weight) {
        this.weight = weight;
    }

    private AlibabaPanamaUnicomImageModel[] mainImages;

    /**
     * @return 主图
     */
    public AlibabaPanamaUnicomImageModel[] getMainImages() {
        return mainImages;
    }

    /**
     * 设置主图     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMainImages(AlibabaPanamaUnicomImageModel[] mainImages) {
        this.mainImages = mainImages;
    }

    private AlibabaPanamaUnicomImageModel[] allImages;

    /**
     * @return 所有图
     */
    public AlibabaPanamaUnicomImageModel[] getAllImages() {
        return allImages;
    }

    /**
     * 设置所有图     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAllImages(AlibabaPanamaUnicomImageModel[] allImages) {
        this.allImages = allImages;
    }

    private String state;

    /**
     * @return 上下架状态
     */
    public String getState() {
        return state;
    }

    /**
     * 设置上下架状态     *
     * 参数示例：<pre>0上架 -1下架</pre>     
     * 此参数必填
     */
    public void setState(String state) {
        this.state = state;
    }

    private String brandName;

    /**
     * @return 品牌
     */
    public String getBrandName() {
        return brandName;
    }

    /**
     * 设置品牌     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    private String name;

    /**
     * @return 商品名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置商品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String productArea;

    /**
     * @return 产地
     */
    public String getProductArea() {
        return productArea;
    }

    /**
     * 设置产地     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductArea(String productArea) {
        this.productArea = productArea;
    }

    private String barCode;

    /**
     * @return 条形码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置条形码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String saleUnit;

    /**
     * @return 销售单位
     */
    public String getSaleUnit() {
        return saleUnit;
    }

    /**
     * 设置销售单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSaleUnit(String saleUnit) {
        this.saleUnit = saleUnit;
    }

    private Long categoryId;

    /**
     * @return 类目号
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置类目号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    private String introduction;

    /**
     * @return 详细描述
     */
    public String getIntroduction() {
        return introduction;
    }

    /**
     * 设置详细描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    private String attrParam;

    /**
     * @return 规格参数
     */
    public String getAttrParam() {
        return attrParam;
    }

    /**
     * 设置规格参数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttrParam(String attrParam) {
        this.attrParam = attrParam;
    }

    private String wareQD;

    /**
     * @return 包装清单
     */
    public String getWareQD() {
        return wareQD;
    }

    /**
     * 设置包装清单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWareQD(String wareQD) {
        this.wareQD = wareQD;
    }

    private String bizPrice;

    /**
     * @return 协议总价
     */
    public String getBizPrice() {
        return bizPrice;
    }

    /**
     * 设置协议总价     *
     * 参数示例：<pre>元为单位</pre>     
     * 此参数必填
     */
    public void setBizPrice(String bizPrice) {
        this.bizPrice = bizPrice;
    }

    private String bizNakedPrice;

    /**
     * @return 协议裸价
     */
    public String getBizNakedPrice() {
        return bizNakedPrice;
    }

    /**
     * 设置协议裸价     *
     * 参数示例：<pre>元为单位</pre>     
     * 此参数必填
     */
    public void setBizNakedPrice(String bizNakedPrice) {
        this.bizNakedPrice = bizNakedPrice;
    }

    private String bizTaxPrice;

    /**
     * @return 协议税价
     */
    public String getBizTaxPrice() {
        return bizTaxPrice;
    }

    /**
     * 设置协议税价     *
     * 参数示例：<pre>元为单位</pre>     
     * 此参数必填
     */
    public void setBizTaxPrice(String bizTaxPrice) {
        this.bizTaxPrice = bizTaxPrice;
    }

    private String taxRate;

    /**
     * @return 税率
     */
    public String getTaxRate() {
        return taxRate;
    }

    /**
     * 设置税率     *
     * 参数示例：<pre>17%为0.17</pre>     
     * 此参数必填
     */
    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    private String stock;

    /**
     * @return 库存
     */
    public String getStock() {
        return stock;
    }

    /**
     * 设置库存     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStock(String stock) {
        this.stock = stock;
    }

    private String category;

    /**
     * @return 类目名称
     */
    public String getCategory() {
        return category;
    }

    /**
     * 设置类目名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategory(String category) {
        this.category = category;
    }

    private String originPrice;

    /**
     * @return 市场价
     */
    public String getOriginPrice() {
        return originPrice;
    }

    /**
     * 设置市场价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOriginPrice(String originPrice) {
        this.originPrice = originPrice;
    }

    private String supplyName;

    /**
     * @return 供应商名称
     */
    public String getSupplyName() {
        return supplyName;
    }

    /**
     * 设置供应商名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplyName(String supplyName) {
        this.supplyName = supplyName;
    }

}
