package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomOrderResult {

    private Boolean success;

    /**
     * @return 是否成功
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置是否成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private String resultCode;

    /**
     * @return 错误码
     */
    public String getResultCode() {
        return resultCode;
    }

    /**
     * 设置错误码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    private String resultMsg;

    /**
     * @return 错误描述
     */
    public String getResultMsg() {
        return resultMsg;
    }

    /**
     * 设置错误描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResultMsg(String resultMsg) {
        this.resultMsg = resultMsg;
    }

    private AlibabaPanamaUnicomOrderModel unicomOrderModel;

    /**
     * @return 联通订单模型
     */
    public AlibabaPanamaUnicomOrderModel getUnicomOrderModel() {
        return unicomOrderModel;
    }

    /**
     * 设置联通订单模型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnicomOrderModel(AlibabaPanamaUnicomOrderModel unicomOrderModel) {
        this.unicomOrderModel = unicomOrderModel;
    }

}
