package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomRefundModel {

    private String parentOrderId;

    /**
     * @return 主订单 id
     */
    public String getParentOrderId() {
        return parentOrderId;
    }

    /**
     * 设置主订单 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentOrderId(String parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    private Integer state;

    /**
     * @return 挂起状态： 11联通方申请挂起，12联通方取消挂起 21 工单处理完毕 22 工单确认无法处理 23工单处理完成3天后，默认取消挂起
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置挂起状态： 11联通方申请挂起，12联通方取消挂起 21 工单处理完毕 22 工单确认无法处理 23工单处理完成3天后，默认取消挂起     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setState(Integer state) {
        this.state = state;
    }

    private Integer workType;

    /**
     * @return 工单挂起类型 1为未收到，2为退货，3为换货
     */
    public Integer getWorkType() {
        return workType;
    }

    /**
     * 设置工单挂起类型 1为未收到，2为退货，3为换货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWorkType(Integer workType) {
        this.workType = workType;
    }

    private String workInfo;

    /**
     * @return 工单最新简要描述
     */
    public String getWorkInfo() {
        return workInfo;
    }

    /**
     * 设置工单最新简要描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWorkInfo(String workInfo) {
        this.workInfo = workInfo;
    }

}
