package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomSkuModel {

    private String skuId;

    /**
     * @return 商品编号
     */
    public String getSkuId() {
        return skuId;
    }

    /**
     * 设置商品编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    private Long num;

    /**
     * @return 商品数量
     */
    public Long getNum() {
        return num;
    }

    /**
     * 设置商品数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNum(Long num) {
        this.num = num;
    }

    private Long nakedprice;

    /**
     * @return 商品裸价
     */
    public Long getNakedprice() {
        return nakedprice;
    }

    /**
     * 设置商品裸价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNakedprice(Long nakedprice) {
        this.nakedprice = nakedprice;
    }

    private Long taxprice;

    /**
     * @return 商品税价
     */
    public Long getTaxprice() {
        return taxprice;
    }

    /**
     * 设置商品税价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxprice(Long taxprice) {
        this.taxprice = taxprice;
    }

    private Long taxRate;

    /**
     * @return 商品税率
     */
    public Long getTaxRate() {
        return taxRate;
    }

    /**
     * 设置商品税率     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxRate(Long taxRate) {
        this.taxRate = taxRate;
    }

    private Long bizPrice;

    /**
     * @return 商品企业价
     */
    public Long getBizPrice() {
        return bizPrice;
    }

    /**
     * 设置商品企业价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizPrice(Long bizPrice) {
        this.bizPrice = bizPrice;
    }

    private Long nakedPriceTotal;

    /**
     * @return 商品裸价合计
     */
    public Long getNakedPriceTotal() {
        return nakedPriceTotal;
    }

    /**
     * 设置商品裸价合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNakedPriceTotal(Long nakedPriceTotal) {
        this.nakedPriceTotal = nakedPriceTotal;
    }

    private Long taxPriceTotal;

    /**
     * @return 商品税额合计
     */
    public Long getTaxPriceTotal() {
        return taxPriceTotal;
    }

    /**
     * 设置商品税额合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxPriceTotal(Long taxPriceTotal) {
        this.taxPriceTotal = taxPriceTotal;
    }

    private Long bizPriceTotal;

    /**
     * @return 商品企业价合
     */
    public Long getBizPriceTotal() {
        return bizPriceTotal;
    }

    /**
     * 设置商品企业价合     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizPriceTotal(Long bizPriceTotal) {
        this.bizPriceTotal = bizPriceTotal;
    }

}
