package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUpdateUnicomRefundStatusParam extends AbstractAPIRequest<AlibabaPanamaUpdateUnicomRefundStatusResult> {

    public AlibabaPanamaUpdateUnicomRefundStatusParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.panama.updateUnicomRefundStatus", 1);
    }

    private AlibabaPanamaUnicomOrderOptParam unicomOrderOptParam;

    /**
     * @return 联通订单操作入参模型
     */
    public AlibabaPanamaUnicomOrderOptParam getUnicomOrderOptParam() {
        return unicomOrderOptParam;
    }

    /**
     * 设置联通订单操作入参模型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnicomOrderOptParam(AlibabaPanamaUnicomOrderOptParam unicomOrderOptParam) {
        this.unicomOrderOptParam = unicomOrderOptParam;
    }

}
