package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationChangeGroupParam extends AbstractAPIRequest<AlibabaRelationChangeGroupResult> {

    public AlibabaRelationChangeGroupParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.relation.changeGroup", 1);
    }

    private Long groupId;

    /**
     * @return 等级ID
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置等级ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    private String[] loginIdList;

    /**
     * @return 需要修改的列表
     */
    public String[] getLoginIdList() {
        return loginIdList;
    }

    /**
     * 设置需要修改的列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLoginIdList(String[] loginIdList) {
        this.loginIdList = loginIdList;
    }

}
