package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationConsignerModel {

    private String consignStatus;

    /**
     * @return 合作状态
     */
    public String getConsignStatus() {
        return consignStatus;
    }

    /**
     * 设置合作状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignStatus(String consignStatus) {
        this.consignStatus = consignStatus;
    }

    private Long consignCreateTime;

    /**
     * @return 创建关系时间
     */
    public Long getConsignCreateTime() {
        return consignCreateTime;
    }

    /**
     * 设置创建关系时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignCreateTime(Long consignCreateTime) {
        this.consignCreateTime = consignCreateTime;
    }

    private String consignerLoginId;

    /**
     * @return 分销商登录ID
     */
    public String getConsignerLoginId() {
        return consignerLoginId;
    }

    /**
     * 设置分销商登录ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignerLoginId(String consignerLoginId) {
        this.consignerLoginId = consignerLoginId;
    }

    private Long consignerGrade;

    /**
     * @return 分销商等级
     */
    public Long getConsignerGrade() {
        return consignerGrade;
    }

    /**
     * 设置分销商等级     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignerGrade(Long consignerGrade) {
        this.consignerGrade = consignerGrade;
    }

    private Long lastOrder;

    /**
     * @return 近180交易订单
     */
    public Long getLastOrder() {
        return lastOrder;
    }

    /**
     * 设置近180交易订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLastOrder(Long lastOrder) {
        this.lastOrder = lastOrder;
    }

    private Long lastAmount;

    /**
     * @return 近180交易金额（分）
     */
    public Long getLastAmount() {
        return lastAmount;
    }

    /**
     * 设置近180交易金额（分）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLastAmount(Long lastAmount) {
        this.lastAmount = lastAmount;
    }

    private Long terminateTime;

    /**
     * @return 终止关系时间
     */
    public Long getTerminateTime() {
        return terminateTime;
    }

    /**
     * 设置终止关系时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTerminateTime(Long terminateTime) {
        this.terminateTime = terminateTime;
    }

    private String terminateReason;

    /**
     * @return 终止关系原因
     */
    public String getTerminateReason() {
        return terminateReason;
    }

    /**
     * 设置终止关系原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTerminateReason(String terminateReason) {
        this.terminateReason = terminateReason;
    }

}
