package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationEndConsignRelationBySupplierIdParam extends AbstractAPIRequest<AlibabaRelationEndConsignRelationBySupplierIdResult> {

    public AlibabaRelationEndConsignRelationBySupplierIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.relation.endConsignRelationBySupplierId", 1);
    }

    private String consignerLoginId;

    /**
     * @return 分销商LoginId
     */
    public String getConsignerLoginId() {
        return consignerLoginId;
    }

    /**
     * 设置分销商LoginId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignerLoginId(String consignerLoginId) {
        this.consignerLoginId = consignerLoginId;
    }

    private String reason;

    /**
     * @return 终止关系原因
     */
    public String getReason() {
        return reason;
    }

    /**
     * 设置终止关系原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

}
