package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationQueryConsignersParam extends AbstractAPIRequest<AlibabaRelationQueryConsignersResult> {

    public AlibabaRelationQueryConsignersParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.relation.queryConsigners", 1);
    }

    private String consignerLoginId;

    /**
     * @return 指定分销商LoginId
     */
    public String getConsignerLoginId() {
        return consignerLoginId;
    }

    /**
     * 设置指定分销商LoginId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignerLoginId(String consignerLoginId) {
        this.consignerLoginId = consignerLoginId;
    }

    private Long consignerGrade;

    /**
     * @return 分销商等级
     */
    public Long getConsignerGrade() {
        return consignerGrade;
    }

    /**
     * 设置分销商等级     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignerGrade(Long consignerGrade) {
        this.consignerGrade = consignerGrade;
    }

    private Integer currentPage;

    /**
     * @return 当前页码
     */
    public Integer getCurrentPage() {
        return currentPage;
    }

    /**
     * 设置当前页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    private Integer pageSize;

    /**
     * @return 每页多少个
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页多少个     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
