package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationQuerySuppliersParam extends AbstractAPIRequest<AlibabaRelationQuerySuppliersResult> {

    public AlibabaRelationQuerySuppliersParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.relation.querySuppliers", 1);
    }

    private String supplierLoginId;

    /**
     * @return 供应商登录ID
     */
    public String getSupplierLoginId() {
        return supplierLoginId;
    }

    /**
     * 设置供应商登录ID     *
     * 参数示例：<pre>李定国</pre>     
     * 此参数必填
     */
    public void setSupplierLoginId(String supplierLoginId) {
        this.supplierLoginId = supplierLoginId;
    }

    private Integer currentPage;

    /**
     * @return 当前页码
     */
    public Integer getCurrentPage() {
        return currentPage;
    }

    /**
     * 设置当前页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    private Integer pageSize;

    /**
     * @return 每页多少个
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页多少个     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
