package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderOpenSubResult {

    private String subBillNo;

    /**
     * @return 三江购物子订单编号
     */
    public String getSubBillNo() {
        return subBillNo;
    }

    /**
     * 设置三江购物子订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubBillNo(String subBillNo) {
        this.subBillNo = subBillNo;
    }

    private String subAliBillNo;

    /**
     * @return 对应内部订单编号
     */
    public String getSubAliBillNo() {
        return subAliBillNo;
    }

    /**
     * 设置对应内部订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubAliBillNo(String subAliBillNo) {
        this.subAliBillNo = subAliBillNo;
    }

    private String barCode;

    /**
     * @return 商品条码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置商品条码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String skuId;

    /**
     * @return 规格ID
     */
    public String getSkuId() {
        return skuId;
    }

    /**
     * 设置规格ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    private Integer amount;

    /**
     * @return 商品实际购买数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置商品实际购买数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private Long price;

    /**
     * @return 三江的采购价格(单位:分)
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置三江的采购价格(单位:分)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private Long aliPrice;

    /**
     * @return 内部设置的采购价格(单位:分)
     */
    public Long getAliPrice() {
        return aliPrice;
    }

    /**
     * 设置内部设置的采购价格(单位:分)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAliPrice(Long aliPrice) {
        this.aliPrice = aliPrice;
    }

}
