package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSPIVF01GetSOPlanParam extends AbstractAPIRequest<AlibabaSPIVF01GetSOPlanResult> {

    public AlibabaSPIVF01GetSOPlanParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.SPI.VF01.GetSOPlan", 1);
    }

    private String salesOrder;

    /**
     * @return 
     */
    public String getSalesOrder() {
        return salesOrder;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSalesOrder(String salesOrder) {
        this.salesOrder = salesOrder;
    }

    private String customerID;

    /**
     * @return 
     */
    public String getCustomerID() {
        return customerID;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCustomerID(String customerID) {
        this.customerID = customerID;
    }

}
