package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchDaixiaoRecomOfferParam extends AbstractAPIRequest<AlibabaSearchDaixiaoRecomOfferResult> {

    public AlibabaSearchDaixiaoRecomOfferParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.daixiao.recom.offer", 1);
    }

    private ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoRecomRequest request;

    /**
     * @return 查询参数
     */
    public ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoRecomRequest getRequest() {
        return request;
    }

    /**
     * 设置查询参数     *
     * 参数示例：<pre>{
    userId:123,//淘宝用户id
    companyMemberId:'xxx',//供应商id
    pageSize:10,//每页大小
    currentPage// 当前页
    }</pre>     
     * 此参数必填
     */
    public void setRequest(ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoRecomRequest request) {
        this.request = request;
    }

}
