package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchGraphOfferDaixiaoT2bSimilarPagesParam extends AbstractAPIRequest<AlibabaSearchGraphOfferDaixiaoT2bSimilarPagesResult> {

    public AlibabaSearchGraphOfferDaixiaoT2bSimilarPagesParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.graph.offer.daixiao.t2b.similar.pages", 1);
    }

    private Long taobaoOfferId;

    /**
     * @return 淘宝的offer的id
     */
    public Long getTaobaoOfferId() {
        return taobaoOfferId;
    }

    /**
     * 设置淘宝的offer的id     *
     * 参数示例：<pre>527756483369</pre>     
     * 此参数必填
     */
    public void setTaobaoOfferId(Long taobaoOfferId) {
        this.taobaoOfferId = taobaoOfferId;
    }

    private Integer beginPage;

    /**
     * @return 查询的页码
     */
    public Integer getBeginPage() {
        return beginPage;
    }

    /**
     * 设置查询的页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setBeginPage(Integer beginPage) {
        this.beginPage = beginPage;
    }

    private Integer pageSize;

    /**
     * @return 每页的offer数量
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页的offer数量     *
     * 参数示例：<pre>6</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
