package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchGraphOfferInfoParam extends AbstractAPIRequest<AlibabaSearchGraphOfferInfoResult> {

    public AlibabaSearchGraphOfferInfoParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.graph.offer.info", 1);
    }

    private String taobaoNickName;

    /**
     * @return 淘宝用户的登陆的nickName
     */
    public String getTaobaoNickName() {
        return taobaoNickName;
    }

    /**
     * 设置淘宝用户的登陆的nickName     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaobaoNickName(String taobaoNickName) {
        this.taobaoNickName = taobaoNickName;
    }

}
