package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchGuessOfferDaixiaoVersion1Param extends AbstractAPIRequest<AlibabaSearchGuessOfferDaixiaoVersion1Result> {

    public AlibabaSearchGuessOfferDaixiaoVersion1Param() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.guess.offer.daixiao.version1", 1);
    }

    private String companyMemberId;

    /**
     * @return 用户memberID
     */
    public String getCompanyMemberId() {
        return companyMemberId;
    }

    /**
     * 设置用户memberID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyMemberId(String companyMemberId) {
        this.companyMemberId = companyMemberId;
    }

    private Integer pageSize;

    /**
     * @return offer个数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置offer个数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
