package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSupplierAddProductlineRelationParam extends AbstractAPIRequest<AlibabaSupplierAddProductlineRelationResult> {

    public AlibabaSupplierAddProductlineRelationParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.supplier.addProductlineRelation", 1);
    }

    private long[] productIds;

    /**
     * @return 供应商产品Id列表
     */
    public long[] getProductIds() {
        return productIds;
    }

    /**
     * 设置供应商产品Id列表     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductIds(long[] productIds) {
        this.productIds = productIds;
    }

    private Long productlineId;

    /**
     * @return 需要建立关系的产品线Id
     */
    public Long getProductlineId() {
        return productlineId;
    }

    /**
     * 设置需要建立关系的产品线Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductlineId(Long productlineId) {
        this.productlineId = productlineId;
    }

}
