package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSupplierModifyProductlineRelationParam extends AbstractAPIRequest<AlibabaSupplierModifyProductlineRelationResult> {

    public AlibabaSupplierModifyProductlineRelationParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.supplier.modifyProductlineRelation", 1);
    }

    private long[] productIds;

    /**
     * @return 供应商产品Id列表
     */
    public long[] getProductIds() {
        return productIds;
    }

    /**
     * 设置供应商产品Id列表     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductIds(long[] productIds) {
        this.productIds = productIds;
    }

    private Long fromProductlineId;

    /**
     * @return 需要解除关系的产品线Id
     */
    public Long getFromProductlineId() {
        return fromProductlineId;
    }

    /**
     * 设置需要解除关系的产品线Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setFromProductlineId(Long fromProductlineId) {
        this.fromProductlineId = fromProductlineId;
    }

    private Long toProductlineId;

    /**
     * @return 需要建立关系的产品线Id
     */
    public Long getToProductlineId() {
        return toProductlineId;
    }

    /**
     * 设置需要建立关系的产品线Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setToProductlineId(Long toProductlineId) {
        this.toProductlineId = toProductlineId;
    }

}
