package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTraceOutOrderCreateLglParam extends AbstractAPIRequest<AlibabaTraceOutOrderCreateLglResult> {

    public AlibabaTraceOutOrderCreateLglParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.trace.out.order.create.lgl", 1);
    }

    private String orderType;

    /**
     * @return 码类型，B或者C
     */
    public String getOrderType() {
        return orderType;
    }

    /**
     * 设置码类型，B或者C     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    private String orderCode;

    /**
     * @return 订单编号
     */
    public String getOrderCode() {
        return orderCode;
    }

    /**
     * 设置订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private String productCode;

    /**
     * @return 产品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置产品编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Long codeNum;

    /**
     * @return 购码数量
     */
    public Long getCodeNum() {
        return codeNum;
    }

    /**
     * 设置购码数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodeNum(Long codeNum) {
        this.codeNum = codeNum;
    }

}
