package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeBizLogisticInfo {

    private Long logisticsId;

    /**
     * @return 物流明细ID号
     */
    public Long getLogisticsId() {
        return logisticsId;
    }

    /**
     * 设置物流明细ID号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsId(Long logisticsId) {
        this.logisticsId = logisticsId;
    }

    private String fromContact;

    /**
     * @return 发货联系人
     */
    public String getFromContact() {
        return fromContact;
    }

    /**
     * 设置发货联系人     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromContact(String fromContact) {
        this.fromContact = fromContact;
    }

    private String fromMobile;

    /**
     * @return 发货联系手机
     */
    public String getFromMobile() {
        return fromMobile;
    }

    /**
     * 设置发货联系手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromMobile(String fromMobile) {
        this.fromMobile = fromMobile;
    }

    private String fromPhone;

    /**
     * @return 发货联系电话
     */
    public String getFromPhone() {
        return fromPhone;
    }

    /**
     * 设置发货联系电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromPhone(String fromPhone) {
        this.fromPhone = fromPhone;
    }

    private String fromProvince;

    /**
     * @return 发货省编码
     */
    public String getFromProvince() {
        return fromProvince;
    }

    /**
     * 设置发货省编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromProvince(String fromProvince) {
        this.fromProvince = fromProvince;
    }

    private String fromCity;

    /**
     * @return 发货市编码
     */
    public String getFromCity() {
        return fromCity;
    }

    /**
     * 设置发货市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromCity(String fromCity) {
        this.fromCity = fromCity;
    }

    private String fromArea;

    /**
     * @return 发货区编码
     */
    public String getFromArea() {
        return fromArea;
    }

    /**
     * 设置发货区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromArea(String fromArea) {
        this.fromArea = fromArea;
    }

    private String fromAddress;

    /**
     * @return 发货街道地址
     */
    public String getFromAddress() {
        return fromAddress;
    }

    /**
     * 设置发货街道地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromAddress(String fromAddress) {
        this.fromAddress = fromAddress;
    }

    private String fromPost;

    /**
     * @return 发货地址邮编
     */
    public String getFromPost() {
        return fromPost;
    }

    /**
     * 设置发货地址邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromPost(String fromPost) {
        this.fromPost = fromPost;
    }

    private String toContact;

    /**
     * @return 
     */
    public String getToContact() {
        return toContact;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToContact(String toContact) {
        this.toContact = toContact;
    }

    private String toMobile;

    /**
     * @return 
     */
    public String getToMobile() {
        return toMobile;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToMobile(String toMobile) {
        this.toMobile = toMobile;
    }

    private String toPhone;

    /**
     * @return 
     */
    public String getToPhone() {
        return toPhone;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPhone(String toPhone) {
        this.toPhone = toPhone;
    }

    private String toProvince;

    /**
     * @return 
     */
    public String getToProvince() {
        return toProvince;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToProvince(String toProvince) {
        this.toProvince = toProvince;
    }

    private String toCity;

    /**
     * @return 
     */
    public String getToCity() {
        return toCity;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToCity(String toCity) {
        this.toCity = toCity;
    }

    private String toArea;

    /**
     * @return 
     */
    public String getToArea() {
        return toArea;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToArea(String toArea) {
        this.toArea = toArea;
    }

    private String toAddress;

    /**
     * @return 
     */
    public String getToAddress() {
        return toAddress;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToAddress(String toAddress) {
        this.toAddress = toAddress;
    }

    private String toPost;

    /**
     * @return 
     */
    public String getToPost() {
        return toPost;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPost(String toPost) {
        this.toPost = toPost;
    }

    private String logisticsCompanyNo;

    /**
     * @return 物流公司编号
     */
    public String getLogisticsCompanyNo() {
        return logisticsCompanyNo;
    }

    /**
     * 设置物流公司编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsCompanyNo(String logisticsCompanyNo) {
        this.logisticsCompanyNo = logisticsCompanyNo;
    }

    private String logisticsCompanyName;

    /**
     * @return 快递公司名
     */
    public String getLogisticsCompanyName() {
        return logisticsCompanyName;
    }

    /**
     * 设置快递公司名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsCompanyName(String logisticsCompanyName) {
        this.logisticsCompanyName = logisticsCompanyName;
    }

    private String logisticsBillNo;

    /**
     * @return 物流公司运单号
     */
    public String getLogisticsBillNo() {
        return logisticsBillNo;
    }

    /**
     * 设置物流公司运单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsBillNo(String logisticsBillNo) {
        this.logisticsBillNo = logisticsBillNo;
    }

    private String logisticsOrderNo;

    /**
     * @return 物流单号
     */
    public String getLogisticsOrderNo() {
        return logisticsOrderNo;
    }

    /**
     * 设置物流单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsOrderNo(String logisticsOrderNo) {
        this.logisticsOrderNo = logisticsOrderNo;
    }

    private String status;

    /**
     * @return waitsend 等待发货
    alreadysend 已发货
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置waitsend 等待发货
    alreadysend 已发货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date gmtSend;

    /**
     * @return 发货时间
     */
    public Date getGmtSend() {
        return gmtSend;
    }

    /**
     * 设置发货时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtSend(Date gmtSend) {
        this.gmtSend = gmtSend;
    }

}
