package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomOrderResult {

    private Integer total;

    /**
     * @return 订单总数
     */
    public Integer getTotal() {
        return total;
    }

    /**
     * 设置订单总数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotal(Integer total) {
        this.total = total;
    }

    private Integer totalPage;

    /**
     * @return 总页数
     */
    public Integer getTotalPage() {
        return totalPage;
    }

    /**
     * 设置总页数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalPage(Integer totalPage) {
        this.totalPage = totalPage;
    }

    private Integer curPage;

    /**
     * @return 当前页
     */
    public Integer getCurPage() {
        return curPage;
    }

    /**
     * 设置当前页     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCurPage(Integer curPage) {
        this.curPage = curPage;
    }

    private AlibabaUnicomOrderVO[] orders;

    /**
     * @return 详细的订单数据
     */
    public AlibabaUnicomOrderVO[] getOrders() {
        return orders;
    }

    /**
     * 设置详细的订单数据     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrders(AlibabaUnicomOrderVO[] orders) {
        this.orders = orders;
    }

}
