package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomOrderVO {

    private String supplierOrderId;

    /**
     * @return 订单编号
     */
    public String getSupplierOrderId() {
        return supplierOrderId;
    }

    /**
     * 设置订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierOrderId(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    private Integer state;

    /**
     * @return 订单状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置订单状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setState(Integer state) {
        this.state = state;
    }

    private Integer hangUpState;

    /**
     * @return 订单是否挂起
     */
    public Integer getHangUpState() {
        return hangUpState;
    }

    /**
     * 设置订单是否挂起     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setHangUpState(Integer hangUpState) {
        this.hangUpState = hangUpState;
    }

    private Integer invoiceState;

    /**
     * @return 发票状态
     */
    public Integer getInvoiceState() {
        return invoiceState;
    }

    /**
     * 设置发票状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceState(Integer invoiceState) {
        this.invoiceState = invoiceState;
    }

    private Double orderNakedPrice;

    /**
     * @return 订单裸价金额
     */
    public Double getOrderNakedPrice() {
        return orderNakedPrice;
    }

    /**
     * 设置订单裸价金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderNakedPrice(Double orderNakedPrice) {
        this.orderNakedPrice = orderNakedPrice;
    }

    private Double orderTaxPrice;

    /**
     * @return 订单税额
     */
    public Double getOrderTaxPrice() {
        return orderTaxPrice;
    }

    /**
     * 设置订单税额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderTaxPrice(Double orderTaxPrice) {
        this.orderTaxPrice = orderTaxPrice;
    }

}
