package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomQueryInvoicesInfoParam extends AbstractAPIRequest<AlibabaUnicomQueryInvoicesInfoResult> {

    public AlibabaUnicomQueryInvoicesInfoParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.unicom.queryInvoicesInfo", 1);
    }

    private String markId;

    /**
     * @return 第三方申请发票的唯一id标识
     */
    public String getMarkId() {
        return markId;
    }

    /**
     * 设置第三方申请发票的唯一id标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMarkId(String markId) {
        this.markId = markId;
    }

}
