package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class BrandServiceQueryBrandByIdParam extends AbstractAPIRequest<BrandServiceQueryBrandByIdResult> {

    public BrandServiceQueryBrandByIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "brandService.queryBrandById", 1);
    }

    private Long brandId;

    /**
     * @return 品牌id
     */
    public Long getBrandId() {
        return brandId;
    }

    /**
     * 设置品牌id     *
     * 参数示例：<pre>124</pre>     
     * 此参数必填
     */
    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

}
