package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiCategoryDeleteUserCategoryParam extends AbstractAPIRequest<CaigouApiCategoryDeleteUserCategoryResult> {

    public CaigouApiCategoryDeleteUserCategoryParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.category.deleteUserCategory", 1);
    }

    private List categoryIds;

    /**
     * @return 需要删除的类目在1688平台的id列表
     */
    public List getCategoryIds() {
        return categoryIds;
    }

    /**
     * 设置需要删除的类目在1688平台的id列表     *
     * 参数示例：<pre>[1232,23423]</pre>     
     * 此参数必填
     */
    public void setCategoryIds(List categoryIds) {
        this.categoryIds = categoryIds;
    }

}
