package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiCategoryGetByIdParam extends AbstractAPIRequest<CaigouApiCategoryGetByIdResult> {

    public CaigouApiCategoryGetByIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.category.getById", 1);
    }

    private Long categoryId;

    /**
     * @return 类目在1688上的id
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置类目在1688上的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

}
