package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiImageUploadResult {

    private Boolean success;

    /**
     * @return 图片是否上传成功
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置图片是否上传成功     *
          
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private String errorCode;

    /**
     * @return 上传失败的错误码。当success为false的时候
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * 设置上传失败的错误码。当success为false的时候     *
          
     * 此参数必填
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    private Long id;

    /**
     * @return 图片的标识id，传给响应的应用方。
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置图片的标识id，传给响应的应用方。     *
          
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String imgUrl;

    /**
     * @return 图片的相对路径(即除去http://server:port部分，如:img/product/15/02/60/15026073.jpg)
     */
    public String getImgUrl() {
        return imgUrl;
    }

    /**
     * 设置图片的相对路径(即除去http://server:port部分，如:img/product/15/02/60/15026073.jpg)     *
          
     * 此参数必填
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    private String searchImgUrl;

    /**
     * @return 搜索图片在网上的相对路径（即除去http://server:port部分，如:mg/product/15/02/60/15026073.search.jpg）
     */
    public String getSearchImgUrl() {
        return searchImgUrl;
    }

    /**
     * 设置搜索图片在网上的相对路径（即除去http://server:port部分，如:mg/product/15/02/60/15026073.search.jpg）     *
          
     * 此参数必填
     */
    public void setSearchImgUrl(String searchImgUrl) {
        this.searchImgUrl = searchImgUrl;
    }

    private String miniImgUrl;

    /**
     * @return 缩略图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.summ.jpg）
     */
    public String getMiniImgUrl() {
        return miniImgUrl;
    }

    /**
     * 设置缩略图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.summ.jpg）     *
          
     * 此参数必填
     */
    public void setMiniImgUrl(String miniImgUrl) {
        this.miniImgUrl = miniImgUrl;
    }

    private String imgUrl64x64;

    /**
     * @return 64x64图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.64x64.jpg）
     */
    public String getImgUrl64x64() {
        return imgUrl64x64;
    }

    /**
     * 设置64x64图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.64x64.jpg）     *
          
     * 此参数必填
     */
    public void setImgUrl64x64(String imgUrl64x64) {
        this.imgUrl64x64 = imgUrl64x64;
    }

    private String imgUrl220x220;

    /**
     * @return 220x220图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.220x220jpg）
     */
    public String getImgUrl220x220() {
        return imgUrl220x220;
    }

    /**
     * 设置220x220图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.220x220jpg）     *
          
     * 此参数必填
     */
    public void setImgUrl220x220(String imgUrl220x220) {
        this.imgUrl220x220 = imgUrl220x220;
    }

    private String imgUrl310x310;

    /**
     * @return 310x310图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.310x310.jpg）
     */
    public String getImgUrl310x310() {
        return imgUrl310x310;
    }

    /**
     * 设置310x310图片在网上的相对路径（即除去http://server:port部分，如:img/product/15/02/60/15026073.310x310.jpg）     *
          
     * 此参数必填
     */
    public void setImgUrl310x310(String imgUrl310x310) {
        this.imgUrl310x310 = imgUrl310x310;
    }

}
