package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiQuoteDeleteProductQuoteParam extends AbstractAPIRequest<CaigouApiQuoteDeleteProductQuoteResult> {

    public CaigouApiQuoteDeleteProductQuoteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.quote.deleteProductQuote", 1);
    }

    private Long quoteId;

    /**
     * @return 产品报价id
     */
    public Long getQuoteId() {
        return quoteId;
    }

    /**
     * 设置产品报价id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuoteId(Long quoteId) {
        this.quoteId = quoteId;
    }

}
