package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiQuoteQueryListByProductIdParam extends AbstractAPIRequest<CaigouApiQuoteQueryListByProductIdResult> {

    public CaigouApiQuoteQueryListByProductIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.quote.queryListByProductId", 1);
    }

    private Long productId;

    /**
     * @return 产品/物料在1688采购平台的id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品/物料在1688采购平台的id     *
     * 参数示例：<pre>23434</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

}
