package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouGetBuyOfferByIdParam extends AbstractAPIRequest<CaigouGetBuyOfferByIdResult> {

    public CaigouGetBuyOfferByIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.getBuyOfferById", 1);
    }

    private Boolean needAudit;

    /**
     * @return 
     */
    public Boolean getNeedAudit() {
        return needAudit;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedAudit(Boolean needAudit) {
        this.needAudit = needAudit;
    }

    private Boolean needCategory;

    /**
     * @return 
     */
    public Boolean getNeedCategory() {
        return needCategory;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedCategory(Boolean needCategory) {
        this.needCategory = needCategory;
    }

    private Boolean needContractInfo;

    /**
     * @return 
     */
    public Boolean getNeedContractInfo() {
        return needContractInfo;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedContractInfo(Boolean needContractInfo) {
        this.needContractInfo = needContractInfo;
    }

    private Boolean needProductAttributes;

    /**
     * @return 
     */
    public Boolean getNeedProductAttributes() {
        return needProductAttributes;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedProductAttributes(Boolean needProductAttributes) {
        this.needProductAttributes = needProductAttributes;
    }

    private Boolean needPurchaseNoteItems;

    /**
     * @return 
     */
    public Boolean getNeedPurchaseNoteItems() {
        return needPurchaseNoteItems;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedPurchaseNoteItems(Boolean needPurchaseNoteItems) {
        this.needPurchaseNoteItems = needPurchaseNoteItems;
    }

    private Boolean needReceiptAddress;

    /**
     * @return 
     */
    public Boolean getNeedReceiptAddress() {
        return needReceiptAddress;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedReceiptAddress(Boolean needReceiptAddress) {
        this.needReceiptAddress = needReceiptAddress;
    }

    private Boolean needSupplierRequirement;

    /**
     * @return 
     */
    public Boolean getNeedSupplierRequirement() {
        return needSupplierRequirement;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSupplierRequirement(Boolean needSupplierRequirement) {
        this.needSupplierRequirement = needSupplierRequirement;
    }

    private Boolean needDescription;

    /**
     * @return 
     */
    public Boolean getNeedDescription() {
        return needDescription;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedDescription(Boolean needDescription) {
        this.needDescription = needDescription;
    }

    private String buyOfferId;

    /**
     * @return 
     */
    public String getBuyOfferId() {
        return buyOfferId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyOfferId(String buyOfferId) {
        this.buyOfferId = buyOfferId;
    }

}
