package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CategoryFeature {

    private Long fid;

    /**
     * @return 属性id
     */
    public Long getFid() {
        return fid;
    }

    /**
     * 设置属性id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFid(Long fid) {
        this.fid = fid;
    }

    private Long parentId;

    /**
     * @return 父属性id
     */
    public Long getParentId() {
        return parentId;
    }

    /**
     * 设置父属性id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    private String unit;

    /**
     * @return 属性单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置属性单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String name;

    /**
     * @return 属性名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置属性名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String fieldType;

    /**
     * @return 属性类别
     */
    public String getFieldType() {
        return fieldType;
    }

    /**
     * 设置属性类别     *
     * 参数示例：<pre>属性值域的类型：
    enum 列表类型</pre>     
     * 此参数必填
     */
    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    private Integer order;

    /**
     * @return 属性排列顺序
     */
    public Integer getOrder() {
        return order;
    }

    /**
     * 设置属性排列顺序     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrder(Integer order) {
        this.order = order;
    }

    private Integer inputType;

    /**
     * @return 
     */
    public Integer getInputType() {
        return inputType;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInputType(Integer inputType) {
        this.inputType = inputType;
    }

    private String isNeeded;

    /**
     * @return 是否必填
     */
    public String getIsNeeded() {
        return isNeeded;
    }

    /**
     * 设置是否必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsNeeded(String isNeeded) {
        this.isNeeded = isNeeded;
    }

    private Boolean isKeyAttr;

    /**
     * @return 是否关键属性
     */
    public Boolean getIsKeyAttr() {
        return isKeyAttr;
    }

    /**
     * 设置是否关键属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsKeyAttr(Boolean isKeyAttr) {
        this.isKeyAttr = isKeyAttr;
    }

    private Boolean isSuggestion;

    /**
     * @return 是否建议属性
     */
    public Boolean getIsSuggestion() {
        return isSuggestion;
    }

    /**
     * 设置是否建议属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSuggestion(Boolean isSuggestion) {
        this.isSuggestion = isSuggestion;
    }

    private Boolean isSpecAttr;

    /**
     * @return 是否特殊属性
     */
    public Boolean getIsSpecAttr() {
        return isSpecAttr;
    }

    /**
     * 设置是否特殊属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSpecAttr(Boolean isSpecAttr) {
        this.isSpecAttr = isSpecAttr;
    }

    private Boolean isSupportDefinedValues;

    /**
     * @return 是否支持预定义值域
     */
    public Boolean getIsSupportDefinedValues() {
        return isSupportDefinedValues;
    }

    /**
     * 设置是否支持预定义值域     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSupportDefinedValues(Boolean isSupportDefinedValues) {
        this.isSupportDefinedValues = isSupportDefinedValues;
    }

    private Boolean isSpecExtendedAttr;

    /**
     * @return 是否支持扩展属性
     */
    public Boolean getIsSpecExtendedAttr() {
        return isSpecExtendedAttr;
    }

    /**
     * 设置是否支持扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSpecExtendedAttr(Boolean isSpecExtendedAttr) {
        this.isSpecExtendedAttr = isSpecExtendedAttr;
    }

    private Boolean isSpecPicAttr;

    /**
     * @return 是否图片属性
     */
    public Boolean getIsSpecPicAttr() {
        return isSpecPicAttr;
    }

    /**
     * 设置是否图片属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSpecPicAttr(Boolean isSpecPicAttr) {
        this.isSpecPicAttr = isSpecPicAttr;
    }

    private String featureType;

    /**
     * @return 
     */
    public String getFeatureType() {
        return featureType;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFeatureType(String featureType) {
        this.featureType = featureType;
    }

    private String precomment;

    /**
     * @return 
     */
    public String getPrecomment() {
        return precomment;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrecomment(String precomment) {
        this.precomment = precomment;
    }

    private Integer attrType;

    /**
     * @return 属性类型
     */
    public Integer getAttrType() {
        return attrType;
    }

    /**
     * 设置属性类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttrType(Integer attrType) {
        this.attrType = attrType;
    }

    private String standardType;

    /**
     * @return 标准类型
     */
    public String getStandardType() {
        return standardType;
    }

    /**
     * 设置标准类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStandardType(String standardType) {
        this.standardType = standardType;
    }

    private String standardUnit;

    /**
     * @return 标准单位
     */
    public String getStandardUnit() {
        return standardUnit;
    }

    /**
     * 设置标准单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStandardUnit(String standardUnit) {
        this.standardUnit = standardUnit;
    }

    private Integer outputType;

    /**
     * @return 展示类型
     */
    public Integer getOutputType() {
        return outputType;
    }

    /**
     * 设置展示类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutputType(Integer outputType) {
        this.outputType = outputType;
    }

    private List childrenFids;

    /**
     * @return 子属性id列表
     */
    public List getChildrenFids() {
        return childrenFids;
    }

    /**
     * 设置子属性id列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChildrenFids(List childrenFids) {
        this.childrenFids = childrenFids;
    }

    private CategoryFeatureIdValue[] featureIdValues;

    /**
     * @return 子属性id和值对
     */
    public CategoryFeatureIdValue[] getFeatureIdValues() {
        return featureIdValues;
    }

    /**
     * 设置子属性id和值对     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFeatureIdValues(CategoryFeatureIdValue[] featureIdValues) {
        this.featureIdValues = featureIdValues;
    }

}
