package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CategoryGetPostCatListParam extends AbstractAPIRequest<CategoryGetPostCatListResult> {

    public CategoryGetPostCatListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "category.getPostCatList", 1);
    }

    private String catIDs;

    /**
     * @return 类目ID列表，支持多个ID批量查询，多个ID以半角冒逗分隔
     */
    public String getCatIDs() {
        return catIDs;
    }

    /**
     * 设置类目ID列表，支持多个ID批量查询，多个ID以半角冒逗分隔     *
     * 参数示例：<pre>1036558,1036562,1037138,1037139</pre>     
     * 此参数必填
     */
    public void setCatIDs(String catIDs) {
        this.catIDs = catIDs;
    }

    private String timeStamp;

    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     *
          
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

}
