package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaBirdsnestCoopapiWarehouseParamUserWarehouseAddUpdateParam {

    private String warehouseCode;

    /**
     * @return 仓库编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 设置仓库编号     *
     * 参数示例：<pre>wh001</pre>     
     * 此参数必填
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    private String name;

    /**
     * @return 仓库名
     */
    public String getName() {
        return name;
    }

    /**
     * 设置仓库名     *
     * 参数示例：<pre>清泰街仓库</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String shortName;

    /**
     * @return 仓库简称
     */
    public String getShortName() {
        return shortName;
    }

    /**
     * 设置仓库简称     *
     * 参数示例：<pre>清泰仓</pre>     
     * 此参数必填
     */
    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    private String contactName;

    /**
     * @return 联系人姓名
     */
    public String getContactName() {
        return contactName;
    }

    /**
     * 设置联系人姓名     *
     * 参数示例：<pre>张三</pre>     
     * 此参数必填
     */
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    private String contactPhone;

    /**
     * @return 联系人电话
     */
    public String getContactPhone() {
        return contactPhone;
    }

    /**
     * 设置联系人电话     *
     * 参数示例：<pre>0571-87412369</pre>     
     * 此参数必填
     */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    private String contactMobile;

    /**
     * @return 联系人手机
     */
    public String getContactMobile() {
        return contactMobile;
    }

    /**
     * 设置联系人手机     *
     * 参数示例：<pre>13685217410</pre>     
     * 此参数必填
     */
    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    private String province;

    /**
     * @return 仓库地址：省
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置仓库地址：省     *
     * 参数示例：<pre>浙江</pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String city;

    /**
     * @return 仓库地址：市
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置仓库地址：市     *
     * 参数示例：<pre>杭州</pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String district;

    /**
     * @return 仓库地址：区
     */
    public String getDistrict() {
        return district;
    }

    /**
     * 设置仓库地址：区     *
     * 参数示例：<pre>下城区</pre>     
     * 此参数必填
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    private String address;

    /**
     * @return 仓库地址：详细地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置仓库地址：详细地址     *
     * 参数示例：<pre>浙江省杭州市下城区清泰街1号</pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String remark;

    /**
     * @return 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

}
