package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam {

    private Long amount;

    /**
     * @return 库存变动量 整数表示库存增加 负数表述库存减少
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置库存变动量 整数表示库存增加 负数表述库存减少     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private String warehouseCode;

    /**
     * @return 外部系统的仓库编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 设置外部系统的仓库编号     *
     * 参数示例：<pre>wh001</pre>     
     * 此参数必填
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    private String billType;

    /**
     * @return 变动单名称
     */
    public String getBillType() {
        return billType;
    }

    /**
     * 设置变动单名称     *
     * 参数示例：<pre>add_Bill</pre>     
     * 此参数必填
     */
    public void setBillType(String billType) {
        this.billType = billType;
    }

    private String billName;

    /**
     * @return 变动单名称
     */
    public String getBillName() {
        return billName;
    }

    /**
     * 设置变动单名称     *
     * 参数示例：<pre>盘盈单</pre>     
     * 此参数必填
     */
    public void setBillName(String billName) {
        this.billName = billName;
    }

    private String remark;

    /**
     * @return 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String productCode;

    /**
     * @return 外部系统的商品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部系统的商品编号     *
     * 参数示例：<pre>Pt0001#Sku0001</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private String billCode;

    /**
     * @return 变动单单号
     */
    public String getBillCode() {
        return billCode;
    }

    /**
     * 设置变动单单号     *
     * 参数示例：<pre>BL0001</pre>     
     * 此参数必填
     */
    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

}
