package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouApiCommonModelPurchaseNoteItem {

    private String subject;

    /**
     * @return 标题
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置标题     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private ComAlibabaCaigouApiCommonModelAttachment[] attachments;

    /**
     * @return 附件
     */
    public ComAlibabaCaigouApiCommonModelAttachment[] getAttachments() {
        return attachments;
    }

    /**
     * 设置附件     *
     * 参数示例：<pre>[...]</pre>     
     * 此参数必填
     */
    public void setAttachments(ComAlibabaCaigouApiCommonModelAttachment[] attachments) {
        this.attachments = attachments;
    }

    private Long purchaseAmount;

    /**
     * @return 采购数量
     */
    public Long getPurchaseAmount() {
        return purchaseAmount;
    }

    /**
     * 设置采购数量     *
     * 参数示例：<pre>102</pre>     
     * 此参数必填
     */
    public void setPurchaseAmount(Long purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    private String unit;

    /**
     * @return 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置单位     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String productFeature;

    /**
     * @return 产品描述
     */
    public String getProductFeature() {
        return productFeature;
    }

    /**
     * 设置产品描述     *
     * 参数示例：<pre>我是询价单产品描述</pre>     
     * 此参数必填
     */
    public void setProductFeature(String productFeature) {
        this.productFeature = productFeature;
    }

    private String purchaseNoteItemId;

    /**
     * @return 采购单条目ID
     */
    public String getPurchaseNoteItemId() {
        return purchaseNoteItemId;
    }

    /**
     * 设置采购单条目ID     *
     * 参数示例：<pre>00513d3e-5026-424a-9375-359a5cd4d38f</pre>     
     * 此参数必填
     */
    public void setPurchaseNoteItemId(String purchaseNoteItemId) {
        this.purchaseNoteItemId = purchaseNoteItemId;
    }

    private String productCode;

    /**
     * @return 外部产品code
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部产品code     *
     * 参数示例：<pre>123</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private String prItemId;

    /**
     * @return 外部pr的行的标识
     */
    public String getPrItemId() {
        return prItemId;
    }

    /**
     * 设置外部pr的行的标识     *
     * 参数示例：<pre>345</pre>     
     * 此参数必填
     */
    public void setPrItemId(String prItemId) {
        this.prItemId = prItemId;
    }

    private Double purchaseCount;

    /**
     * @return 采购数量(最多支持3位小数)
     */
    public Double getPurchaseCount() {
        return purchaseCount;
    }

    /**
     * 设置采购数量(最多支持3位小数)     *
     * 参数示例：<pre>3.147</pre>     
     * 此参数必填
     */
    public void setPurchaseCount(Double purchaseCount) {
        this.purchaseCount = purchaseCount;
    }

}
