package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoOfferRequest {

    private String keywords;

    /**
     * @return 关键词
     */
    public String getKeywords() {
        return keywords;
    }

    /**
     * 设置关键词     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    private Boolean descendOrder;

    /**
     * @return 是否降序，true降序，false升序
     */
    public Boolean getDescendOrder() {
        return descendOrder;
    }

    /**
     * 设置是否降序，true降序，false升序     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setDescendOrder(Boolean descendOrder) {
        this.descendOrder = descendOrder;
    }

    private Integer pageSize;

    /**
     * @return 每页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页大小     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String sortType;

    /**
     * @return 排序类型，取值：price,booked,post_time，分布代表价格排序、销量排序、发布时间排序
     */
    public String getSortType() {
        return sortType;
    }

    /**
     * 设置排序类型，取值：price,booked,post_time，分布代表价格排序、销量排序、发布时间排序     *
     * 参数示例：<pre>price</pre>     
     * 此参数必填
     */
    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    private Integer currentPage;

    /**
     * @return 当前页
     */
    public Integer getCurrentPage() {
        return currentPage;
    }

    /**
     * 设置当前页     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

}
