package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ContactInfo {

    private String name;

    /**
     * @return 姓名
     */
    public String getName() {
        return name;
    }

    /**
     * 设置姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String mobile;

    /**
     * @return 手机
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置手机     *
     * 参数示例：<pre>返回一个手机号码</pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String gender;

    /**
     * @return 性别
     */
    public String getGender() {
        return gender;
    }

    /**
     * 设置性别     *
     * 参数示例：<pre>F/M</pre>     
     * 此参数必填
     */
    public void setGender(String gender) {
        this.gender = gender;
    }

    private String phone;

    /**
     * @return 电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话     *
     * 参数示例：<pre>返回一个固定电话.
    [国家区号][地区区]固定电话</pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String fax;

    /**
     * @return 传真
     */
    public String getFax() {
        return fax;
    }

    /**
     * 设置传真     *
     * 参数示例：<pre>返回一个传真电话.
    [国家区号][地区区]传真电话</pre>     
     * 此参数必填
     */
    public void setFax(String fax) {
        this.fax = fax;
    }

    private String zipCode;

    /**
     * @return 邮政编码
     */
    public String getZipCode() {
        return zipCode;
    }

    /**
     * 设置邮政编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    private String contactAddress;

    /**
     * @return 联系地址
     */
    public String getContactAddress() {
        return contactAddress;
    }

    /**
     * 设置联系地址     *
     * 参数示例：<pre>[国家名][地级市][县级市][街道地址]</pre>     
     * 此参数必填
     */
    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

}
