package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ConvertLoginIdsByMemberIdsParam extends AbstractAPIRequest<ConvertLoginIdsByMemberIdsResult> {

    public ConvertLoginIdsByMemberIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "convertLoginIdsByMemberIds", 1);
    }

    private List memberIds;

    /**
     * @return 需要转换的memberId列表
     */
    public List getMemberIds() {
        return memberIds;
    }

    /**
     * 设置需要转换的memberId列表     *
     * 参数示例：<pre>["memberId1","memberId2"]</pre>     
     * 此参数必填
     */
    public void setMemberIds(List memberIds) {
        this.memberIds = memberIds;
    }

}
