package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CoopMallQuoteGroupModel {

    private List quoteIdList;

    /**
     * @return 该分组的报价id列表
     */
    public List getQuoteIdList() {
        return quoteIdList;
    }

    /**
     * 设置该分组的报价id列表     *
     * 参数示例：<pre>[123,456]</pre>     
     * 此参数必填
     */
    public void setQuoteIdList(List quoteIdList) {
        this.quoteIdList = quoteIdList;
    }

    private String type;

    /**
     * @return 分组类型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置分组类型     *
     * 参数示例：<pre>nestpaired：采购商城伙拼报价；nestpairedNotStart：采购商城伙拼报价预热；nest：采购商城普通报价</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String msg;

    /**
     * @return 分组的文案信息，用于展示
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 设置分组的文案信息，用于展示     *
     * 参数示例：<pre>1688采购伙拼商品</pre>     
     * 此参数必填
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

}
