package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufactureBatchUpdateBulkParam extends AbstractAPIRequest<ErpManufactureBatchUpdateBulkResult> {

    public ErpManufactureBatchUpdateBulkParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.batchUpdateBulk", 1);
    }

    private AlibabaManufactureMutableBulkOrder[] bulkOrderList;

    /**
     * @return 需要更新的大货订单
     */
    public AlibabaManufactureMutableBulkOrder[] getBulkOrderList() {
        return bulkOrderList;
    }

    /**
     * 设置需要更新的大货订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBulkOrderList(AlibabaManufactureMutableBulkOrder[] bulkOrderList) {
        this.bulkOrderList = bulkOrderList;
    }

}
