package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufactureBatchUpdateFentParam extends AbstractAPIRequest<ErpManufactureBatchUpdateFentResult> {

    public ErpManufactureBatchUpdateFentParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.batchUpdateFent", 1);
    }

    private AlibabaManufactureMutableFentOrder[] fentOrderList;

    /**
     * @return 需要更新的打样订单列表
     */
    public AlibabaManufactureMutableFentOrder[] getFentOrderList() {
        return fentOrderList;
    }

    /**
     * 设置需要更新的打样订单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFentOrderList(AlibabaManufactureMutableFentOrder[] fentOrderList) {
        this.fentOrderList = fentOrderList;
    }

}
