package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufacturePullBulkGoodsCodesParam extends AbstractAPIRequest<ErpManufacturePullBulkGoodsCodesResult> {

    public ErpManufacturePullBulkGoodsCodesParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.pullBulkGoodsCodes", 1);
    }

    private Date gmtBulkStart;

    /**
     * @return 打样订单创建时间 start
     */
    public Date getGmtBulkStart() {
        return gmtBulkStart;
    }

    /**
     * 设置打样订单创建时间 start     *
     * 参数示例：<pre>20160101000000368%2B0800</pre>     
     * 此参数必填
     */
    public void setGmtBulkStart(Date gmtBulkStart) {
        this.gmtBulkStart = gmtBulkStart;
    }

    private Date gmtBulkEnd;

    /**
     * @return 打样订单创建时间 End
     */
    public Date getGmtBulkEnd() {
        return gmtBulkEnd;
    }

    /**
     * 设置打样订单创建时间 End     *
     * 参数示例：<pre>20160101000000368%2B0800</pre>     
     * 此参数必填
     */
    public void setGmtBulkEnd(Date gmtBulkEnd) {
        this.gmtBulkEnd = gmtBulkEnd;
    }

}
