package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufacturePullFentGoodsCodesParam extends AbstractAPIRequest<ErpManufacturePullFentGoodsCodesResult> {

    public ErpManufacturePullFentGoodsCodesParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.pullFentGoodsCodes", 1);
    }

    private Date gmtFentStart;

    /**
     * @return 打样订单创建时间(包含) start
     */
    public Date getGmtFentStart() {
        return gmtFentStart;
    }

    /**
     * 设置打样订单创建时间(包含) start     *
     * 参数示例：<pre>20160101000000368%2B0800</pre>     
     * 此参数必填
     */
    public void setGmtFentStart(Date gmtFentStart) {
        this.gmtFentStart = gmtFentStart;
    }

    private Date gmtFentEnd;

    /**
     * @return 打样订单创建时间(不包含) end
     */
    public Date getGmtFentEnd() {
        return gmtFentEnd;
    }

    /**
     * 设置打样订单创建时间(不包含) end     *
     * 参数示例：<pre>20160101000000368%2B0800</pre>     
     * 此参数必填
     */
    public void setGmtFentEnd(Date gmtFentEnd) {
        this.gmtFentEnd = gmtFentEnd;
    }

}
