package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufacturePushProductionPlanParam extends AbstractAPIRequest<ErpManufacturePushProductionPlanResult> {

    public ErpManufacturePushProductionPlanParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.pushProductionPlan", 1);
    }

    private AlibabaManufactureMutableProductionPlan[] planList;

    /**
     * @return 需要更新的生产计划列表
     */
    public AlibabaManufactureMutableProductionPlan[] getPlanList() {
        return planList;
    }

    /**
     * 设置需要更新的生产计划列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPlanList(AlibabaManufactureMutableProductionPlan[] planList) {
        this.planList = planList;
    }

}
