package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpProductBatchDeleteParam extends AbstractAPIRequest<ErpProductBatchDeleteResult> {

    public ErpProductBatchDeleteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.product.batchDelete", 1);
    }

    private String[] productCodeList;

    /**
     * @return 外部系统商品编号列表
     */
    public String[] getProductCodeList() {
        return productCodeList;
    }

    /**
     * 设置外部系统商品编号列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCodeList(String[] productCodeList) {
        this.productCodeList = productCodeList;
    }

}
