package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpProductBatchGetByCodeListParam extends AbstractAPIRequest<ErpProductBatchGetByCodeListResult> {

    public ErpProductBatchGetByCodeListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.product.batchGetByCodeList", 1);
    }

    private String[] productCodeList;

    /**
     * @return ERP系统中的 【商品编号#规格编号 】
    若商品无规格，则只需要传商品编号
    最多为20条
     */
    public String[] getProductCodeList() {
        return productCodeList;
    }

    /**
     * 设置ERP系统中的 【商品编号#规格编号 】
    若商品无规格，则只需要传商品编号
    最多为20条     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCodeList(String[] productCodeList) {
        this.productCodeList = productCodeList;
    }

}
