package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpProductGetByCodeParam extends AbstractAPIRequest<ErpProductGetByCodeResult> {

    public ErpProductGetByCodeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.product.getByCode", 1);
    }

    private String productCode;

    /**
     * @return 外部系统中的商品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部系统中的商品编号     *
     * 参数示例：<pre>Pt0001#Sku0001</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

}
