package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpSalesOrderPullDataListParam extends AbstractAPIRequest<ErpSalesOrderPullDataListResult> {

    public ErpSalesOrderPullDataListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.salesOrder.pullDataList", 1);
    }

    private long[] salesOrderIds;

    /**
     * @return 销售单编号列表，最大为100个
     */
    public long[] getSalesOrderIds() {
        return salesOrderIds;
    }

    /**
     * 设置销售单编号列表，最大为100个     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSalesOrderIds(long[] salesOrderIds) {
        this.salesOrderIds = salesOrderIds;
    }

}
