package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpUserCategoryBatchAddUpdateParam extends AbstractAPIRequest<ErpUserCategoryBatchAddUpdateResult> {

    public ErpUserCategoryBatchAddUpdateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.userCategory.batchAddUpdate", 1);
    }

    private ComAlibabaCaigouCoopapiProductParamWriteUserCategoryCoopParam[] userCategoryList;

    /**
     * @return 批量新增修改参数列表
     */
    public ComAlibabaCaigouCoopapiProductParamWriteUserCategoryCoopParam[] getUserCategoryList() {
        return userCategoryList;
    }

    /**
     * 设置批量新增修改参数列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUserCategoryList(ComAlibabaCaigouCoopapiProductParamWriteUserCategoryCoopParam[] userCategoryList) {
        this.userCategoryList = userCategoryList;
    }

}
