package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpWarehouseBatchDeleteParam extends AbstractAPIRequest<ErpWarehouseBatchDeleteResult> {

    public ErpWarehouseBatchDeleteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.warehouse.batchDelete", 1);
    }

    private String[] warehouseCodeList;

    /**
     * @return 仓库编号列表
     */
    public String[] getWarehouseCodeList() {
        return warehouseCodeList;
    }

    /**
     * 设置仓库编号列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWarehouseCodeList(String[] warehouseCodeList) {
        this.warehouseCodeList = warehouseCodeList;
    }

}
