package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpWarehouseStockBatchInitParam extends AbstractAPIRequest<ErpWarehouseStockBatchInitResult> {

    public ErpWarehouseStockBatchInitParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.warehouseStock.batchInit", 1);
    }

    private ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] stockInitList;

    /**
     * @return 库存变动流水参数
     */
    public ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] getStockInitList() {
        return stockInitList;
    }

    /**
     * 设置库存变动流水参数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStockInitList(ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] stockInitList) {
        this.stockInitList = stockInitList;
    }

}
