package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpWarehouseStockQueryByPwCodeParam extends AbstractAPIRequest<ErpWarehouseStockQueryByPwCodeResult> {

    public ErpWarehouseStockQueryByPwCodeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.warehouseStock.queryByPwCode", 1);
    }

    private String[] pwCodeList;

    /**
     * @return 商品编号#规格编号@仓库编号
     */
    public String[] getPwCodeList() {
        return pwCodeList;
    }

    /**
     * 设置商品编号#规格编号@仓库编号     *
     * 参数示例：<pre>["prod001@wh001","prod002@wh002"]</pre>     
     * 此参数必填
     */
    public void setPwCodeList(String[] pwCodeList) {
        this.pwCodeList = pwCodeList;
    }

}
