package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ExprTestParam extends AbstractAPIRequest<ExprTestResult> {

    public ExprTestParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "expr.test", 1);
    }

    private String name;

    /**
     * @return 名字
     */
    public String getName() {
        return name;
    }

    /**
     * 设置名字     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private Integer age;

    /**
     * @return 年龄
     */
    public Integer getAge() {
        return age;
    }

    /**
     * 设置年龄     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    private Boolean married;

    /**
     * @return 婚否
     */
    public Boolean getMarried() {
        return married;
    }

    /**
     * 设置婚否     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMarried(Boolean married) {
        this.married = married;
    }

}
