package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankAlbumDeleteParam extends AbstractAPIRequest<IbankAlbumDeleteResult> {

    public IbankAlbumDeleteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.album.delete", 1);
    }

    private String albumIds;

    /**
     * @return 相册ID序列，以半角分号”;”分隔。每次最多支持删除500个相册。
     */
    public String getAlbumIds() {
        return albumIds;
    }

    /**
     * 设置相册ID序列，以半角分号”;”分隔。每次最多支持删除500个相册。     *
     * 参数示例：<pre>66221002;66200059</pre>     
     * 此参数必填
     */
    public void setAlbumIds(String albumIds) {
        this.albumIds = albumIds;
    }

}
