package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankAlbumGetParam extends AbstractAPIRequest<IbankAlbumGetResult> {

    public IbankAlbumGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.album.get", 1);
    }

    private Long albumId;

    /**
     * @return 相册ID
     */
    public Long getAlbumId() {
        return albumId;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre>66200059</pre>     
     * 此参数必填
     */
    public void setAlbumId(Long albumId) {
        this.albumId = albumId;
    }

}
