package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankImageDeleteByIdsParam extends AbstractAPIRequest<IbankImageDeleteByIdsResult> {

    public IbankImageDeleteByIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.image.deleteByIds", 1);
    }

    private String imageIds;

    /**
     * @return 图片ID序列，以半角分号”;”分隔。每次最多支持删除20张图片。
     */
    public String getImageIds() {
        return imageIds;
    }

    /**
     * 设置图片ID序列，以半角分号”;”分隔。每次最多支持删除20张图片。     *
     * 参数示例：<pre>151102004;151102001;151102000</pre>     
     * 此参数必填
     */
    public void setImageIds(String imageIds) {
        this.imageIds = imageIds;
    }

}
