package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankImageGetParam extends AbstractAPIRequest<IbankImageGetResult> {

    public IbankImageGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.image.get", 1);
    }

    private Long imageId;

    /**
     * @return 图片ID
     */
    public Long getImageId() {
        return imageId;
    }

    /**
     * 设置图片ID     *
     * 参数示例：<pre>150012000</pre>     
     * 此参数必填
     */
    public void setImageId(Long imageId) {
        this.imageId = imageId;
    }

}
