package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IsvOrderItemDto {

    private String bizStatusExt;

    /**
     * @return 订单详细状态 audit_pass:审核通过，issue_ready：待发布，service：服务中，suspend：挂起
    arrear_suspend：欠费挂起，closed：关闭，cancel：作废
     */
    public String getBizStatusExt() {
        return bizStatusExt;
    }

    /**
     * 设置订单详细状态 audit_pass:审核通过，issue_ready：待发布，service：服务中，suspend：挂起
     arrear_suspend：欠费挂起，closed：关闭，cancel：作废     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizStatusExt(String bizStatusExt) {
        this.bizStatusExt = bizStatusExt;
    }

    private String memberId;

    /**
     * @return 会员memberId
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员memberId     *
     * 参数示例：<pre>test12345</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre>360旺店</pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private Date gmtCreate;

    /**
     * @return 下单时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置下单时间     *
     * 参数示例：<pre>20130509120000000+0800</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtServiceEnd;

    /**
     * @return 到期时间
     */
    public Date getGmtServiceEnd() {
        return gmtServiceEnd;
    }

    /**
     * 设置到期时间     *
     * 参数示例：<pre>20130509120000000+0800</pre>     
     * 此参数必填
     */
    public void setGmtServiceEnd(Date gmtServiceEnd) {
        this.gmtServiceEnd = gmtServiceEnd;
    }

    private String bizStatus;

    /**
     * @return 订单状态
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废
     */
    public String getBizStatus() {
        return bizStatus;
    }

    /**
     * 设置订单状态
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废     *
     * 参数示例：<pre>S</pre>     
     * 此参数必填
     */
    public void setBizStatus(String bizStatus) {
        this.bizStatus = bizStatus;
    }

    private Double paymentAmount;

    /**
     * @return 到帐金额
     */
    public Double getPaymentAmount() {
        return paymentAmount;
    }

    /**
     * 设置到帐金额     *
     * 参数示例：<pre>250.00</pre>     
     * 此参数必填
     */
    public void setPaymentAmount(Double paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    private Double executePrice;

    /**
     * @return 执行金额
     */
    public Double getExecutePrice() {
        return executePrice;
    }

    /**
     * 设置执行金额     *
     * 参数示例：<pre>250.00</pre>     
     * 此参数必填
     */
    public void setExecutePrice(Double executePrice) {
        this.executePrice = executePrice;
    }

}
