package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class MemberGetLoginUriParam extends AbstractAPIRequest<MemberGetLoginUriResult> {

    public MemberGetLoginUriParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "member.getLoginUri", 2);
    }

    private String returnUrl;

    /**
     * @return 登录成功后跳转的第三方应用URL地址
     */
    public String getReturnUrl() {
        return returnUrl;
    }

    /**
     * 设置登录成功后跳转的第三方应用URL地址     *
     * 参数示例：<pre>http://www.csfz.cn/</pre>     
     * 此参数必填
     */
    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

}
