package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferDeleteParam extends AbstractAPIRequest<OfferDeleteResult> {

    public OfferDeleteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.delete", 1);
    }

    private String offerIds;

    /**
     * @return offer ID列表；目前只支持单个产品删除
     */
    public String getOfferIds() {
        return offerIds;
    }

    /**
     * 设置offer ID列表；目前只支持单个产品删除     *
     * 参数示例：<pre>1229546226</pre>     
     * 此参数必填
     */
    public void setOfferIds(String offerIds) {
        this.offerIds = offerIds;
    }

}
