package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGetEditUriParam extends AbstractAPIRequest<OfferGetEditUriResult> {

    public OfferGetEditUriParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.getEditUri", 1);
    }

    private Map param;

    /**
     * @return 必须包含String类型的offerId属性，表示商品ID
     */
    public Map getParam() {
        return param;
    }

    /**
     * 设置必须包含String类型的offerId属性，表示商品ID     *
     * 参数示例：<pre>{"offerId":42374873}</pre>     
     * 此参数必填
     */
    public void setParam(Map param) {
        this.param = param;
    }

}
