package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferPostFeaturesGetParam extends AbstractAPIRequest<OfferPostFeaturesGetResult> {

    public OfferPostFeaturesGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offerPostFeatures.get", 1);
    }

    private Long categoryID;

    /**
     * @return 类目ID
     */
    public Long getCategoryID() {
        return categoryID;
    }

    /**
     * 设置类目ID     *
     * 参数示例：<pre>1031910</pre>     
     * 此参数必填
     */
    public void setCategoryID(Long categoryID) {
        this.categoryID = categoryID;
    }

    private String timeStamp;

    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     *
          
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

}
