package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfficialsiteSeoGetMetaInfosParam extends AbstractAPIRequest<OfficialsiteSeoGetMetaInfosResult> {

    public OfficialsiteSeoGetMetaInfosParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "officialsite.seo.getMetaInfos", 1);
    }

    private String[] pageNames;

    /**
     * @return 要获取的pagename列表
     */
    public String[] getPageNames() {
        return pageNames;
    }

    /**
     * 设置要获取的pagename列表     *
     * 参数示例：<pre>["index","offerlist","newslist","companyinfo","creditdetail","creditdetail_remark","creditdetail_certificate","creditdetail_guarantee","albumlist","contactinfo","custompage1","offerdetail","feedback","privatezone"]</pre>     
     * 此参数必填
     */
    public void setPageNames(String[] pageNames) {
        this.pageNames = pageNames;
    }

}
