package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class SendOrderResult {

    private Boolean success;

    /**
     * @return 操作结果
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置操作结果     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private String resultCode;

    /**
     * @return 操作返回码
     */
    public String getResultCode() {
        return resultCode;
    }

    /**
     * 设置操作返回码     *
     * 参数示例：<pre>success</pre>     
     * 此参数必填
     */
    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    private String resultMsg;

    /**
     * @return 操作返回信息
     */
    public String getResultMsg() {
        return resultMsg;
    }

    /**
     * 设置操作返回信息     *
     * 参数示例：<pre>成功</pre>     
     * 此参数必填
     */
    public void setResultMsg(String resultMsg) {
        this.resultMsg = resultMsg;
    }

    private String logisticsId;

    /**
     * @return 物流编号
     */
    public String getLogisticsId() {
        return logisticsId;
    }

    /**
     * 设置物流编号     *
     * 参数示例：<pre>AL8123432</pre>     
     * 此参数必填
     */
    public void setLogisticsId(String logisticsId) {
        this.logisticsId = logisticsId;
    }

    private String orderId;

    /**
     * @return 订单号
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单号     *
     * 参数示例：<pre>112342</pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    private String orderEntryIds;

    /**
     * @return 订单明细，以英文逗号分隔
     */
    public String getOrderEntryIds() {
        return orderEntryIds;
    }

    /**
     * 设置订单明细，以英文逗号分隔     *
     * 参数示例：<pre>2342,1234</pre>     
     * 此参数必填
     */
    public void setOrderEntryIds(String orderEntryIds) {
        this.orderEntryIds = orderEntryIds;
    }

}
