package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ShowWindowModel {

    private Integer swUsedCount;

    /**
     * @return 已用橱窗数
     */
    public Integer getSwUsedCount() {
        return swUsedCount;
    }

    /**
     * 设置已用橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwUsedCount(Integer swUsedCount) {
        this.swUsedCount = swUsedCount;
    }

    private Integer swTotalCount;

    /**
     * @return 橱窗总数
     */
    public Integer getSwTotalCount() {
        return swTotalCount;
    }

    /**
     * 设置橱窗总数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwTotalCount(Integer swTotalCount) {
        this.swTotalCount = swTotalCount;
    }

    private Integer swBaseCount;

    /**
     * @return 基准橱窗数
     */
    public Integer getSwBaseCount() {
        return swBaseCount;
    }

    /**
     * 设置基准橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwBaseCount(Integer swBaseCount) {
        this.swBaseCount = swBaseCount;
    }

    private Integer swAwardCount;

    /**
     * @return 奖励橱窗数
     */
    public Integer getSwAwardCount() {
        return swAwardCount;
    }

    /**
     * 设置奖励橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwAwardCount(Integer swAwardCount) {
        this.swAwardCount = swAwardCount;
    }

    private Integer swReduceCount;

    /**
     * @return 扣减橱窗数
     */
    public Integer getSwReduceCount() {
        return swReduceCount;
    }

    /**
     * 设置扣减橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwReduceCount(Integer swReduceCount) {
        this.swReduceCount = swReduceCount;
    }

    private Integer swRemainCount;

    /**
     * @return 剩余橱窗数
     */
    public Integer getSwRemainCount() {
        return swRemainCount;
    }

    /**
     * 设置剩余橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwRemainCount(Integer swRemainCount) {
        this.swRemainCount = swRemainCount;
    }

    private Integer swActivityCount;

    /**
     * @return 活动奖励橱窗数
     */
    public Integer getSwActivityCount() {
        return swActivityCount;
    }

    /**
     * 设置活动奖励橱窗数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwActivityCount(Integer swActivityCount) {
        this.swActivityCount = swActivityCount;
    }

    private String memberId;

    /**
     * @return 会员ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private Integer versionId;

    /**
     * @return 版本ID
     */
    public Integer getVersionId() {
        return versionId;
    }

    /**
     * 设置版本ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }

    private String swBaseCountReason;

    /**
     * @return 基准橱窗数原因
     */
    public String getSwBaseCountReason() {
        return swBaseCountReason;
    }

    /**
     * 设置基准橱窗数原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwBaseCountReason(String swBaseCountReason) {
        this.swBaseCountReason = swBaseCountReason;
    }

    private String swAwardCountReason;

    /**
     * @return 奖励橱窗数原因
     */
    public String getSwAwardCountReason() {
        return swAwardCountReason;
    }

    /**
     * 设置奖励橱窗数原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwAwardCountReason(String swAwardCountReason) {
        this.swAwardCountReason = swAwardCountReason;
    }

    private String swReduceCountReason;

    /**
     * @return 扣减橱窗数原因
     */
    public String getSwReduceCountReason() {
        return swReduceCountReason;
    }

    /**
     * 设置扣减橱窗数原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSwReduceCountReason(String swReduceCountReason) {
        this.swReduceCountReason = swReduceCountReason;
    }

    private Boolean blackListMemberStatus;

    /**
     * @return 是否黑名单会员，true为黑名单，false不为黑名单
     */
    public Boolean getBlackListMemberStatus() {
        return blackListMemberStatus;
    }

    /**
     * 设置是否黑名单会员，true为黑名单，false不为黑名单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBlackListMemberStatus(Boolean blackListMemberStatus) {
        this.blackListMemberStatus = blackListMemberStatus;
    }

    private Date gmtCreate;

    /**
     * @return 橱窗运算时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置橱窗运算时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

}
