package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TracedProductSaveParam extends AbstractAPIRequest<TracedProductSaveResult> {

    public TracedProductSaveParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "traced.product.save", 1);
    }

    private String batchId;

    /**
     * @return 批次ID
     */
    public String getBatchId() {
        return batchId;
    }

    /**
     * 设置批次ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    private String batchPassword;

    /**
     * @return 批次密码
     */
    public String getBatchPassword() {
        return batchPassword;
    }

    /**
     * 设置批次密码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchPassword(String batchPassword) {
        this.batchPassword = batchPassword;
    }

    private TracedTracedQuality[] properties;

    /**
     * @return 质检结果
     */
    public TracedTracedQuality[] getProperties() {
        return properties;
    }

    /**
     * 设置质检结果     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProperties(TracedTracedQuality[] properties) {
        this.properties = properties;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private Long productId;

    /**
     * @return 产品唯一ID
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品唯一ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String companyName;

    /**
     * @return 公司名称
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * 设置公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    private String organization;

    /**
     * @return 认证组织
     */
    public String getOrganization() {
        return organization;
    }

    /**
     * 设置认证组织     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrganization(String organization) {
        this.organization = organization;
    }

    private List qualityReport;

    /**
     * @return 质检报告
     */
    public List getQualityReport() {
        return qualityReport;
    }

    /**
     * 设置质检报告     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQualityReport(List qualityReport) {
        this.qualityReport = qualityReport;
    }

    private String area;

    /**
     * @return 产地
     */
    public String getArea() {
        return area;
    }

    /**
     * 设置产地     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setArea(String area) {
        this.area = area;
    }

}
