package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderBatchRateResult {

    private Map failedOrder;

    /**
     * @return 提交评价失败的订单Map(Long,String),前者为失败的订单号，后者为失败的错误码：
    1 返回为空时，创建全部成功
    2 没指定订单号及评价内容时,接口直接返回成功结果
    3 当订单已经评价过时，接口直接返回成功结果，不做任何处理
    4 当指定的订单不是指定postMemberId用户的订单是，接口直接返回成功结果，不做任何处理
    5 当指定的订单不处于待评价状态时，接口直接返回成功结果，不做任何处理
     */
    public Map getFailedOrder() {
        return failedOrder;
    }

    /**
     * 设置提交评价失败的订单Map(Long,String),前者为失败的订单号，后者为失败的错误码：
    1 返回为空时，创建全部成功
    2 没指定订单号及评价内容时,接口直接返回成功结果
    3 当订单已经评价过时，接口直接返回成功结果，不做任何处理
    4 当指定的订单不是指定postMemberId用户的订单是，接口直接返回成功结果，不做任何处理
    5 当指定的订单不处于待评价状态时，接口直接返回成功结果，不做任何处理     *
          
     * 此参数必填
     */
    public void setFailedOrder(Map failedOrder) {
        this.failedOrder = failedOrder;
    }

}
