package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderDetailGetParam extends AbstractAPIRequest<TradeOrderDetailGetResult> {

    public TradeOrderDetailGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.detail.get", 1);
    }

    private Long id;

    /**
     * @return 订单号
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private Boolean needOrderEntries;

    /**
     * @return 是否需要订单明细
     */
    public Boolean getNeedOrderEntries() {
        return needOrderEntries;
    }

    /**
     * 设置是否需要订单明细     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedOrderEntries(Boolean needOrderEntries) {
        this.needOrderEntries = needOrderEntries;
    }

    private Boolean needInvoiceInfo;

    /**
     * @return 是否需要发票信息
     */
    public Boolean getNeedInvoiceInfo() {
        return needInvoiceInfo;
    }

    /**
     * 设置是否需要发票信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedInvoiceInfo(Boolean needInvoiceInfo) {
        this.needInvoiceInfo = needInvoiceInfo;
    }

    private Boolean needOrderMemoList;

    /**
     * @return 是否需要订单备注
     */
    public Boolean getNeedOrderMemoList() {
        return needOrderMemoList;
    }

    /**
     * 设置是否需要订单备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedOrderMemoList(Boolean needOrderMemoList) {
        this.needOrderMemoList = needOrderMemoList;
    }

    private Boolean needLogisticsOrderList;

    /**
     * @return 是否需要物流单信息
     */
    public Boolean getNeedLogisticsOrderList() {
        return needLogisticsOrderList;
    }

    /**
     * 设置是否需要物流单信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedLogisticsOrderList(Boolean needLogisticsOrderList) {
        this.needLogisticsOrderList = needLogisticsOrderList;
    }

}
