package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UserCategoryGetOfferIdsParam extends AbstractAPIRequest<UserCategoryGetOfferIdsResult> {

    public UserCategoryGetOfferIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "userCategory.get.offerIds", 1);
    }

    private String offerIds;

    /**
     * @return 查询的产品序列。多个产品id半角分号分隔
     */
    public String getOfferIds() {
        return offerIds;
    }

    /**
     * 设置查询的产品序列。多个产品id半角分号分隔     *
     * 参数示例：<pre>30909867;1277824766;1277824767;1</pre>     
     * 此参数必填
     */
    public void setOfferIds(String offerIds) {
        this.offerIds = offerIds;
    }

}
