package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpBulkSettlementSubOrderInfo {

    private String orderEntryId;

    /**
     * @return 子订单号
     */
    public String getOrderEntryId() {
        return orderEntryId;
    }

    /**
     * 设置子订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderEntryId(String orderEntryId) {
        this.orderEntryId = orderEntryId;
    }

    private Long quantity;

    /**
     * @return 商品数量
     */
    public Long getQuantity() {
        return quantity;
    }

    /**
     * 设置商品数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    private Double realQuantity;

    /**
     * @return 支持小数的商品数量
     */
    public Double getRealQuantity() {
        return realQuantity;
    }

    /**
     * 设置支持小数的商品数量     *
     * 参数示例：<pre>0.001</pre>     
     * 此参数必填
     */
    public void setRealQuantity(Double realQuantity) {
        this.realQuantity = realQuantity;
    }

}
