package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorGetSupplierFreightTemplatesParam extends AbstractAPIRequest<AlibabaDistributorGetSupplierFreightTemplatesResult> {

    public AlibabaDistributorGetSupplierFreightTemplatesParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.distributor.getSupplierFreightTemplates", 1);
    }

    private String supplierLoginId;

    /**
     * @return 供应商的LoginId
     */
    public String getSupplierLoginId() {
        return supplierLoginId;
    }

    /**
     * 设置供应商的LoginId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierLoginId(String supplierLoginId) {
        this.supplierLoginId = supplierLoginId;
    }

    private Long templateId;

    /**
     * @return 运费模版id，用于单条查询的场景，如果不传的话，则是查所有模版
     */
    public Long getTemplateId() {
        return templateId;
    }

    /**
     * 设置运费模版id，用于单条查询的场景，如果不传的话，则是查所有模版     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    private Boolean querySubTemplate;

    /**
     * @return 是否查询子模板
     */
    public Boolean getQuerySubTemplate() {
        return querySubTemplate;
    }

    /**
     * 设置是否查询子模板     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuerySubTemplate(Boolean querySubTemplate) {
        this.querySubTemplate = querySubTemplate;
    }

    private Boolean queryRate;

    /**
     * @return 是否查询子模板费率
     */
    public Boolean getQueryRate() {
        return queryRate;
    }

    /**
     * 设置是否查询子模板费率     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQueryRate(Boolean queryRate) {
        this.queryRate = queryRate;
    }

}
