package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsExpressContact {

    private String countryName;

    /**
     * @return 国家名称
     */
    public String getCountryName() {
        return countryName;
    }

    /**
     * 设置国家名称     *
     * 参数示例：<pre>美国</pre>     
     * 此参数必填
     */
    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    private String faxCountry;

    /**
     * @return 传真国家号
     */
    public String getFaxCountry() {
        return faxCountry;
    }

    /**
     * 设置传真国家号     *
     * 参数示例：<pre>86</pre>     
     * 此参数必填
     */
    public void setFaxCountry(String faxCountry) {
        this.faxCountry = faxCountry;
    }

    private String countryCode;

    /**
     * @return 国家代码，使用ISO 3166 2A
     */
    public String getCountryCode() {
        return countryCode;
    }

    /**
     * 设置国家代码，使用ISO 3166 2A     *
     * 参数示例：<pre>US</pre>     
     * 此参数必填
     */
    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    private String phoneCity;

    /**
     * @return 电话区号
     */
    public String getPhoneCity() {
        return phoneCity;
    }

    /**
     * 设置电话区号     *
     * 参数示例：<pre>010</pre>     
     * 此参数必填
     */
    public void setPhoneCity(String phoneCity) {
        this.phoneCity = phoneCity;
    }

    private String mobileCountry;

    /**
     * @return 手机国家号
     */
    public String getMobileCountry() {
        return mobileCountry;
    }

    /**
     * 设置手机国家号     *
     * 参数示例：<pre>86</pre>     
     * 此参数必填
     */
    public void setMobileCountry(String mobileCountry) {
        this.mobileCountry = mobileCountry;
    }

    private String city;

    /**
     * @return 城市名
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置城市名     *
     * 参数示例：<pre>New York</pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String personNameZh;

    /**
     * @return 联系人姓名（中文）
     */
    public String getPersonNameZh() {
        return personNameZh;
    }

    /**
     * 设置联系人姓名（中文）     *
     * 参数示例：<pre>刘小二</pre>     
     * 此参数必填
     */
    public void setPersonNameZh(String personNameZh) {
        this.personNameZh = personNameZh;
    }

    private String faxNumber;

    /**
     * @return 传真号码
     */
    public String getFaxNumber() {
        return faxNumber;
    }

    /**
     * 设置传真号码     *
     * 参数示例：<pre>88889999</pre>     
     * 此参数必填
     */
    public void setFaxNumber(String faxNumber) {
        this.faxNumber = faxNumber;
    }

    private String postalCode;

    /**
     * @return 邮编
     */
    public String getPostalCode() {
        return postalCode;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre>518012</pre>     
     * 此参数必填
     */
    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    private String phoneNumber;

    /**
     * @return 电话号码
     */
    public String getPhoneNumber() {
        return phoneNumber;
    }

    /**
     * 设置电话号码     *
     * 参数示例：<pre>99998888</pre>     
     * 此参数必填
     */
    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    private String companyNameZh;

    /**
     * @return 公司名称（中文）
     */
    public String getCompanyNameZh() {
        return companyNameZh;
    }

    /**
     * 设置公司名称（中文）     *
     * 参数示例：<pre>测试公司</pre>     
     * 此参数必填
     */
    public void setCompanyNameZh(String companyNameZh) {
        this.companyNameZh = companyNameZh;
    }

    private String email;

    /**
     * @return 邮箱
     */
    public String getEmail() {
        return email;
    }

    /**
     * 设置邮箱     *
     * 参数示例：<pre>test@test.com</pre>     
     * 此参数必填
     */
    public void setEmail(String email) {
        this.email = email;
    }

    private String address;

    /**
     * @return 详细地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置详细地址     *
     * 参数示例：<pre>浙江省杭州市滨江区网商路999号</pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String faxCity;

    /**
     * @return 传真区号
     */
    public String getFaxCity() {
        return faxCity;
    }

    /**
     * 设置传真区号     *
     * 参数示例：<pre>010</pre>     
     * 此参数必填
     */
    public void setFaxCity(String faxCity) {
        this.faxCity = faxCity;
    }

    private String companyNameEn;

    /**
     * @return 公司名称（英文）
     */
    public String getCompanyNameEn() {
        return companyNameEn;
    }

    /**
     * 设置公司名称（英文）     *
     * 参数示例：<pre>ABC test company</pre>     
     * 此参数必填
     */
    public void setCompanyNameEn(String companyNameEn) {
        this.companyNameEn = companyNameEn;
    }

    private String stateProvinceCode;

    /**
     * @return 州省代码
     */
    public String getStateProvinceCode() {
        return stateProvinceCode;
    }

    /**
     * 设置州省代码     *
     * 参数示例：<pre>NY</pre>     
     * 此参数必填
     */
    public void setStateProvinceCode(String stateProvinceCode) {
        this.stateProvinceCode = stateProvinceCode;
    }

    private String personNameEn;

    /**
     * @return 联系人姓名（英文）
     */
    public String getPersonNameEn() {
        return personNameEn;
    }

    /**
     * 设置联系人姓名（英文）     *
     * 参数示例：<pre>Jick Liu</pre>     
     * 此参数必填
     */
    public void setPersonNameEn(String personNameEn) {
        this.personNameEn = personNameEn;
    }

    private String mobileNumber;

    /**
     * @return 手机号码
     */
    public String getMobileNumber() {
        return mobileNumber;
    }

    /**
     * 设置手机号码     *
     * 参数示例：<pre>13899999999</pre>     
     * 此参数必填
     */
    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    private String phoneCountry;

    /**
     * @return 电话国家号
     */
    public String getPhoneCountry() {
        return phoneCountry;
    }

    /**
     * 设置电话国家号     *
     * 参数示例：<pre>86</pre>     
     * 此参数必填
     */
    public void setPhoneCountry(String phoneCountry) {
        this.phoneCountry = phoneCountry;
    }

    private String stateProvinceName;

    /**
     * @return 州省名称
     */
    public String getStateProvinceName() {
        return stateProvinceName;
    }

    /**
     * 设置州省名称     *
     * 参数示例：<pre>New York State</pre>     
     * 此参数必填
     */
    public void setStateProvinceName(String stateProvinceName) {
        this.stateProvinceName = stateProvinceName;
    }

}
