package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsExpressExpressWTDSolutionGetListParam {

    private String originZip;

    /**
     * @return 起始地邮编
     */
    public String getOriginZip() {
        return originZip;
    }

    /**
     * 设置起始地邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOriginZip(String originZip) {
        this.originZip = originZip;
    }

    private String destinationCountryCode;

    /**
     * @return 目的国家代码，使用ISO 3166 2A
     */
    public String getDestinationCountryCode() {
        return destinationCountryCode;
    }

    /**
     * 设置目的国家代码，使用ISO 3166 2A     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDestinationCountryCode(String destinationCountryCode) {
        this.destinationCountryCode = destinationCountryCode;
    }

    private AlibabaLogisticsExpressGoodsPackage goodsPackage;

    /**
     * @return 包裹信息
     */
    public AlibabaLogisticsExpressGoodsPackage getGoodsPackage() {
        return goodsPackage;
    }

    /**
     * 设置包裹信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGoodsPackage(AlibabaLogisticsExpressGoodsPackage goodsPackage) {
        this.goodsPackage = goodsPackage;
    }

}
