package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsInternationalexpressWtdOrderGetListParam extends AbstractAPIRequest<AlibabaLogisticsInternationalexpressWtdOrderGetListResult> {

    public AlibabaLogisticsInternationalexpressWtdOrderGetListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.logistics.internationalexpress.wtd.order.getList", 1);
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

    private Integer pageNo;

    /**
     * @return 页码(默认为1）
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码(默认为1）     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer pageSize;

    /**
     * @return 每页记录数（默认10，最大为10）
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页记录数（默认10，最大为10）     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
