package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsOpReceiveContacter {

    private String provinceCode;

    /**
     * @return 省编码
     */
    public String getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置省编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    private String cityCode;

    /**
     * @return 市编码
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    private String areaCode;

    /**
     * @return 地区编码
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置地区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    private String townCode;

    /**
     * @return 镇或街道编码
     */
    public String getTownCode() {
        return townCode;
    }

    /**
     * 设置镇或街道编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    private String province;

    /**
     * @return 省名称，如果传了code，则可以不传
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置省名称，如果传了code，则可以不传     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String city;

    /**
     * @return 市名称，如果传了code，则可以不传
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置市名称，如果传了code，则可以不传     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String area;

    /**
     * @return 区名称，如果传了code，则可以不传
     */
    public String getArea() {
        return area;
    }

    /**
     * 设置区名称，如果传了code，则可以不传     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setArea(String area) {
        this.area = area;
    }

    private String town;

    /**
     * @return 镇或街道名称
     */
    public String getTown() {
        return town;
    }

    /**
     * 设置镇或街道名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTown(String town) {
        this.town = town;
    }

    private String address;

    /**
     * @return 详细地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置详细地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String fullName;

    /**
     * @return 姓名
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    private String corpName;

    /**
     * @return 公司名称
     */
    public String getCorpName() {
        return corpName;
    }

    /**
     * 设置公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    private String post;

    /**
     * @return 邮编
     */
    public String getPost() {
        return post;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPost(String post) {
        this.post = post;
    }

    private String phone;

    /**
     * @return 固定电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置固定电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String mobile;

    /**
     * @return 移动电话
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置移动电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String warehouse;

    /**
     * @return 仓库
     */
    public String getWarehouse() {
        return warehouse;
    }

    /**
     * 设置仓库     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    private String codeType;

    /**
     * @return 地址编码类型,默认菜鸟标准编码
     */
    public String getCodeType() {
        return codeType;
    }

    /**
     * 设置地址编码类型,默认菜鸟标准编码     *
     * 参数示例：<pre>cn</pre>     
     * 此参数必填
     */
    public void setCodeType(String codeType) {
        this.codeType = codeType;
    }

}
