package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsOpSendGoodEntry {

    private String sourceEntryId;

    /**
     * @return 发货对象明细id，对应子订单Id
     */
    public String getSourceEntryId() {
        return sourceEntryId;
    }

    /**
     * 设置发货对象明细id，对应子订单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceEntryId(String sourceEntryId) {
        this.sourceEntryId = sourceEntryId;
    }

    private Long amount;

    /**
     * @return 发货对象实发数量
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置发货对象实发数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private Double weight;

    /**
     * @return 发货对象实发重量，重量单位默认为千克
     */
    public Double getWeight() {
        return weight;
    }

    /**
     * 设置发货对象实发重量，重量单位默认为千克     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWeight(Double weight) {
        this.weight = weight;
    }

}
