package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaAgentBanamaProductGetParam extends AbstractAPIRequest<AlibabaAgentBanamaProductGetResult> {

    public AlibabaAgentBanamaProductGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.agent.banama.product.get", 1);
    }

    private Long productID;

    /**
     * @return 商品ID
     */
    public Long getProductID() {
        return productID;
    }

    /**
     * 设置商品ID     *
     * 参数示例：<pre>123456</pre>     
     * 此参数必填
     */
    public void setProductID(Long productID) {
        this.productID = productID;
    }

    private String webSite;

    /**
     * @return 站点标志，这里只能接受1688
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点标志，这里只能接受1688     *
     * 参数示例：<pre>1688</pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
