package com.alibaba.product.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCategoryAttributeGetResult {

    private AlibabaCategoryAttributeInfo[] attributes;

    /**
     * @return 类目属性信息
     */
    public AlibabaCategoryAttributeInfo[] getAttributes() {
        return attributes;
    }

    /**
     * 设置类目属性信息     *
          
     * 此参数必填
     */
    public void setAttributes(AlibabaCategoryAttributeInfo[] attributes) {
        this.attributes = attributes;
    }

    private AlibabaCategoryPostLevelAttrRel[] levelAttrRelList;

    /**
     * @return (废弃)类目属性级联关系，只有1688业务返回返回该字段
     */
    public AlibabaCategoryPostLevelAttrRel[] getLevelAttrRelList() {
        return levelAttrRelList;
    }

    /**
     * 设置(废弃)类目属性级联关系，只有1688业务返回返回该字段     *
          
     * 此参数必填
     */
    public void setLevelAttrRelList(AlibabaCategoryPostLevelAttrRel[] levelAttrRelList) {
        this.levelAttrRelList = levelAttrRelList;
    }

    private String errorMsg;

    /**
     * @return 错误描述
     */
    public String getErrorMsg() {
        return errorMsg;
    }

    /**
     * 设置错误描述     *
          
     * 此参数必填
     */
    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    private String attributeLevelMapStr;

    /**
     * @return 级联信息字符串，可强转成map。冒号前为属性id，冒号后面为属性值id >表示层级关系
     */
    public String getAttributeLevelMapStr() {
        return attributeLevelMapStr;
    }

    /**
     * 设置级联信息字符串，可强转成map。冒号前为属性id，冒号后面为属性值id >表示层级关系     *
          
     * 此参数必填
     */
    public void setAttributeLevelMapStr(String attributeLevelMapStr) {
        this.attributeLevelMapStr = attributeLevelMapStr;
    }

}
