package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsFreightTemplateGetListParam extends AbstractAPIRequest<AlibabaLogisticsFreightTemplateGetListResult> {

    public AlibabaLogisticsFreightTemplateGetListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.logistics.freightTemplate.getList", 1);
    }

    private String webSite;

    /**
     * @return 站点信息，目前仅支持国际站（alibaba）的查询
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，目前仅支持国际站（alibaba）的查询     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
