package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPhotobankAlbumDeleteParam extends AbstractAPIRequest<AlibabaPhotobankAlbumDeleteResult> {

    public AlibabaPhotobankAlbumDeleteParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.photobank.album.delete", 1);
    }

    private Long albumID;

    /**
     * @return 相册ID
     */
    public Long getAlbumID() {
        return albumID;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlbumID(Long albumID) {
        this.albumID = albumID;
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
