package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductRateListParam extends AbstractAPIRequest<AlibabaProductRateListResult> {

    public AlibabaProductRateListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.rate.list", 1);
    }

    private Long productId;

    /**
     * @return 商品ID
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置商品ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Integer page;

    /**
     * @return 分页时的页数
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置分页时的页数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private Integer pageSize;

    /**
     * @return 分页时每页返回数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页时每页返回数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer starLevel;

    /**
     * @return 星级
     */
    public Integer getStarLevel() {
        return starLevel;
    }

    /**
     * 设置星级     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStarLevel(Integer starLevel) {
        this.starLevel = starLevel;
    }

}
