package com.alibaba.product.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductRepostResult {

    private AlibabaProductProductOperateResult[] result;

    /**
     * @return 
     */
    public AlibabaProductProductOperateResult[] getResult() {
        return result;
    }

    /**
     * 设置     *
          
     * 此参数必填
     */
    public void setResult(AlibabaProductProductOperateResult[] result) {
        this.result = result;
    }

    private String errorCode;

    /**
     * @return 
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * 设置     *
          
     * 此参数必填
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    private String errorMessage;

    /**
     * @return 详细的错误信息，可能有多条，是一个Map，用于开发自己定位问题
     */
    public String getErrorMessage() {
        return errorMessage;
    }

    /**
     * 设置详细的错误信息，可能有多条，是一个Map，用于开发自己定位问题     *
          
     * 此参数必填
     */
    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    private String subErrorCode;

    /**
     * @return 单条错误code
     */
    public String getSubErrorCode() {
        return subErrorCode;
    }

    /**
     * 设置单条错误code     *
          
     * 此参数必填
     */
    public void setSubErrorCode(String subErrorCode) {
        this.subErrorCode = subErrorCode;
    }

    private String subErrorMessage;

    /**
     * @return 单条错误信息，被errorMessage所包含。可用于前台展示
     */
    public String getSubErrorMessage() {
        return subErrorMessage;
    }

    /**
     * 设置单条错误信息，被errorMessage所包含。可用于前台展示     *
          
     * 此参数必填
     */
    public void setSubErrorMessage(String subErrorMessage) {
        this.subErrorMessage = subErrorMessage;
    }

}
