package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductSellerGetParam extends AbstractAPIRequest<AlibabaProductSellerGetResult> {

    public AlibabaProductSellerGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.productSeller.get", 1);
    }

    private long[] productIdList;

    /**
     * @return 商品Id列表，即offerId的列表
     */
    public long[] getProductIdList() {
        return productIdList;
    }

    /**
     * 设置商品Id列表，即offerId的列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductIdList(long[] productIdList) {
        this.productIdList = productIdList;
    }

}
