package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpCreateBulkSettlementImplParam extends AbstractAPIRequest<AlibabaBulksettlementOpCreateBulkSettlementImplResult> {

    public AlibabaBulksettlementOpCreateBulkSettlementImplParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.bulksettlement.OpCreateBulkSettlementImpl", 1);
    }

    private List receiveEntryNoteIds;

    /**
     * @return 收货单子单id列表，Long类型
     */
    public List getReceiveEntryNoteIds() {
        return receiveEntryNoteIds;
    }

    /**
     * 设置收货单子单id列表，Long类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveEntryNoteIds(List receiveEntryNoteIds) {
        this.receiveEntryNoteIds = receiveEntryNoteIds;
    }

}
