package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaErpOrderGeneralCreateOrderParam extends AbstractAPIRequest<AlibabaErpOrderGeneralCreateOrderResult> {

    public AlibabaErpOrderGeneralCreateOrderParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.erpOrder.general.CreateOrder", 1);
    }

    private AlibabaTradeOrderRequest orderRequest;

    /**
     * @return 订单请求
     */
    public AlibabaTradeOrderRequest getOrderRequest() {
        return orderRequest;
    }

    /**
     * 设置订单请求     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderRequest(AlibabaTradeOrderRequest orderRequest) {
        this.orderRequest = orderRequest;
    }

}
