package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaInvoiceGetParam extends AbstractAPIRequest<AlibabaInvoiceGetResult> {

    public AlibabaInvoiceGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.invoice.get", 2);
    }

    private String orderId;

    /**
     * @return 发票所关联的订单ID
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置发票所关联的订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

}
