package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizOtherInfoGroup {

    private Double additionalFee;

    /**
     * @return 附加费,单位，元
     */
    public Double getAdditionalFee() {
        return additionalFee;
    }

    /**
     * 设置附加费,单位，元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAdditionalFee(Double additionalFee) {
        this.additionalFee = additionalFee;
    }

    private Long appointedArrivalDate;

    /**
     * @return 约定到货日期. 需要把到货日期转换为毫秒传过来.
     */
    public Long getAppointedArrivalDate() {
        return appointedArrivalDate;
    }

    /**
     * 设置约定到货日期. 需要把到货日期转换为毫秒传过来.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppointedArrivalDate(Long appointedArrivalDate) {
        this.appointedArrivalDate = appointedArrivalDate;
    }

    private Long autoConfirmReceipt;

    /**
     * @return 自动确认收货时间，单位为s
     */
    public Long getAutoConfirmReceipt() {
        return autoConfirmReceipt;
    }

    /**
     * 设置自动确认收货时间，单位为s     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAutoConfirmReceipt(Long autoConfirmReceipt) {
        this.autoConfirmReceipt = autoConfirmReceipt;
    }

    private String buyerBizPhone;

    /**
     * @return 买家业务联系电话
     */
    public String getBuyerBizPhone() {
        return buyerBizPhone;
    }

    /**
     * 设置买家业务联系电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerBizPhone(String buyerBizPhone) {
        this.buyerBizPhone = buyerBizPhone;
    }

    private String buyerCommpanyName;

    /**
     * @return 买家公司名称
     */
    public String getBuyerCommpanyName() {
        return buyerCommpanyName;
    }

    /**
     * 设置买家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerCommpanyName(String buyerCommpanyName) {
        this.buyerCommpanyName = buyerCommpanyName;
    }

    private Long calCarriage;

    /**
     * @return 页面运费模板计算出的运费 单位:分
     */
    public Long getCalCarriage() {
        return calCarriage;
    }

    /**
     * 设置页面运费模板计算出的运费 单位:分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCalCarriage(Long calCarriage) {
        this.calCarriage = calCarriage;
    }

    private String channel;

    /**
     * @return 下单来源渠道
     */
    public String getChannel() {
        return channel;
    }

    /**
     * 设置下单来源渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    private String checkCode;

    /**
     * @return 验证码
     */
    public String getCheckCode() {
        return checkCode;
    }

    /**
     * 设置验证码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    private String chooseFreeFreight;

    /**
     * @return 用户是否选择店铺免运费 。 "0"：用户没有选择免用费 "1":用户选择免运费.
     */
    public String getChooseFreeFreight() {
        return chooseFreeFreight;
    }

    /**
     * 设置用户是否选择店铺免运费 。 "0"：用户没有选择免用费 "1":用户选择免运费.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChooseFreeFreight(String chooseFreeFreight) {
        this.chooseFreeFreight = chooseFreeFreight;
    }

    private String codServiceType;

    /**
     * @return 分档id
     */
    public String getCodServiceType() {
        return codServiceType;
    }

    /**
     * 设置分档id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodServiceType(String codServiceType) {
        this.codServiceType = codServiceType;
    }

    private String[] crossPromotionIds;

    /**
     * @return 跨订单优惠
     */
    public String[] getCrossPromotionIds() {
        return crossPromotionIds;
    }

    /**
     * 设置跨订单优惠     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCrossPromotionIds(String[] crossPromotionIds) {
        this.crossPromotionIds = crossPromotionIds;
    }

    private String[] crossShopPromotions;

    /**
     * @return 跨店店铺优惠内容,不包含优惠券
     */
    public String[] getCrossShopPromotions() {
        return crossShopPromotions;
    }

    /**
     * 设置跨店店铺优惠内容,不包含优惠券     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCrossShopPromotions(String[] crossShopPromotions) {
        this.crossShopPromotions = crossShopPromotions;
    }

    private Double discountFee;

    /**
     * @return 计算完货品金额后再次进行的减免金额. 单位: 元
     */
    public Double getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置计算完货品金额后再次进行的减免金额. 单位: 元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    private String engine;

    /**
     * @return 交易流程引擎标识
     */
    public String getEngine() {
        return engine;
    }

    /**
     * 设置交易流程引擎标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEngine(String engine) {
        this.engine = engine;
    }

    private String extId;

    /**
     * @return 订单级别扩展数据由业务方自行解析, 框架不做任何处理。
     */
    public String getExtId() {
        return extId;
    }

    /**
     * 设置订单级别扩展数据由业务方自行解析, 框架不做任何处理。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtId(String extId) {
        this.extId = extId;
    }

    private Double filledCarriage;

    /**
     * @return 用户填写的运费 单位:元
     */
    public Double getFilledCarriage() {
        return filledCarriage;
    }

    /**
     * 设置用户填写的运费 单位:元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFilledCarriage(Double filledCarriage) {
        this.filledCarriage = filledCarriage;
    }

    private String group;

    /**
     * @return 信息所属分组。多订单提交时用来分组。
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置信息所属分组。多订单提交时用来分组。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private Double guaranteeFee;

    /**
     * @return 页面传过来的阿里信用凭证担保费. 单位：元
     */
    public Double getGuaranteeFee() {
        return guaranteeFee;
    }

    /**
     * 设置页面传过来的阿里信用凭证担保费. 单位：元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGuaranteeFee(Double guaranteeFee) {
        this.guaranteeFee = guaranteeFee;
    }

    private String lgArguments;

    /**
     * @return 物流二级key value
     */
    public String getLgArguments() {
        return lgArguments;
    }

    /**
     * 设置物流二级key value     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLgArguments(String lgArguments) {
        this.lgArguments = lgArguments;
    }

    private String mergedJsonVar;

    /**
     * @return json格式的所有数据.
     */
    public String getMergedJsonVar() {
        return mergedJsonVar;
    }

    /**
     * 设置json格式的所有数据.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMergedJsonVar(String mergedJsonVar) {
        this.mergedJsonVar = mergedJsonVar;
    }

    private String message;

    /**
     * @return 买家留言
     */
    public String getMessage() {
        return message;
    }

    /**
     * 设置买家留言     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMessage(String message) {
        this.message = message;
    }

    private String mixAmount;

    /**
     * @return 混批金额, 单位:元。必填
     */
    public String getMixAmount() {
        return mixAmount;
    }

    /**
     * 设置混批金额, 单位:元。必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMixAmount(String mixAmount) {
        this.mixAmount = mixAmount;
    }

    private String mixNumber;

    /**
     * @return 混批数量。除非为0，否则必填
     */
    public String getMixNumber() {
        return mixNumber;
    }

    /**
     * 设置混批数量。除非为0，否则必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMixNumber(String mixNumber) {
        this.mixNumber = mixNumber;
    }

    private Boolean needCheckCode;

    /**
     * @return 是否需要验证码
     */
    public Boolean getNeedCheckCode() {
        return needCheckCode;
    }

    /**
     * 设置是否需要验证码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedCheckCode(Boolean needCheckCode) {
        this.needCheckCode = needCheckCode;
    }

    private Integer needCheckInstant;

    /**
     * @return 是否使用协议提额极速到账，用来接收checkbox的状态 。
     * -1：页面上未出现checkbox，走老的极速到账逻辑
     * 0：页面上出现了checkbox，但未被买家选中，表示不走极速到账交易，走支付宝担保交易
     * 1：页面上出现了checkbox，且被买家选中，表示走提额极速到账
     */
    public Integer getNeedCheckInstant() {
        return needCheckInstant;
    }

    /**
     * 设置是否使用协议提额极速到账，用来接收checkbox的状态 。
     * -1：页面上未出现checkbox，走老的极速到账逻辑
     * 0：页面上出现了checkbox，但未被买家选中，表示不走极速到账交易，走支付宝担保交易
     * 1：页面上出现了checkbox，且被买家选中，表示走提额极速到账     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedCheckInstant(Integer needCheckInstant) {
        this.needCheckInstant = needCheckInstant;
    }

    private Boolean needInstallment;

    /**
     * @return 是否需要分期付款
     */
    public Boolean getNeedInstallment() {
        return needInstallment;
    }

    /**
     * 设置是否需要分期付款     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedInstallment(Boolean needInstallment) {
        this.needInstallment = needInstallment;
    }

    private Boolean needRegist;

    /**
     * @return 判断前台是否需要登录注册
     */
    public Boolean getNeedRegist() {
        return needRegist;
    }

    /**
     * 设置判断前台是否需要登录注册     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedRegist(Boolean needRegist) {
        this.needRegist = needRegist;
    }

    private Double orderCodFee;

    /**
     * @return cod服务费
     */
    public Double getOrderCodFee() {
        return orderCodFee;
    }

    /**
     * 设置cod服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderCodFee(Double orderCodFee) {
        this.orderCodFee = orderCodFee;
    }

    private String orderContractContent;

    /**
     * @return 交易合约内容
     */
    public String getOrderContractContent() {
        return orderContractContent;
    }

    /**
     * 设置交易合约内容     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderContractContent(String orderContractContent) {
        this.orderContractContent = orderContractContent;
    }

    private String payChannel;

    /**
     * @return 支付渠道
     */
    public String getPayChannel() {
        return payChannel;
    }

    /**
     * 设置支付渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    private String payEntry;

    /**
     * @return 选择的支付入口
     */
    public String getPayEntry() {
        return payEntry;
    }

    /**
     * 设置选择的支付入口     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayEntry(String payEntry) {
        this.payEntry = payEntry;
    }

    private Long payTimeout;

    /**
     * @return 定点付款超时时间，单位为ms。 需要把付款超时的日期Date类型转换为毫秒传过来.
     */
    public Long getPayTimeout() {
        return payTimeout;
    }

    /**
     * 设置定点付款超时时间，单位为ms。 需要把付款超时的日期Date类型转换为毫秒传过来.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayTimeout(Long payTimeout) {
        this.payTimeout = payTimeout;
    }

    private String payWay;

    /**
     * @return 支付方式。 "6"：全额付款，"7"：分阶段付
     */
    public String getPayWay() {
        return payWay;
    }

    /**
     * 设置支付方式。 "6"：全额付款，"7"：分阶段付     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    private String promotionId;

    /**
     * @return 店铺优惠id
     */
    public String getPromotionId() {
        return promotionId;
    }

    /**
     * 设置店铺优惠id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPromotionId(String promotionId) {
        this.promotionId = promotionId;
    }

    private String selectedLogistics;

    /**
     * @return 选择的物流方案标识
     */
    public String getSelectedLogistics() {
        return selectedLogistics;
    }

    /**
     * 设置选择的物流方案标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSelectedLogistics(String selectedLogistics) {
        this.selectedLogistics = selectedLogistics;
    }

    private String sellerBizPhone;

    /**
     * @return 卖家业务联系电话
     */
    public String getSellerBizPhone() {
        return sellerBizPhone;
    }

    /**
     * 设置卖家业务联系电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerBizPhone(String sellerBizPhone) {
        this.sellerBizPhone = sellerBizPhone;
    }

    private String sellerCompanyname;

    /**
     * @return 卖家公司名称
     */
    public String getSellerCompanyname() {
        return sellerCompanyname;
    }

    /**
     * 设置卖家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerCompanyname(String sellerCompanyname) {
        this.sellerCompanyname = sellerCompanyname;
    }

    private String site;

    /**
     * @return 站点标识
     */
    public String getSite() {
        return site;
    }

    /**
     * 设置站点标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSite(String site) {
        this.site = site;
    }

    private Double sumCarriage;

    /**
     * @return 总运费。除非为0，否则必填
     */
    public Double getSumCarriage() {
        return sumCarriage;
    }

    /**
     * 设置总运费。除非为0，否则必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumCarriage(Double sumCarriage) {
        this.sumCarriage = sumCarriage;
    }

    private Boolean supportInvoice;

    /**
     * @return 是否支持发票标识.
     */
    public Boolean getSupportInvoice() {
        return supportInvoice;
    }

    /**
     * 设置是否支持发票标识.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportInvoice(Boolean supportInvoice) {
        this.supportInvoice = supportInvoice;
    }

    private String toleranceFreight;

    /**
     * @return 用来标记运费是否被容错。便于提交订单时跳过运费相关逻辑校验。 1：运费被容错。 0:正常运费.
     */
    public String getToleranceFreight() {
        return toleranceFreight;
    }

    /**
     * 设置用来标记运费是否被容错。便于提交订单时跳过运费相关逻辑校验。 1：运费被容错。 0:正常运费.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToleranceFreight(String toleranceFreight) {
        this.toleranceFreight = toleranceFreight;
    }

    private Double totalAmount;

    /**
     * @return 货品总金额:， 货品总金额 + 运费，单位: 元。必填
     */
    public Double getTotalAmount() {
        return totalAmount;
    }

    /**
     * 设置货品总金额:， 货品总金额 + 运费，单位: 元。必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    private Double totalProductAmount;

    /**
     * @return 商品总金额，确认订购时，页面显示的总金额，用来进行校验。 商品总金额 - 店铺级优惠.
     */
    public Double getTotalProductAmount() {
        return totalProductAmount;
    }

    /**
     * 设置商品总金额，确认订购时，页面显示的总金额，用来进行校验。 商品总金额 - 店铺级优惠.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalProductAmount(Double totalProductAmount) {
        this.totalProductAmount = totalProductAmount;
    }

    private String umpSysAvailble;

    /**
     * @return 用来标记ump系统是否可用，这个变量会在前台页面埋点，供ump联动使用. 1：ump 系统可用 0:ump系统不可用.
     */
    public String getUmpSysAvailble() {
        return umpSysAvailble;
    }

    /**
     * 设置用来标记ump系统是否可用，这个变量会在前台页面埋点，供ump联动使用. 1：ump 系统可用 0:ump系统不可用.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUmpSysAvailble(String umpSysAvailble) {
        this.umpSysAvailble = umpSysAvailble;
    }

}
