package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeOpProcessTemplate {

    private String description;

    /**
     * @return 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String excludeFixedTemplate;

    /**
     * @return 排斥指定模板，字段值为以分号分割的模板code集合
     */
    public String getExcludeFixedTemplate() {
        return excludeFixedTemplate;
    }

    /**
     * 设置排斥指定模板，字段值为以分号分割的模板code集合     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExcludeFixedTemplate(String excludeFixedTemplate) {
        this.excludeFixedTemplate = excludeFixedTemplate;
    }

    private Long id;

    /**
     * @return id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String name;

    /**
     * @return 名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private Long processFlowDescId;

    /**
     * @return 交易类型
     */
    public Long getProcessFlowDescId() {
        return processFlowDescId;
    }

    /**
     * 设置交易类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProcessFlowDescId(Long processFlowDescId) {
        this.processFlowDescId = processFlowDescId;
    }

    private String promise;

    /**
     * @return 交易合约
     */
    public String getPromise() {
        return promise;
    }

    /**
     * 设置交易合约     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPromise(String promise) {
        this.promise = promise;
    }

    private String status;

    /**
     * @return normal：新发offer可见；修改offer可见；下单可见 recovery：新发offer不可见；未关联该模板的offer修改不可见；已经关联模板的offer修改可见；下单可见
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置normal：新发offer可见；修改offer可见；下单可见 recovery：新发offer不可见；未关联该模板的offer修改不可见；已经关联模板的offer修改可见；下单可见     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String templateCode;

    /**
     * @return code
     */
    public String getTemplateCode() {
        return templateCode;
    }

    /**
     * 设置code     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

}
