package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPaymentOrderBankCreateParam extends AbstractAPIRequest<AlibabaPaymentOrderBankCreateResult> {

    public AlibabaPaymentOrderBankCreateParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.payment.order.bank.create", 1);
    }

    private Long orderId;

    /**
     * @return 订单号
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

}
