package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductGetBySellerCargoNumberParam extends AbstractAPIRequest<AlibabaProductGetBySellerCargoNumberResult> {

    public AlibabaProductGetBySellerCargoNumberParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.product.getBySellerCargoNumber", 1);
    }

    private AlibabaProductRelateCargoNumberProductRetrieveRequest request;

    /**
     * @return 供应商Id及商品信息
     */
    public AlibabaProductRelateCargoNumberProductRetrieveRequest getRequest() {
        return request;
    }

    /**
     * 设置供应商Id及商品信息     *
     * 参数示例：<pre>{"supplyUserId":1623492085,"idListOfSupplier":[{"spuId":"560033667534"}]}</pre>     
     * 此参数必填
     */
    public void setRequest(AlibabaProductRelateCargoNumberProductRetrieveRequest request) {
        this.request = request;
    }

}
