package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductItemID {

    private AlibabaProductItemIDDefinition idOfSupplier;

    /**
     * @return 供应商端的ID详情
     */
    public AlibabaProductItemIDDefinition getIdOfSupplier() {
        return idOfSupplier;
    }

    /**
     * 设置供应商端的ID详情     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIdOfSupplier(AlibabaProductItemIDDefinition idOfSupplier) {
        this.idOfSupplier = idOfSupplier;
    }

    private AlibabaProductItemIDDefinition idOfPlatform;

    /**
     * @return 平台端的ID详情
     */
    public AlibabaProductItemIDDefinition getIdOfPlatform() {
        return idOfPlatform;
    }

    /**
     * 设置平台端的ID详情     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIdOfPlatform(AlibabaProductItemIDDefinition idOfPlatform) {
        this.idOfPlatform = idOfPlatform;
    }

    private AlibabaProductItemIDDefinition idOfBuyer;

    /**
     * @return 买家端的ID详情
     */
    public AlibabaProductItemIDDefinition getIdOfBuyer() {
        return idOfBuyer;
    }

    /**
     * 设置买家端的ID详情     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIdOfBuyer(AlibabaProductItemIDDefinition idOfBuyer) {
        this.idOfBuyer = idOfBuyer;
    }

}
