package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeMakeOrderModel {

    private Long additionalFee;

    /**
     * @return 
     */
    public Long getAdditionalFee() {
        return additionalFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAdditionalFee(Long additionalFee) {
        this.additionalFee = additionalFee;
    }

    private Integer auccountPeriod;

    /**
     * @return 
     */
    public Integer getAuccountPeriod() {
        return auccountPeriod;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAuccountPeriod(Integer auccountPeriod) {
        this.auccountPeriod = auccountPeriod;
    }

    private String bizGroup;

    /**
     * @return 
     */
    public String getBizGroup() {
        return bizGroup;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizGroup(String bizGroup) {
        this.bizGroup = bizGroup;
    }

    private String client;

    /**
     * @return 
     */
    public String getClient() {
        return client;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setClient(String client) {
        this.client = client;
    }

    private Long discountFee;

    /**
     * @return 
     */
    public Long getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Long discountFee) {
        this.discountFee = discountFee;
    }

    private Boolean famousStep;

    /**
     * @return 
     */
    public Boolean getFamousStep() {
        return famousStep;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFamousStep(Boolean famousStep) {
        this.famousStep = famousStep;
    }

    private String flowFlag;

    /**
     * @return 
     */
    public String getFlowFlag() {
        return flowFlag;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFlowFlag(String flowFlag) {
        this.flowFlag = flowFlag;
    }

    private String group;

    /**
     * @return 
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private Boolean hasBeenDealtWireless;

    /**
     * @return 
     */
    public Boolean getHasBeenDealtWireless() {
        return hasBeenDealtWireless;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setHasBeenDealtWireless(Boolean hasBeenDealtWireless) {
        this.hasBeenDealtWireless = hasBeenDealtWireless;
    }

    private Long instantSenceQuota;

    /**
     * @return 
     */
    public Long getInstantSenceQuota() {
        return instantSenceQuota;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstantSenceQuota(Long instantSenceQuota) {
        this.instantSenceQuota = instantSenceQuota;
    }

    private Long instantSenceRaiseQuota;

    /**
     * @return 
     */
    public Long getInstantSenceRaiseQuota() {
        return instantSenceRaiseQuota;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstantSenceRaiseQuota(Long instantSenceRaiseQuota) {
        this.instantSenceRaiseQuota = instantSenceRaiseQuota;
    }

    private Integer isSupportNormalPayInsant;

    /**
     * @return 
     */
    public Integer getIsSupportNormalPayInsant() {
        return isSupportNormalPayInsant;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSupportNormalPayInsant(Integer isSupportNormalPayInsant) {
        this.isSupportNormalPayInsant = isSupportNormalPayInsant;
    }

    private String message;

    /**
     * @return 
     */
    public String getMessage() {
        return message;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMessage(String message) {
        this.message = message;
    }

    private String remark;

    /**
     * @return 
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String resultCode;

    /**
     * @return 
     */
    public String getResultCode() {
        return resultCode;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    private Boolean status;

    /**
     * @return 
     */
    public Boolean getStatus() {
        return status;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(Boolean status) {
        this.status = status;
    }

    private String subBizType;

    /**
     * @return 
     */
    public String getSubBizType() {
        return subBizType;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubBizType(String subBizType) {
        this.subBizType = subBizType;
    }

    private Long sumCarriage;

    /**
     * @return 
     */
    public Long getSumCarriage() {
        return sumCarriage;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumCarriage(Long sumCarriage) {
        this.sumCarriage = sumCarriage;
    }

    private Long sumPayment;

    /**
     * @return 
     */
    public Long getSumPayment() {
        return sumPayment;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumPayment(Long sumPayment) {
        this.sumPayment = sumPayment;
    }

    private Long sumPaymentNoCarriage;

    /**
     * @return 
     */
    public Long getSumPaymentNoCarriage() {
        return sumPaymentNoCarriage;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumPaymentNoCarriage(Long sumPaymentNoCarriage) {
        this.sumPaymentNoCarriage = sumPaymentNoCarriage;
    }

    private Boolean supportInvoice;

    /**
     * @return 
     */
    public Boolean getSupportInvoice() {
        return supportInvoice;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportInvoice(Boolean supportInvoice) {
        this.supportInvoice = supportInvoice;
    }

    private String supportStepPay;

    /**
     * @return 
     */
    public String getSupportStepPay() {
        return supportStepPay;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportStepPay(String supportStepPay) {
        this.supportStepPay = supportStepPay;
    }

    private AlibabaTradeSimpleBuyer buyer;

    /**
     * @return 
     */
    public AlibabaTradeSimpleBuyer getBuyer() {
        return buyer;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyer(AlibabaTradeSimpleBuyer buyer) {
        this.buyer = buyer;
    }

    private AlibabaPaymentPayChannels payChannels;

    /**
     * @return 
     */
    public AlibabaPaymentPayChannels getPayChannels() {
        return payChannels;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayChannels(AlibabaPaymentPayChannels payChannels) {
        this.payChannels = payChannels;
    }

    private AlibabaTradeSimpleSeller seller;

    /**
     * @return 
     */
    public AlibabaTradeSimpleSeller getSeller() {
        return seller;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSeller(AlibabaTradeSimpleSeller seller) {
        this.seller = seller;
    }

    private AlibabaTradeSimpleSeller simpleSeller;

    /**
     * @return 
     */
    public AlibabaTradeSimpleSeller getSimpleSeller() {
        return simpleSeller;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSimpleSeller(AlibabaTradeSimpleSeller simpleSeller) {
        this.simpleSeller = simpleSeller;
    }

    private AlibabaTradeTradeModeModel tradeModeModel;

    /**
     * @return 
     */
    public AlibabaTradeTradeModeModel getTradeModeModel() {
        return tradeModeModel;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeModeModel(AlibabaTradeTradeModeModel tradeModeModel) {
        this.tradeModeModel = tradeModeModel;
    }

    private AlibabaTradeToleranceCollection toleranceCollection;

    /**
     * @return 
     */
    public AlibabaTradeToleranceCollection getToleranceCollection() {
        return toleranceCollection;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToleranceCollection(AlibabaTradeToleranceCollection toleranceCollection) {
        this.toleranceCollection = toleranceCollection;
    }

    private AlibabaTradeCargo[] cargos;

    /**
     * @return 货品信息
     */
    public AlibabaTradeCargo[] getCargos() {
        return cargos;
    }

    /**
     * 设置货品信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCargos(AlibabaTradeCargo[] cargos) {
        this.cargos = cargos;
    }

    private AlibabaTradeOpPromotionInfor shopPromotionInfo;

    /**
     * @return 店铺级别的优惠信息
     */
    public AlibabaTradeOpPromotionInfor getShopPromotionInfo() {
        return shopPromotionInfo;
    }

    /**
     * 设置店铺级别的优惠信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setShopPromotionInfo(AlibabaTradeOpPromotionInfor shopPromotionInfo) {
        this.shopPromotionInfo = shopPromotionInfo;
    }

}
