package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeSourceOrder {

    private String sourceNumber;

    /**
     * @return 来源平台的订单ID
     */
    public String getSourceNumber() {
        return sourceNumber;
    }

    /**
     * 设置来源平台的订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceNumber(String sourceNumber) {
        this.sourceNumber = sourceNumber;
    }

    private String domain;

    /**
     * @return 订单的来源的域，比如TAOBAO,eBay
     */
    public String getDomain() {
        return domain;
    }

    /**
     * 设置订单的来源的域，比如TAOBAO,eBay     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDomain(String domain) {
        this.domain = domain;
    }

    private String value;

    /**
     * @return 订单来源的某一个商家，比如淘宝上店家ID
     */
    public String getValue() {
        return value;
    }

    /**
     * 设置订单来源的某一个商家，比如淘宝上店家ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setValue(String value) {
        this.value = value;
    }

}
