package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeSubPayInfo {

    private Long actualPayFee;

    /**
     * @return 
     */
    public Long getActualPayFee() {
        return actualPayFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setActualPayFee(Long actualPayFee) {
        this.actualPayFee = actualPayFee;
    }

    private Long additionalFee;

    /**
     * @return 
     */
    public Long getAdditionalFee() {
        return additionalFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAdditionalFee(Long additionalFee) {
        this.additionalFee = additionalFee;
    }

    private String agreement;

    /**
     * @return 
     */
    public String getAgreement() {
        return agreement;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAgreement(String agreement) {
        this.agreement = agreement;
    }

    private Long amount;

    /**
     * @return 
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private Long buyerConfirmTimeout;

    /**
     * @return 
     */
    public Long getBuyerConfirmTimeout() {
        return buyerConfirmTimeout;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerConfirmTimeout(Long buyerConfirmTimeout) {
        this.buyerConfirmTimeout = buyerConfirmTimeout;
    }

    private Long buyerPayTimeout;

    /**
     * @return 
     */
    public Long getBuyerPayTimeout() {
        return buyerPayTimeout;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerPayTimeout(Long buyerPayTimeout) {
        this.buyerPayTimeout = buyerPayTimeout;
    }

    private Double deliveryPercent;

    /**
     * @return 
     */
    public Double getDeliveryPercent() {
        return deliveryPercent;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDeliveryPercent(Double deliveryPercent) {
        this.deliveryPercent = deliveryPercent;
    }

    private Long discountFee;

    /**
     * @return 
     */
    public Long getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Long discountFee) {
        this.discountFee = discountFee;
    }

    private String group;

    /**
     * @return 
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private Integer instantPay;

    /**
     * @return 
     */
    public Integer getInstantPay() {
        return instantPay;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstantPay(Integer instantPay) {
        this.instantPay = instantPay;
    }

    private Integer isStepPayAll;

    /**
     * @return 
     */
    public Integer getIsStepPayAll() {
        return isStepPayAll;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsStepPayAll(Integer isStepPayAll) {
        this.isStepPayAll = isStepPayAll;
    }

    private Long itemDiscountFee;

    /**
     * @return 
     */
    public Long getItemDiscountFee() {
        return itemDiscountFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemDiscountFee(Long itemDiscountFee) {
        this.itemDiscountFee = itemDiscountFee;
    }

    private String key;

    /**
     * @return 
     */
    public String getKey() {
        return key;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setKey(String key) {
        this.key = key;
    }

    private Integer needLogistics;

    /**
     * @return 
     */
    public Integer getNeedLogistics() {
        return needLogistics;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedLogistics(Integer needLogistics) {
        this.needLogistics = needLogistics;
    }

    private Integer needSellerAction;

    /**
     * @return 
     */
    public Integer getNeedSellerAction() {
        return needSellerAction;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSellerAction(Integer needSellerAction) {
        this.needSellerAction = needSellerAction;
    }

    private Integer needSellerCallNext;

    /**
     * @return 
     */
    public Integer getNeedSellerCallNext() {
        return needSellerCallNext;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSellerCallNext(Integer needSellerCallNext) {
        this.needSellerCallNext = needSellerCallNext;
    }

    private Long payFee;

    /**
     * @return 
     */
    public Long getPayFee() {
        return payFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayFee(Long payFee) {
        this.payFee = payFee;
    }

    private Double percent;

    /**
     * @return 
     */
    public Double getPercent() {
        return percent;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPercent(Double percent) {
        this.percent = percent;
    }

    private Long postFee;

    /**
     * @return 
     */
    public Long getPostFee() {
        return postFee;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostFee(Long postFee) {
        this.postFee = postFee;
    }

    private Long price;

    /**
     * @return 
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private String sellerActionName;

    /**
     * @return 
     */
    public String getSellerActionName() {
        return sellerActionName;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerActionName(String sellerActionName) {
        this.sellerActionName = sellerActionName;
    }

    private String stepName;

    /**
     * @return 
     */
    public String getStepName() {
        return stepName;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepName(String stepName) {
        this.stepName = stepName;
    }

    private Integer stepNo;

    /**
     * @return 
     */
    public Integer getStepNo() {
        return stepNo;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepNo(Integer stepNo) {
        this.stepNo = stepNo;
    }

    private String stepTemplateInfo;

    /**
     * @return 
     */
    public String getStepTemplateInfo() {
        return stepTemplateInfo;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepTemplateInfo(String stepTemplateInfo) {
        this.stepTemplateInfo = stepTemplateInfo;
    }

    private Long templateId;

    /**
     * @return 
     */
    public Long getTemplateId() {
        return templateId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    private Integer transferAfterConfirm;

    /**
     * @return 
     */
    public Integer getTransferAfterConfirm() {
        return transferAfterConfirm;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTransferAfterConfirm(Integer transferAfterConfirm) {
        this.transferAfterConfirm = transferAfterConfirm;
    }

}
