package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class Album {

    private String accountId;

    /**
     * @return 会员ID
     */
    public String getAccountId() {
        return accountId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    private String id;

    /**
     * @return 相册ID
     */
    public String getId() {
        return id;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(String id) {
        this.id = id;
    }

    private String type;

    /**
     * @return 相册类型.CUSTOM-自定义相册 MY-我的相册 OFF-下架相册
     */
    public String getType() {
        return type;
    }

    /**
     * 设置相册类型.CUSTOM-自定义相册 MY-我的相册 OFF-下架相册     *
     * 参数示例：<pre>CUSTOM</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String name;

    /**
     * @return 相册名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置相册名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 相册描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置相册描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String createDate;

    /**
     * @return 相册创建时间,格式为“yyyy-MM-dd”
     */
    public String getCreateDate() {
        return createDate;
    }

    /**
     * 设置相册创建时间,格式为“yyyy-MM-dd”     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    private Integer imageCount;

    /**
     * @return 相册中图片数量
     */
    public Integer getImageCount() {
        return imageCount;
    }

    /**
     * 设置相册中图片数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageCount(Integer imageCount) {
        this.imageCount = imageCount;
    }

    private String coverPicUrl;

    /**
     * @return 相册封面图片URL
     */
    public String getCoverPicUrl() {
        return coverPicUrl;
    }

    /**
     * 设置相册封面图片URL     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCoverPicUrl(String coverPicUrl) {
        this.coverPicUrl = coverPicUrl;
    }

    private Integer coverPicId;

    /**
     * @return 相册封面图片ID
     */
    public Integer getCoverPicId() {
        return coverPicId;
    }

    /**
     * 设置相册封面图片ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCoverPicId(Integer coverPicId) {
        this.coverPicId = coverPicId;
    }

}
