package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaAcrmAddCustomerToGroupParam extends AbstractAPIRequest<AlibabaAcrmAddCustomerToGroupResult> {

    public AlibabaAcrmAddCustomerToGroupParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.acrm.addCustomerToGroup", 1);
    }

    private String buyerMemberId;

    /**
     * @return 买家的memberId
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家的memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private Long groupId;

    /**
     * @return 标签group的ID
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置标签group的ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

}
