package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaAppPieceorderGetParam extends AbstractAPIRequest<AlibabaAppPieceorderGetResult> {

    public AlibabaAppPieceorderGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.app.pieceorder.get", 1);
    }

    private Integer startIndex;

    /**
     * @return 第几页 （用于分页）
     */
    public Integer getStartIndex() {
        return startIndex;
    }

    /**
     * 设置第几页 （用于分页）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartIndex(Integer startIndex) {
        this.startIndex = startIndex;
    }

    private Date gmtCreate;

    /**
     * @return 下单时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置下单时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Long aliId;

    /**
     * @return 买家的aliId
     */
    public Long getAliId() {
        return aliId;
    }

    /**
     * 设置买家的aliId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAliId(Long aliId) {
        this.aliId = aliId;
    }

    private Integer pageSize;

    /**
     * @return 每页大小（用于分页）
    限制：小于等于50
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页大小（用于分页）
    限制：小于等于50     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String[] bizStatusList;

    /**
     * @return 订单服务状态列表
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废
     */
    public String[] getBizStatusList() {
        return bizStatusList;
    }

    /**
     * 设置订单服务状态列表
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废     *
     * 参数示例：<pre>["S","E"]</pre>     
     * 此参数必填
     */
    public void setBizStatusList(String[] bizStatusList) {
        this.bizStatusList = bizStatusList;
    }

}
