package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouMallCreateAsynTradeOrderParam extends AbstractAPIRequest<AlibabaCaigouMallCreateAsynTradeOrderResult> {

    public AlibabaCaigouMallCreateAsynTradeOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.caigou.mall.createAsynTradeOrder", 1);
    }

    private AlibabaCaigouMallOpenTradeOrderParam openTradeOrderParam;

    /**
     * @return 内部商城下单参数
     */
    public AlibabaCaigouMallOpenTradeOrderParam getOpenTradeOrderParam() {
        return openTradeOrderParam;
    }

    /**
     * 设置内部商城下单参数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOpenTradeOrderParam(AlibabaCaigouMallOpenTradeOrderParam openTradeOrderParam) {
        this.openTradeOrderParam = openTradeOrderParam;
    }

}
