package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouMallOpenReceiveAddressParam {

    private String userName;

    /**
     * @return 收货人姓名
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置收货人姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    private String phone;

    /**
     * @return 收货人固定电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置收货人固定电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String mobile;

    /**
     * @return 收货人手机
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置收货人手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String province;

    /**
     * @return 省
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置省     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String city;

    /**
     * @return 市
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置市     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String county;

    /**
     * @return 县、区
     */
    public String getCounty() {
        return county;
    }

    /**
     * 设置县、区     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCounty(String county) {
        this.county = county;
    }

    private String street;

    /**
     * @return 街道地址
     */
    public String getStreet() {
        return street;
    }

    /**
     * 设置街道地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStreet(String street) {
        this.street = street;
    }

    private String postCode;

    /**
     * @return 邮编
     */
    public String getPostCode() {
        return postCode;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

}
