package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCaigouPurchaseOrderUpdateStatusByPurchaseParam extends AbstractAPIRequest<AlibabaCaigouPurchaseOrderUpdateStatusByPurchaseResult> {

    public AlibabaCaigouPurchaseOrderUpdateStatusByPurchaseParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.caigou.purchaseOrder.updateStatusByPurchase", 1);
    }

    private Long purchaseOrderId;

    /**
     * @return 采购单ID
     */
    public Long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    /**
     * 设置采购单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPurchaseOrderId(Long purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    private Boolean isApproved;

    /**
     * @return 是否通过
     */
    public Boolean getIsApproved() {
        return isApproved;
    }

    /**
     * 设置是否通过     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsApproved(Boolean isApproved) {
        this.isApproved = isApproved;
    }

}
