package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortmsgReadCircleByPageNumParam extends AbstractAPIRequest<AlibabaCnMarketingShortmsgReadCircleByPageNumResult> {

    public AlibabaCnMarketingShortmsgReadCircleByPageNumParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortmsg.readCircleByPageNum", 1);
    }

    private String taskId;

    /**
     * @return 任务id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置任务id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    private Integer nowPage;

    /**
     * @return 当前页
     */
    public Integer getNowPage() {
        return nowPage;
    }

    /**
     * 设置当前页     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setNowPage(Integer nowPage) {
        this.nowPage = nowPage;
    }

    private Integer pageSize;

    /**
     * @return 分页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页大小     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
