package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortmsgReadTodoMsgTaskIdListParam extends AbstractAPIRequest<AlibabaCnMarketingShortmsgReadTodoMsgTaskIdListResult> {

    public AlibabaCnMarketingShortmsgReadTodoMsgTaskIdListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortmsg.readTodoMsgTaskIdList", 1);
    }

    private Integer pageSize;

    /**
     * @return 分页大小，最小值不小于1，最大值不大于100
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页大小，最小值不小于1，最大值不大于100     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
