package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDaixiaoSubSupplyOrderInfo {

    private String picUrl;

    /**
     * @return 宝贝图片地址
     */
    public String getPicUrl() {
        return picUrl;
    }

    /**
     * 设置宝贝图片地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    private String itemTitle;

    /**
     * @return 淘宝宝贝名称
     */
    public String getItemTitle() {
        return itemTitle;
    }

    /**
     * 设置淘宝宝贝名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    private String itemId;

    /**
     * @return 淘宝宝贝Id
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * 设置淘宝宝贝Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    private String offerTitle;

    /**
     * @return 1688商品名称
     */
    public String getOfferTitle() {
        return offerTitle;
    }

    /**
     * 设置1688商品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferTitle(String offerTitle) {
        this.offerTitle = offerTitle;
    }

    private String offerStatus;

    /**
     * @return 1688商品状态
     */
    public String getOfferStatus() {
        return offerStatus;
    }

    /**
     * 设置1688商品状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferStatus(String offerStatus) {
        this.offerStatus = offerStatus;
    }

    private Map innerSpec;

    /**
     * @return Sku信息
     */
    public Map getInnerSpec() {
        return innerSpec;
    }

    /**
     * 设置Sku信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInnerSpec(Map innerSpec) {
        this.innerSpec = innerSpec;
    }

    private Double minPrice;

    /**
     * @return 1688商品最低价
     */
    public Double getMinPrice() {
        return minPrice;
    }

    /**
     * 设置1688商品最低价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMinPrice(Double minPrice) {
        this.minPrice = minPrice;
    }

    private Double maxPrice;

    /**
     * @return 1688商品最高价
     */
    public Double getMaxPrice() {
        return maxPrice;
    }

    /**
     * 设置1688商品最高价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMaxPrice(Double maxPrice) {
        this.maxPrice = maxPrice;
    }

    private Long buyAmount;

    /**
     * @return 宝贝购卖数量
     */
    public Long getBuyAmount() {
        return buyAmount;
    }

    /**
     * 设置宝贝购卖数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyAmount(Long buyAmount) {
        this.buyAmount = buyAmount;
    }

    private Long stock;

    /**
     * @return 库存
     */
    public Long getStock() {
        return stock;
    }

    /**
     * 设置库存     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStock(Long stock) {
        this.stock = stock;
    }

    private Long supplierId;

    /**
     * @return 供应商Id
     */
    public Long getSupplierId() {
        return supplierId;
    }

    /**
     * 设置供应商Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    private String supplierNickName;

    /**
     * @return 供应商昵称
     */
    public String getSupplierNickName() {
        return supplierNickName;
    }

    /**
     * 设置供应商昵称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierNickName(String supplierNickName) {
        this.supplierNickName = supplierNickName;
    }

    private Long orderId;

    /**
     * @return 中间表的主键
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置中间表的主键     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Boolean isSkuConfirm;

    /**
     * @return 是否确认过SKU信息
     */
    public Boolean getIsSkuConfirm() {
        return isSkuConfirm;
    }

    /**
     * 设置是否确认过SKU信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSkuConfirm(Boolean isSkuConfirm) {
        this.isSkuConfirm = isSkuConfirm;
    }

    private Long outBuyAmount;

    /**
     * @return tb购买数量
     */
    public Long getOutBuyAmount() {
        return outBuyAmount;
    }

    /**
     * 设置tb购买数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutBuyAmount(Long outBuyAmount) {
        this.outBuyAmount = outBuyAmount;
    }

    private Map outerSpec;

    /**
     * @return 外部Sku信息
     */
    public Map getOuterSpec() {
        return outerSpec;
    }

    /**
     * 设置外部Sku信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOuterSpec(Map outerSpec) {
        this.outerSpec = outerSpec;
    }

    private Long offerId;

    /**
     * @return offerId
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置offerId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private String specId;

    /**
     * @return spectId
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置spectId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private Boolean isInventoryCut;

    /**
     * @return 是否扣减库存
     */
    public Boolean getIsInventoryCut() {
        return isInventoryCut;
    }

    /**
     * 设置是否扣减库存     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsInventoryCut(Boolean isInventoryCut) {
        this.isInventoryCut = isInventoryCut;
    }

    private Double outGoodsPrice;

    /**
     * @return 外部商品单价 单位：分
     */
    public Double getOutGoodsPrice() {
        return outGoodsPrice;
    }

    /**
     * 设置外部商品单价 单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutGoodsPrice(Double outGoodsPrice) {
        this.outGoodsPrice = outGoodsPrice;
    }

    private String tbSubOrderNo;

    /**
     * @return 淘宝子订单号
     */
    public String getTbSubOrderNo() {
        return tbSubOrderNo;
    }

    /**
     * 设置淘宝子订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTbSubOrderNo(String tbSubOrderNo) {
        this.tbSubOrderNo = tbSubOrderNo;
    }

    private String b2bSubOrderNo;

    /**
     * @return 1688子订单号
     */
    public String getB2bSubOrderNo() {
        return b2bSubOrderNo;
    }

    /**
     * 设置1688子订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setB2bSubOrderNo(String b2bSubOrderNo) {
        this.b2bSubOrderNo = b2bSubOrderNo;
    }

    private String offerPicUrl;

    /**
     * @return 1688offer图片地址
     */
    public String getOfferPicUrl() {
        return offerPicUrl;
    }

    /**
     * 设置1688offer图片地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferPicUrl(String offerPicUrl) {
        this.offerPicUrl = offerPicUrl;
    }

}
