package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDaixiaoSupplyOrderDetail {

    private String outMainOrderNo;

    /**
     * @return 淘宝主订单号
     */
    public String getOutMainOrderNo() {
        return outMainOrderNo;
    }

    /**
     * 设置淘宝主订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutMainOrderNo(String outMainOrderNo) {
        this.outMainOrderNo = outMainOrderNo;
    }

    private String innerMainOrderId;

    /**
     * @return 内部主订单ID
     */
    public String getInnerMainOrderId() {
        return innerMainOrderId;
    }

    /**
     * 设置内部主订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInnerMainOrderId(String innerMainOrderId) {
        this.innerMainOrderId = innerMainOrderId;
    }

    private Date outOrderGmtCreate;

    /**
     * @return 成交时间
     */
    public Date getOutOrderGmtCreate() {
        return outOrderGmtCreate;
    }

    /**
     * 设置成交时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutOrderGmtCreate(Date outOrderGmtCreate) {
        this.outOrderGmtCreate = outOrderGmtCreate;
    }

    private Integer orderStatus;

    /**
     * @return 当前中间表订单状态,0(未下单)、1(等待买家付款)、2(等待卖家发货)、3(等待买家收货)、4(已收货->交易成功)、5(交易关闭)
     */
    public Integer getOrderStatus() {
        return orderStatus;
    }

    /**
     * 设置当前中间表订单状态,0(未下单)、1(等待买家付款)、2(等待卖家发货)、3(等待买家收货)、4(已收货->交易成功)、5(交易关闭)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    private String tbMainOrderStatus;

    /**
     * @return 淘宝主订单状态
     */
    public String getTbMainOrderStatus() {
        return tbMainOrderStatus;
    }

    /**
     * 设置淘宝主订单状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTbMainOrderStatus(String tbMainOrderStatus) {
        this.tbMainOrderStatus = tbMainOrderStatus;
    }

    private Long supplierId;

    /**
     * @return 供应商Id
     */
    public Long getSupplierId() {
        return supplierId;
    }

    /**
     * 设置供应商Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    private String supplierNickName;

    /**
     * @return 供应商昵称
     */
    public String getSupplierNickName() {
        return supplierNickName;
    }

    /**
     * 设置供应商昵称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierNickName(String supplierNickName) {
        this.supplierNickName = supplierNickName;
    }

    private String outBuyerSummary;

    /**
     * @return 卖家备注
     */
    public String getOutBuyerSummary() {
        return outBuyerSummary;
    }

    /**
     * 设置卖家备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutBuyerSummary(String outBuyerSummary) {
        this.outBuyerSummary = outBuyerSummary;
    }

    private AlibabaDaixiaoSubSupplyOrderInfo[] subOrderList;

    /**
     * @return 父订单包含的子订单列表
     */
    public AlibabaDaixiaoSubSupplyOrderInfo[] getSubOrderList() {
        return subOrderList;
    }

    /**
     * 设置父订单包含的子订单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubOrderList(AlibabaDaixiaoSubSupplyOrderInfo[] subOrderList) {
        this.subOrderList = subOrderList;
    }

    private Boolean isAutoMakeOrder;

    /**
     * @return 是否自动生成订单
     */
    public Boolean getIsAutoMakeOrder() {
        return isAutoMakeOrder;
    }

    /**
     * 设置是否自动生成订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsAutoMakeOrder(Boolean isAutoMakeOrder) {
        this.isAutoMakeOrder = isAutoMakeOrder;
    }

}
