package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorConfirmOrderResult {

    private Boolean isSuccess;

    /**
     * @return 是否成功
     */
    public Boolean getIsSuccess() {
        return isSuccess;
    }

    /**
     * 设置是否成功     *
          
     * 此参数必填
     */
    public void setIsSuccess(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }

    private Map details;

    /**
     * @return 每个采购单确认是否成功，key为采购单Id，value为true/false
     */
    public Map getDetails() {
        return details;
    }

    /**
     * 设置每个采购单确认是否成功，key为采购单Id，value为true/false     *
          
     * 此参数必填
     */
    public void setDetails(Map details) {
        this.details = details;
    }

    private String orderUrl;

    /**
     * @return 立即下单时，提交的给下单页面的url
     */
    public String getOrderUrl() {
        return orderUrl;
    }

    /**
     * 设置立即下单时，提交的给下单页面的url     *
          
     * 此参数必填
     */
    public void setOrderUrl(String orderUrl) {
        this.orderUrl = orderUrl;
    }

    private String flow;

    /**
     * @return 立即下单时，提交给下单页面的参数
     */
    public String getFlow() {
        return flow;
    }

    /**
     * 设置立即下单时，提交给下单页面的参数     *
          
     * 此参数必填
     */
    public void setFlow(String flow) {
        this.flow = flow;
    }

    private String id;

    /**
     * @return 立即下单时，提交给下单页面的参数
     */
    public String getId() {
        return id;
    }

    /**
     * 设置立即下单时，提交给下单页面的参数     *
          
     * 此参数必填
     */
    public void setId(String id) {
        this.id = id;
    }

}
