package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorDownloadConsignSellParam extends AbstractAPIRequest<AlibabaDistributorDownloadConsignSellResult> {

    public AlibabaDistributorDownloadConsignSellParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.downloadConsignSell", 1);
    }

    private Long productId;

    /**
     * @return 需要传淘宝的产品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置需要传淘宝的产品Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

}
