package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorListForAlreadyConsignmentParam extends AbstractAPIRequest<AlibabaDistributorListForAlreadyConsignmentResult> {

    public AlibabaDistributorListForAlreadyConsignmentParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.listForAlreadyConsignment", 1);
    }

    private String keyword;

    /**
     * @return 模糊查询关键字
     */
    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置模糊查询关键字     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    private String supplierMemberId;

    /**
     * @return 供应商memberId
     */
    public String getSupplierMemberId() {
        return supplierMemberId;
    }

    /**
     * 设置供应商memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierMemberId(String supplierMemberId) {
        this.supplierMemberId = supplierMemberId;
    }

    private Integer pageNo;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer pageSize;

    /**
     * @return 返回列表结果集每页条数。取值范围:大于零的整数;默认为20条，网页端默认10条
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回列表结果集每页条数。取值范围:大于零的整数;默认为20条，网页端默认10条     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
