package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaErpManufacturePullProductTaskParam extends AbstractAPIRequest<AlibabaErpManufacturePullProductTaskResult> {

    public AlibabaErpManufacturePullProductTaskParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.erp.manufacture.pullProductTask", 1);
    }

    private String productCode;

    /**
     * @return 需求单号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置需求单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

}
