package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaIcbuProductDetailParam extends AbstractAPIRequest<AlibabaIcbuProductDetailResult> {

    public AlibabaIcbuProductDetailParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.icbu.product.detail", 1);
    }

    private Long productId;

    /**
     * @return 
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Long aliMemberId;

    /**
     * @return 
     */
    public Long getAliMemberId() {
        return aliMemberId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAliMemberId(Long aliMemberId) {
        this.aliMemberId = aliMemberId;
    }

}
