package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLstItemSetStockParam extends AbstractAPIRequest<AlibabaLstItemSetStockResult> {

    public AlibabaLstItemSetStockParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.lst.item.setStock", 1);
    }

    private AlibabaLstItemStockInfo[] stockList;

    /**
     * @return 库存参数列表
     */
    public AlibabaLstItemStockInfo[] getStockList() {
        return stockList;
    }

    /**
     * 设置库存参数列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStockList(AlibabaLstItemStockInfo[] stockList) {
        this.stockList = stockList;
    }

}
