package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLstItemStockInfo {

    private String itemId;

    /**
     * @return 货品id;当无规格时 productId;当存在规格时 productId#skuId
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * 设置货品id;当无规格时 productId;当存在规格时 productId#skuId     *
     * 参数示例：<pre>1234或1234＃345</pre>     
     * 此参数必填
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    private Long amount;

    /**
     * @return 库存数量 不能为负数
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置库存数量 不能为负数     *
     * 参数示例：<pre>100</pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private Long aliID;

    /**
     * @return 阿里ID
     */
    public Long getAliID() {
        return aliID;
    }

    /**
     * 设置阿里ID     *
     * 参数示例：<pre>123456</pre>     
     * 此参数必填
     */
    public void setAliID(Long aliID) {
        this.aliID = aliID;
    }

}
