package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaMarketingShortmsgMsgSendResultModel {

    private String sellerMemberId;

    /**
     * @return 卖家memberId
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家memberId     *
     * 参数示例：<pre>b2b-1234567</pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String taskId;

    /**
     * @return 任务Id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置任务Id     *
     * 参数示例：<pre>4f5da712f296489d86ae9b1790587db1</pre>     
     * 此参数必填
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    private String memberId;

    /**
     * @return 买家memberId
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置买家memberId     *
     * 参数示例：<pre>b2b-1234567</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String status;

    /**
     * @return 发送是否成功
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置发送是否成功     *
     * 参数示例：<pre>success/failed</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String failReason;

    /**
     * @return 失败原因
     */
    public String getFailReason() {
        return failReason;
    }

    /**
     * 设置失败原因     *
     * 参数示例：<pre>这是一段失败原因信息</pre>     
     * 此参数必填
     */
    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    private String appKey;

    /**
     * @return appKey
     */
    public String getAppKey() {
        return appKey;
    }

    /**
     * 设置appKey     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    private Integer resultCode;

    /**
     * @return 错误码
     */
    public Integer getResultCode() {
        return resultCode;
    }

    /**
     * 设置错误码     *
     * 参数示例：<pre>0</pre>     
     * 此参数必填
     */
    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

}
