package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOfficialsiteOpenServiceParam extends AbstractAPIRequest<AlibabaOfficialsiteOpenServiceResult> {

    public AlibabaOfficialsiteOpenServiceParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.OfficialsiteOpenService", 1);
    }

    private String infoType;

    /**
     * @return 查询的信息类型,包括公司介绍、新闻列表、类目列表
     */
    public String getInfoType() {
        return infoType;
    }

    /**
     * 设置查询的信息类型,包括公司介绍、新闻列表、类目列表     *
     * 参数示例：<pre>公司介绍：company
    新闻列表:news
    类目列表:category</pre>     
     * 此参数必填
     */
    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    private String categoryKey;

    /**
     * @return 类目key
     */
    public String getCategoryKey() {
        return categoryKey;
    }

    /**
     * 设置类目key     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryKey(String categoryKey) {
        this.categoryKey = categoryKey;
    }

}
