package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaQueryUnicomGoodPicturesParam extends AbstractAPIRequest<AlibabaPanamaQueryUnicomGoodPicturesResult> {

    public AlibabaPanamaQueryUnicomGoodPicturesParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.panama.queryUnicomGoodPictures", 1);
    }

    private String goodId;

    /**
     * @return 商品名称
     */
    public String getGoodId() {
        return goodId;
    }

    /**
     * 设置商品名称     *
     * 参数示例：<pre>123_123</pre>     
     * 此参数必填
     */
    public void setGoodId(String goodId) {
        this.goodId = goodId;
    }

}
