package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomCreateOrderParam {

    private Date gmtModified;

    /**
     * @return 
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String zip;

    /**
     * @return 
     */
    public String getZip() {
        return zip;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setZip(String zip) {
        this.zip = zip;
    }

    private String phone;

    /**
     * @return 手机号 （与phone其中一个有值即可）
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置手机号 （与phone其中一个有值即可）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private Date gmtCreate;

    /**
     * @return 
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String recevierName;

    /**
     * @return 收货人
     */
    public String getRecevierName() {
        return recevierName;
    }

    /**
     * 设置收货人     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRecevierName(String recevierName) {
        this.recevierName = recevierName;
    }

    private Integer invoiceState;

    /**
     * @return 开票方式(1为随货开票，0为订单预借，2为集中开票 )
     */
    public Integer getInvoiceState() {
        return invoiceState;
    }

    /**
     * 设置开票方式(1为随货开票，0为订单预借，2为集中开票 )     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceState(Integer invoiceState) {
        this.invoiceState = invoiceState;
    }

    private String remark;

    /**
     * @return 备注（少于100字）
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注（少于100字）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private Integer paymentType;

    /**
     * @return 支付方式 (1：货到付款，2：邮局付款，4：在线支付，5：公司转账，6：银行转账，7：网银钱包，101：金采支付)
     */
    public Integer getPaymentType() {
        return paymentType;
    }

    /**
     * 设置支付方式 (1：货到付款，2：邮局付款，4：在线支付，5：公司转账，6：银行转账，7：网银钱包，101：金采支付)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPaymentType(Integer paymentType) {
        this.paymentType = paymentType;
    }

    private Integer invoiceType;

    /**
     * @return 1普通发票2增值税发票
     */
    public Integer getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置1普通发票2增值税发票     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    private String appkey;

    /**
     * @return 
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private Map sku;

    /**
     * @return key:skuId value:数量
     */
    public Map getSku() {
        return sku;
    }

    /**
     * 设置key:skuId value:数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSku(Map sku) {
        this.sku = sku;
    }

    private String city;

    /**
     * @return 二级地址
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置二级地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String thirdOrder;

    /**
     * @return 联通的订单单号
     */
    public String getThirdOrder() {
        return thirdOrder;
    }

    /**
     * 设置联通的订单单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setThirdOrder(String thirdOrder) {
        this.thirdOrder = thirdOrder;
    }

    private String address;

    /**
     * @return 详细地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置详细地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String county;

    /**
     * @return 三级地址
     */
    public String getCounty() {
        return county;
    }

    /**
     * 设置三级地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCounty(String county) {
        this.county = county;
    }

    private String email;

    /**
     * @return 邮箱
     */
    public String getEmail() {
        return email;
    }

    /**
     * 设置邮箱     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEmail(String email) {
        this.email = email;
    }

    private Long userId;

    /**
     * @return 用户 id
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * 设置用户 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    private String province;

    /**
     * @return 一级地址
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置一级地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String town;

    /**
     * @return 四级地址  (如果该地区有四级地址，则必须传递四级地址)
     */
    public String getTown() {
        return town;
    }

    /**
     * 设置四级地址  (如果该地区有四级地址，则必须传递四级地址)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTown(String town) {
        this.town = town;
    }

    private String mobile;

    /**
     * @return 座机号 (与mobile其中一个有值即可)
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置座机号 (与mobile其中一个有值即可)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

}
