package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomSubOrderModel {

    private String orderId;

    /**
     * @return 订单编号
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    private Integer type;

    /**
     * @return 1（订单类型1：父订单;订单类型2：子订单）
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置1（订单类型1：父订单;订单类型2：子订单）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setType(Integer type) {
        this.type = type;
    }

    private Integer orderNakedPrice;

    /**
     * @return 订单裸价合计
     */
    public Integer getOrderNakedPrice() {
        return orderNakedPrice;
    }

    /**
     * 设置订单裸价合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderNakedPrice(Integer orderNakedPrice) {
        this.orderNakedPrice = orderNakedPrice;
    }

    private Long orderTaxPrice;

    /**
     * @return 订单税额合计
     */
    public Long getOrderTaxPrice() {
        return orderTaxPrice;
    }

    /**
     * 设置订单税额合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderTaxPrice(Long orderTaxPrice) {
        this.orderTaxPrice = orderTaxPrice;
    }

    private Long orderPrice;

    /**
     * @return 订单企业价格合计
     */
    public Long getOrderPrice() {
        return orderPrice;
    }

    /**
     * 设置订单企业价格合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderPrice(Long orderPrice) {
        this.orderPrice = orderPrice;
    }

    private Integer state;

    /**
     * @return 物流状态（0：新建1：妥投2：拒收）
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置物流状态（0：新建1：妥投2：拒收）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setState(Integer state) {
        this.state = state;
    }

    private String parentOrderId;

    /**
     * @return 父订单号,
     */
    public String getParentOrderId() {
        return parentOrderId;
    }

    /**
     * 设置父订单号,     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentOrderId(String parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    private Integer orderState;

    /**
     * @return 订单状态（0：取消订单1：有效）
     */
    public Integer getOrderState() {
        return orderState;
    }

    /**
     * 设置订单状态（0：取消订单1：有效）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    private Integer submitState;

    /**
     * @return 0：未确认下单订单1：确认下单订单
     */
    public Integer getSubmitState() {
        return submitState;
    }

    /**
     * 设置0：未确认下单订单1：确认下单订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubmitState(Integer submitState) {
        this.submitState = submitState;
    }

    private AlibabaPanamaUnicomSkuModel sku;

    /**
     * @return 
     */
    public AlibabaPanamaUnicomSkuModel getSku() {
        return sku;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSku(AlibabaPanamaUnicomSkuModel sku) {
        this.sku = sku;
    }

}
