package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductInvoiceInfo {

    private String invoiceId;

    /**
     * @return 发票号码
     */
    public String getInvoiceId() {
        return invoiceId;
    }

    /**
     * 设置发票号码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceId(String invoiceId) {
        this.invoiceId = invoiceId;
    }

    private String invoiceCode;

    /**
     * @return 发票代码
     */
    public String getInvoiceCode() {
        return invoiceCode;
    }

    /**
     * 设置发票代码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    private String invoiceDate;

    /**
     * @return 发票日期
     */
    public String getInvoiceDate() {
        return invoiceDate;
    }

    /**
     * 设置发票日期     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    private Double invoiceNakedAmount;

    /**
     * @return 发票金额（裸价）
     */
    public Double getInvoiceNakedAmount() {
        return invoiceNakedAmount;
    }

    /**
     * 设置发票金额（裸价）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceNakedAmount(Double invoiceNakedAmount) {
        this.invoiceNakedAmount = invoiceNakedAmount;
    }

    private Long invoiceTaxRate;

    /**
     * @return 发票税率
     */
    public Long getInvoiceTaxRate() {
        return invoiceTaxRate;
    }

    /**
     * 设置发票税率     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceTaxRate(Long invoiceTaxRate) {
        this.invoiceTaxRate = invoiceTaxRate;
    }

    private Double invoiceTaxAmount;

    /**
     * @return 发票税额
     */
    public Double getInvoiceTaxAmount() {
        return invoiceTaxAmount;
    }

    /**
     * 设置发票税额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceTaxAmount(Double invoiceTaxAmount) {
        this.invoiceTaxAmount = invoiceTaxAmount;
    }

    private Double invoiceAmount;

    /**
     * @return 价税合计
     */
    public Double getInvoiceAmount() {
        return invoiceAmount;
    }

    /**
     * 设置价税合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceAmount(Double invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    private Integer invoiceType;

    /**
     * @return 发票类型
    0：普通发票
    1：增值税普通发票
    2：增值税专用发票
     */
    public Integer getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置发票类型
    0：普通发票
    1：增值税普通发票
    2：增值税专用发票     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    private Boolean success;

    /**
     * @return 是否开票完成
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置是否开票完成     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

}
