package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductSearchOpDateParam {

    private Date startDate;

    /**
     * @return 授权后，搜索开始时间
     */
    public Date getStartDate() {
        return startDate;
    }

    /**
     * 设置授权后，搜索开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    private Date endDate;

    /**
     * @return 授权后，搜索结束时间
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     * 设置授权后，搜索结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    private String offerDateType;

    /**
     * @return 授权后，查询的时间类型
     */
    public String getOfferDateType() {
        return offerDateType;
    }

    /**
     * 设置授权后，查询的时间类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferDateType(String offerDateType) {
        this.offerDateType = offerDateType;
    }

}
