package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductlineUpdateProductLineParam extends AbstractAPIRequest<AlibabaProductlineUpdateProductLineResult> {

    public AlibabaProductlineUpdateProductLineParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.productline.updateProductLine", 1);
    }

    private Integer productLineId;

    /**
     * @return 分组ID
     */
    public Integer getProductLineId() {
        return productLineId;
    }

    /**
     * 设置分组ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductLineId(Integer productLineId) {
        this.productLineId = productLineId;
    }

    private String productLineName;

    /**
     * @return 分组名称
     */
    public String getProductLineName() {
        return productLineName;
    }

    /**
     * 设置分组名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

}
