package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationSupplierModel {

    private String consignStatus;

    /**
     * @return 合作状态
     */
    public String getConsignStatus() {
        return consignStatus;
    }

    /**
     * 设置合作状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignStatus(String consignStatus) {
        this.consignStatus = consignStatus;
    }

    private Long consignCreateTime;

    /**
     * @return 代销合作创建时间
     */
    public Long getConsignCreateTime() {
        return consignCreateTime;
    }

    /**
     * 设置代销合作创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setConsignCreateTime(Long consignCreateTime) {
        this.consignCreateTime = consignCreateTime;
    }

    private String supplierLoginId;

    /**
     * @return 供应商登录Id
     */
    public String getSupplierLoginId() {
        return supplierLoginId;
    }

    /**
     * 设置供应商登录Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierLoginId(String supplierLoginId) {
        this.supplierLoginId = supplierLoginId;
    }

    private String supplierCompany;

    /**
     * @return 供应商公司名称
     */
    public String getSupplierCompany() {
        return supplierCompany;
    }

    /**
     * 设置供应商公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierCompany(String supplierCompany) {
        this.supplierCompany = supplierCompany;
    }

    private Long lastOrder;

    /**
     * @return 近180交易订单
     */
    public Long getLastOrder() {
        return lastOrder;
    }

    /**
     * 设置近180交易订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLastOrder(Long lastOrder) {
        this.lastOrder = lastOrder;
    }

    private Long lastAmount;

    /**
     * @return 近180交易金额（分）
     */
    public Long getLastAmount() {
        return lastAmount;
    }

    /**
     * 设置近180交易金额（分）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLastAmount(Long lastAmount) {
        this.lastAmount = lastAmount;
    }

    private Integer distributionNum;

    /**
     * @return 已铺货数量
     */
    public Integer getDistributionNum() {
        return distributionNum;
    }

    /**
     * 设置已铺货数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDistributionNum(Integer distributionNum) {
        this.distributionNum = distributionNum;
    }

    private String memberId;

    /**
     * @return 会员memberId
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

}
