package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRelationUpdateGroupParam extends AbstractAPIRequest<AlibabaRelationUpdateGroupResult> {

    public AlibabaRelationUpdateGroupParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.relation.updateGroup", 1);
    }

    private Long groupId;

    /**
     * @return 等级Id
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置等级Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    private String groupName;

    /**
     * @return 等级名称
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置等级名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

}
