package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRightsUpdateAllRightsParam extends AbstractAPIRequest<AlibabaRightsUpdateAllRightsResult> {

    public AlibabaRightsUpdateAllRightsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.rights.updateAllRights", 1);
    }

    private String rightType;

    /**
     * @return 权益设置类型
     */
    public String getRightType() {
        return rightType;
    }

    /**
     * 设置权益设置类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRightType(String rightType) {
        this.rightType = rightType;
    }

    private String rightDetail;

    /**
     * @return 全设置模型
     */
    public String getRightDetail() {
        return rightDetail;
    }

    /**
     * 设置全设置模型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRightDetail(String rightDetail) {
        this.rightDetail = rightDetail;
    }

}
