package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderCreateResult {

    private AlibabaRtdOrderOpenSubResult[] subs;

    /**
     * @return 具体采购商品列表
     */
    public AlibabaRtdOrderOpenSubResult[] getSubs() {
        return subs;
    }

    /**
     * 设置具体采购商品列表     *
          
     * 此参数必填
     */
    public void setSubs(AlibabaRtdOrderOpenSubResult[] subs) {
        this.subs = subs;
    }

    private Boolean success;

    /**
     * @return 是否成功
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置是否成功     *
          
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private String errorCode;

    /**
     * @return 错误码
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * 设置错误码     *
          
     * 此参数必填
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    private String errorInfo;

    /**
     * @return 错误信息
     */
    public String getErrorInfo() {
        return errorInfo;
    }

    /**
     * 设置错误信息     *
          
     * 此参数必填
     */
    public void setErrorInfo(String errorInfo) {
        this.errorInfo = errorInfo;
    }

    private String billNo;

    /**
     * @return 三江订单编号
     */
    public String getBillNo() {
        return billNo;
    }

    /**
     * 设置三江订单编号     *
          
     * 此参数必填
     */
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    private String aliBillNo;

    /**
     * @return 对应的内部订单编号
     */
    public String getAliBillNo() {
        return aliBillNo;
    }

    /**
     * 设置对应的内部订单编号     *
          
     * 此参数必填
     */
    public void setAliBillNo(String aliBillNo) {
        this.aliBillNo = aliBillNo;
    }

    private Long aliTotalPrice;

    /**
     * @return 内部设定采购总价
     */
    public Long getAliTotalPrice() {
        return aliTotalPrice;
    }

    /**
     * 设置内部设定采购总价     *
          
     * 此参数必填
     */
    public void setAliTotalPrice(Long aliTotalPrice) {
        this.aliTotalPrice = aliTotalPrice;
    }

}
