package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderOpenReceiptSubParam {

    private String subBillNo;

    /**
     * @return 三江购物子订单编号
     */
    public String getSubBillNo() {
        return subBillNo;
    }

    /**
     * 设置三江购物子订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubBillNo(String subBillNo) {
        this.subBillNo = subBillNo;
    }

    private String aliBillNo;

    /**
     * @return 对应内部子订单编号
     */
    public String getAliBillNo() {
        return aliBillNo;
    }

    /**
     * 设置对应内部子订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAliBillNo(String aliBillNo) {
        this.aliBillNo = aliBillNo;
    }

    private String barCode;

    /**
     * @return 商品条码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置商品条码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String skuId;

    /**
     * @return 商品规格
     */
    public String getSkuId() {
        return skuId;
    }

    /**
     * 设置商品规格     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    private Integer realAmount;

    /**
     * @return 实际收货数量
     */
    public Integer getRealAmount() {
        return realAmount;
    }

    /**
     * 设置实际收货数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRealAmount(Integer realAmount) {
        this.realAmount = realAmount;
    }

}
