package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderOpenSubOrderParam {

    private String subBillNo;

    /**
     * @return 子订单编号
     */
    public String getSubBillNo() {
        return subBillNo;
    }

    /**
     * 设置子订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubBillNo(String subBillNo) {
        this.subBillNo = subBillNo;
    }

    private String barCode;

    /**
     * @return 商品条码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置商品条码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String skuId;

    /**
     * @return 规格ID
     */
    public String getSkuId() {
        return skuId;
    }

    /**
     * 设置规格ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    private Integer amount;

    /**
     * @return 采购数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置采购数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private Long price;

    /**
     * @return 采购价格(单位:分)
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置采购价格(单位:分)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private String unit;

    /**
     * @return 采购单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置采购单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String title;

    /**
     * @return 商品标题或描述
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置商品标题或描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String specification;

    /**
     * @return 规格描述(200字以内）
     */
    public String getSpecification() {
        return specification;
    }

    /**
     * 设置规格描述(200字以内）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecification(String specification) {
        this.specification = specification;
    }

    private Map extendSub;

    /**
     * @return 预留扩展
     */
    public Map getExtendSub() {
        return extendSub;
    }

    /**
     * 设置预留扩展     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtendSub(Map extendSub) {
        this.extendSub = extendSub;
    }

}
