package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchDaixiaoOfferGetParam extends AbstractAPIRequest<AlibabaSearchDaixiaoOfferGetResult> {

    public AlibabaSearchDaixiaoOfferGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.daixiao.offer.get", 1);
    }

    private ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoOfferRequest request;

    /**
     * @return 搜索参数
     */
    public ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoOfferRequest getRequest() {
        return request;
    }

    /**
     * 设置搜索参数     *
     * 参数示例：<pre>{
    keywords:'mp3',
    sortType:'booked',
    descendOrder:true,
    currentPage:1,
    pageSize:10
    }</pre>     
     * 此参数必填
     */
    public void setRequest(ComAlibabaCbuSearchwebOpenHsfRequestIsvDaixiaoOfferRequest request) {
        this.request = request;
    }

}
