package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchGraphOfferSameParam extends AbstractAPIRequest<AlibabaSearchGraphOfferSameResult> {

    public AlibabaSearchGraphOfferSameParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.graph.offer.same", 1);
    }

    private Long taobaoOfferId;

    /**
     * @return 淘宝的offerid
     */
    public Long getTaobaoOfferId() {
        return taobaoOfferId;
    }

    /**
     * 设置淘宝的offerid     *
     * 参数示例：<pre>111</pre>     
     * 此参数必填
     */
    public void setTaobaoOfferId(Long taobaoOfferId) {
        this.taobaoOfferId = taobaoOfferId;
    }

    private Integer number;

    /**
     * @return 查询的个数，最大4
     */
    public Integer getNumber() {
        return number;
    }

    /**
     * 设置查询的个数，最大4     *
     * 参数示例：<pre>4</pre>     
     * 此参数必填
     */
    public void setNumber(Integer number) {
        this.number = number;
    }

}
