package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSearchGraphP4pSameParam extends AbstractAPIRequest<AlibabaSearchGraphP4pSameResult> {

    public AlibabaSearchGraphP4pSameParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.search.graph.p4p.same", 1);
    }

    private Long taobaoOfferId;

    /**
     * @return 淘宝的offer的id
     */
    public Long getTaobaoOfferId() {
        return taobaoOfferId;
    }

    /**
     * 设置淘宝的offer的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaobaoOfferId(Long taobaoOfferId) {
        this.taobaoOfferId = taobaoOfferId;
    }

    private Integer number;

    /**
     * @return 查询的数量，最大4
     */
    public Integer getNumber() {
        return number;
    }

    /**
     * 设置查询的数量，最大4     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNumber(Integer number) {
        this.number = number;
    }

}
