package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaShowwindowDoRecommendOffersParam extends AbstractAPIRequest<AlibabaShowwindowDoRecommendOffersResult> {

    public AlibabaShowwindowDoRecommendOffersParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.showwindow.doRecommendOffers", 1);
    }

    private List offerIds;

    /**
     * @return 产品ID列表
     */
    public List getOfferIds() {
        return offerIds;
    }

    /**
     * 设置产品ID列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferIds(List offerIds) {
        this.offerIds = offerIds;
    }

}
