package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTraceOutOrderCreateParam extends AbstractAPIRequest<AlibabaTraceOutOrderCreateResult> {

    public AlibabaTraceOutOrderCreateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.trace.out.order.create", 1);
    }

    private String orderType;

    /**
     * @return 码类型，B或者C
     */
    public String getOrderType() {
        return orderType;
    }

    /**
     * 设置码类型，B或者C     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    private Long snStart;

    /**
     * @return 起始码段
     */
    public Long getSnStart() {
        return snStart;
    }

    /**
     * 设置起始码段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSnStart(Long snStart) {
        this.snStart = snStart;
    }

    private Long snEnd;

    /**
     * @return 结束码段
     */
    public Long getSnEnd() {
        return snEnd;
    }

    /**
     * 设置结束码段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSnEnd(Long snEnd) {
        this.snEnd = snEnd;
    }

    private String orderCode;

    /**
     * @return 订单编号
     */
    public String getOrderCode() {
        return orderCode;
    }

    /**
     * 设置订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private String productCode;

    /**
     * @return 产品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置产品编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

}
