package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeBizInvoiceInfo {

    private Long invoiceId;

    /**
     * @return 发票主键
     */
    public Long getInvoiceId() {
        return invoiceId;
    }

    /**
     * 设置发票主键     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceId(Long invoiceId) {
        this.invoiceId = invoiceId;
    }

    private String invoiceCompanyName;

    /**
     * @return 发票公司名称(即发票抬头-title)
     */
    public String getInvoiceCompanyName() {
        return invoiceCompanyName;
    }

    /**
     * 设置发票公司名称(即发票抬头-title)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceCompanyName(String invoiceCompanyName) {
        this.invoiceCompanyName = invoiceCompanyName;
    }

    private String taxpayerIdentify;

    /**
     * @return 纳税人识别号
     */
    public String getTaxpayerIdentify() {
        return taxpayerIdentify;
    }

    /**
     * 设置纳税人识别号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxpayerIdentify(String taxpayerIdentify) {
        this.taxpayerIdentify = taxpayerIdentify;
    }

    private String bankAndAccount;

    /**
     * @return 银行账号
     */
    public String getBankAndAccount() {
        return bankAndAccount;
    }

    /**
     * 设置银行账号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBankAndAccount(String bankAndAccount) {
        this.bankAndAccount = bankAndAccount;
    }

    private String receiveAddress;

    /**
     * @return 发票收货人地址
     */
    public String getReceiveAddress() {
        return receiveAddress;
    }

    /**
     * 设置发票收货人地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    private String receivePhone;

    /**
     * @return 发票收货人电话
     */
    public String getReceivePhone() {
        return receivePhone;
    }

    /**
     * 设置发票收货人电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

}
