package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUadpRemoteServiceTaOfferQueryOrderYqfApiParam extends AbstractAPIRequest<AlibabaUadpRemoteServiceTaOfferQueryOrderYqfApiResult> {

    public AlibabaUadpRemoteServiceTaOfferQueryOrderYqfApiParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.uadp.remote.service.ta.offer.query.order.yqf.api", 1);
    }

    private String time;

    /**
     * @return 时间，格式yyyy-MM-dd
     */
    public String getTime() {
        return time;
    }

    /**
     * 设置时间，格式yyyy-MM-dd     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTime(String time) {
        this.time = time;
    }

    private Integer timeType;

    /**
     * @return 时间类型，0创建时间；1更新时间
     */
    public Integer getTimeType() {
        return timeType;
    }

    /**
     * 设置时间类型，0创建时间；1更新时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTimeType(Integer timeType) {
        this.timeType = timeType;
    }

    private Integer pageOffset;

    /**
     * @return 
     */
    public Integer getPageOffset() {
        return pageOffset;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageOffset(Integer pageOffset) {
        this.pageOffset = pageOffset;
    }

    private Integer pageSize;

    /**
     * @return 
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
