package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomQueryOrderParam extends AbstractAPIRequest<AlibabaUnicomQueryOrderResult> {

    public AlibabaUnicomQueryOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.unicom.queryOrder", 1);
    }

    private String startDate;

    /**
     * @return 开始时间
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 结束时间
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private Integer type;

    /**
     * @return 订单类别
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置订单类别     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setType(Integer type) {
        this.type = type;
    }

    private Integer page;

    /**
     * @return 当前页码
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置当前页码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

}
