package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomSubmitDiffOrderParam extends AbstractAPIRequest<AlibabaUnicomSubmitDiffOrderResult> {

    public AlibabaUnicomSubmitDiffOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.unicom.submitDiffOrder", 1);
    }

    private String supplierOrderId;

    /**
     * @return 电商的子订单订单号
     */
    public String getSupplierOrderId() {
        return supplierOrderId;
    }

    /**
     * 设置电商的子订单订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierOrderId(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    private String content;

    /**
     * @return 订单差异详细内容
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置订单差异详细内容     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContent(String content) {
        this.content = content;
    }

}
