package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class BrandServiceQueryBrandsByIdsParam extends AbstractAPIRequest<BrandServiceQueryBrandsByIdsResult> {

    public BrandServiceQueryBrandsByIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "brandService.queryBrandsByIds", 1);
    }

    private List brandId;

    /**
     * @return 品牌id列表
     */
    public List getBrandId() {
        return brandId;
    }

    /**
     * 设置品牌id列表     *
     * 参数示例：<pre>[124,204]</pre>     
     * 此参数必填
     */
    public void setBrandId(List brandId) {
        this.brandId = brandId;
    }

}
