package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiAccountBindAccountParam extends AbstractAPIRequest<CaigouApiAccountBindAccountResult> {

    public CaigouApiAccountBindAccountParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.account.bindAccount", 1);
    }

    private String subAccountloginId;

    /**
     * @return 对接企业员工在1688系统中的账号
     */
    public String getSubAccountloginId() {
        return subAccountloginId;
    }

    /**
     * 设置对接企业员工在1688系统中的账号     *
     * 参数示例：<pre>zhoulhtest001:foxtest001</pre>     
     * 此参数必填
     */
    public void setSubAccountloginId(String subAccountloginId) {
        this.subAccountloginId = subAccountloginId;
    }

    private String employeeId;

    /**
     * @return 对接企业员工在企业系统中的账号
     */
    public String getEmployeeId() {
        return employeeId;
    }

    /**
     * 设置对接企业员工在企业系统中的账号     *
     * 参数示例：<pre>emId_001</pre>     
     * 此参数必填
     */
    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

}
