package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiCategoryModifyUserCategoryParam extends AbstractAPIRequest<CaigouApiCategoryModifyUserCategoryResult> {

    public CaigouApiCategoryModifyUserCategoryParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.category.modifyUserCategory", 1);
    }

    private List categoryList;

    /**
     * @return Json串，包含字段：categoryName：类目名称，categoryId：必填，类目在1688的主键编码，parentId：父类目在1688的业务编码。
     */
    public List getCategoryList() {
        return categoryList;
    }

    /**
     * 设置Json串，包含字段：categoryName：类目名称，categoryId：必填，类目在1688的主键编码，parentId：父类目在1688的业务编码。     *
     * 参数示例：<pre>[{"categoryName":"电子产品","categoryId":"5232","attribute":{"isExternalSupplier":"false"}},{"categoryName":"笔记本电脑","categoryId":"5232"}]</pre>     
     * 此参数必填
     */
    public void setCategoryList(List categoryList) {
        this.categoryList = categoryList;
    }

}
