package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductDeleteProductByIdParam extends AbstractAPIRequest<CaigouApiProductDeleteProductByIdResult> {

    public CaigouApiProductDeleteProductByIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.product.deleteProductById", 1);
    }

    private Long productId;

    /**
     * @return 产品在1688所属id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品在1688所属id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

}
