package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductRemoveProductByCodeListParam extends AbstractAPIRequest<CaigouApiProductRemoveProductByCodeListResult> {

    public CaigouApiProductRemoveProductByCodeListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.product.removeProductByCodeList", 1);
    }

    private List productCodeList;

    /**
     * @return 产品编号列表
     */
    public List getProductCodeList() {
        return productCodeList;
    }

    /**
     * 设置产品编号列表     *
     * 参数示例：<pre>["prod_01","prod_02"]</pre>     
     * 此参数必填
     */
    public void setProductCodeList(List productCodeList) {
        this.productCodeList = productCodeList;
    }

    private String employeeId;

    /**
     * @return 操作人编号
     */
    public String getEmployeeId() {
        return employeeId;
    }

    /**
     * 设置操作人编号     *
     * 参数示例：<pre>em_user_01</pre>     
     * 此参数必填
     */
    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

}
