package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductquoteModifyStatusParam extends AbstractAPIRequest<CaigouApiProductquoteModifyStatusResult> {

    public CaigouApiProductquoteModifyStatusParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.productquote.modifyStatus", 1);
    }

    private Long quoteId;

    /**
     * @return 报价在1688平台的Id
     */
    public Long getQuoteId() {
        return quoteId;
    }

    /**
     * 设置报价在1688平台的Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuoteId(Long quoteId) {
        this.quoteId = quoteId;
    }

    private String quoteStatus;

    /**
     * @return 报价状态，上架状态：published、下架状态：unpublished
     */
    public String getQuoteStatus() {
        return quoteStatus;
    }

    /**
     * 设置报价状态，上架状态：published、下架状态：unpublished     *
     * 参数示例：<pre>published</pre>     
     * 此参数必填
     */
    public void setQuoteStatus(String quoteStatus) {
        this.quoteStatus = quoteStatus;
    }

}
