package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiSupplierQuerySupplierMappingParam extends AbstractAPIRequest<CaigouApiSupplierQuerySupplierMappingResult> {

    public CaigouApiSupplierQuerySupplierMappingParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.supplier.querySupplierMapping", 1);
    }

    private List supplierCodeList;

    /**
     * @return 外部供应商的id List
     */
    public List getSupplierCodeList() {
        return supplierCodeList;
    }

    /**
     * 设置外部供应商的id List     *
     * 参数示例：<pre>[798,588,544]</pre>     
     * 此参数必填
     */
    public void setSupplierCodeList(List supplierCodeList) {
        this.supplierCodeList = supplierCodeList;
    }

}
