package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouDomainCategoryTwoCategory {

    private String categoryName;

    /**
     * @return 类目名称
     */
    public String getCategoryName() {
        return categoryName;
    }

    /**
     * 设置类目名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    private String memberId;

    /**
     * @return 类目所属会员在1688的会员id
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置类目所属会员在1688的会员id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private Long parentId;

    /**
     * @return 类目所属父类目在1688平台的id
     */
    public Long getParentId() {
        return parentId;
    }

    /**
     * 设置类目所属父类目在1688平台的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    private Date gmtCreate;

    /**
     * @return 类目创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置类目创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Long categoryId;

    /**
     * @return 类目在1688平台上的主键id
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置类目在1688平台上的主键id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    private String jointCategoryCode;

    /**
     * @return 类目在外部系统的主键
     */
    public String getJointCategoryCode() {
        return jointCategoryCode;
    }

    /**
     * 设置类目在外部系统的主键     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setJointCategoryCode(String jointCategoryCode) {
        this.jointCategoryCode = jointCategoryCode;
    }

    private String jointParentCategorycode;

    /**
     * @return 类目所属父类目在外部系统的主键
     */
    public String getJointParentCategorycode() {
        return jointParentCategorycode;
    }

    /**
     * 设置类目所属父类目在外部系统的主键     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setJointParentCategorycode(String jointParentCategorycode) {
        this.jointParentCategorycode = jointParentCategorycode;
    }

    private CaigouDomainCategoryLeafCategory[] children;

    /**
     * @return 叶子类目列表
     */
    public CaigouDomainCategoryLeafCategory[] getChildren() {
        return children;
    }

    /**
     * 设置叶子类目列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChildren(CaigouDomainCategoryLeafCategory[] children) {
        this.children = children;
    }

}
