package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouDomainProductProductCoop {

    private String memberId;

    /**
     * @return 用户编号
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置用户编号     *
     * 参数示例：<pre>zhoulh***001</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String productCode;

    /**
     * @return 产品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置产品编号     *
     * 参数示例：<pre>prod_01</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private String title;

    /**
     * @return 产品名
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置产品名     *
     * 参数示例：<pre>山地车车架</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String unit;

    /**
     * @return 产品单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置产品单位     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String remark;

    /**
     * @return 产品备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置产品备注     *
     * 参数示例：<pre>配装140-200行程前叉</pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String status;

    /**
     * @return 状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态     *
     * 参数示例：<pre>new del</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String gmtLastTrade;

    /**
     * @return 最后交易时间
     */
    public String getGmtLastTrade() {
        return gmtLastTrade;
    }

    /**
     * 设置最后交易时间     *
     * 参数示例：<pre>yyyy-MM-dd HH:mm:ss</pre>     
     * 此参数必填
     */
    public void setGmtLastTrade(String gmtLastTrade) {
        this.gmtLastTrade = gmtLastTrade;
    }

    private String gmtCreate;

    /**
     * @return 创建时间
     */
    public String getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre>yyyy-MM-dd HH:mm:ss</pre>     
     * 此参数必填
     */
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String gmtModified;

    /**
     * @return 修改时间
     */
    public String getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre>yyyy-MM-dd HH:mm:ss</pre>     
     * 此参数必填
     */
    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    private CaigouDomainProductProductAttribute[] attributes;

    /**
     * @return 属性列表
     */
    public CaigouDomainProductProductAttribute[] getAttributes() {
        return attributes;
    }

    /**
     * 设置属性列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttributes(CaigouDomainProductProductAttribute[] attributes) {
        this.attributes = attributes;
    }

    private ComAlibabaCaigouApiProductModelProductImage[] imgList;

    /**
     * @return 产品图片
     */
    public ComAlibabaCaigouApiProductModelProductImage[] getImgList() {
        return imgList;
    }

    /**
     * 设置产品图片     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImgList(ComAlibabaCaigouApiProductModelProductImage[] imgList) {
        this.imgList = imgList;
    }

    private ComAlibabaCaigouApiCommonModelAttachment[] attachments;

    /**
     * @return 产品附件列表
     */
    public ComAlibabaCaigouApiCommonModelAttachment[] getAttachments() {
        return attachments;
    }

    /**
     * 设置产品附件列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttachments(ComAlibabaCaigouApiCommonModelAttachment[] attachments) {
        this.attachments = attachments;
    }

    private Long productId;

    /**
     * @return 产品副标题
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品副标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

}
