package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouListQuotationByBuyOfferIdParam extends AbstractAPIRequest<CaigouListQuotationByBuyOfferIdResult> {

    public CaigouListQuotationByBuyOfferIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.listQuotationByBuyOfferId", 1);
    }

    private Boolean needAttachments;

    /**
     * @return 
     */
    public Boolean getNeedAttachments() {
        return needAttachments;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedAttachments(Boolean needAttachments) {
        this.needAttachments = needAttachments;
    }

    private Boolean needAudit;

    /**
     * @return 
     */
    public Boolean getNeedAudit() {
        return needAudit;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedAudit(Boolean needAudit) {
        this.needAudit = needAudit;
    }

    private Boolean needSupplyNoteItems;

    /**
     * @return 
     */
    public Boolean getNeedSupplyNoteItems() {
        return needSupplyNoteItems;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSupplyNoteItems(Boolean needSupplyNoteItems) {
        this.needSupplyNoteItems = needSupplyNoteItems;
    }

    private String buyoffId;

    /**
     * @return 
     */
    public String getBuyoffId() {
        return buyoffId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyoffId(String buyoffId) {
        this.buyoffId = buyoffId;
    }

}
