package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigoumallQuoteAmountGetParam extends AbstractAPIRequest<CaigoumallQuoteAmountGetResult> {

    public CaigoumallQuoteAmountGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigoumall.quote.amount.get", 1);
    }

    private List idList;

    /**
     * @return 报价id列表
     */
    public List getIdList() {
        return idList;
    }

    /**
     * 设置报价id列表     *
     * 参数示例：<pre>[123,456]</pre>     
     * 此参数必填
     */
    public void setIdList(List idList) {
        this.idList = idList;
    }

}
