package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigoumallQuoteOrderGroupParam extends AbstractAPIRequest<CaigoumallQuoteOrderGroupResult> {

    public CaigoumallQuoteOrderGroupParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigoumall.quote.order.group", 1);
    }

    private List quoteIdList;

    /**
     * @return 报价在1688平台的Id列表
     */
    public List getQuoteIdList() {
        return quoteIdList;
    }

    /**
     * 设置报价在1688平台的Id列表     *
     * 参数示例：<pre>[123,456]</pre>     
     * 此参数必填
     */
    public void setQuoteIdList(List quoteIdList) {
        this.quoteIdList = quoteIdList;
    }

}
