package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CategoryGetCatListByParentIdParam extends AbstractAPIRequest<CategoryGetCatListByParentIdResult> {

    public CategoryGetCatListByParentIdParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "category.getCatListByParentId", 1);
    }

    private Long parentCategoryID;

    /**
     * @return 父类目ID
     */
    public Long getParentCategoryID() {
        return parentCategoryID;
    }

    /**
     * 设置父类目ID     *
     * 参数示例：<pre>10012</pre>     
     * 此参数必填
     */
    public void setParentCategoryID(Long parentCategoryID) {
        this.parentCategoryID = parentCategoryID;
    }

    private String getAllChildren;

    /**
     * @return 获取该父类目的所有子类目
     */
    public String getGetAllChildren() {
        return getAllChildren;
    }

    /**
     * 设置获取该父类目的所有子类目     *
     * 参数示例：<pre>取值“T” （取全部子类目信息）或 “F”（只取一级子类目信息），默认“F”。</pre>     
     * 此参数必填
     */
    public void setGetAllChildren(String getAllChildren) {
        this.getAllChildren = getAllChildren;
    }

    private String timeStamp;

    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     *
          
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

}
