package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CategorySearchParam extends AbstractAPIRequest<CategorySearchResult> {

    public CategorySearchParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "category.search", 1);
    }

    private String keyWord;

    /**
     * @return 搜索关键词
     */
    public String getKeyWord() {
        return keyWord;
    }

    /**
     * 设置搜索关键词     *
     * 参数示例：<pre>car</pre>     
     * 此参数必填
     */
    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

}
