package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaBirdsnestCoopapiSalesorderModelSalesOrder {

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String receiverDistrict;

    /**
     * @return 收货人 : 区
     */
    public String getReceiverDistrict() {
        return receiverDistrict;
    }

    /**
     * 设置收货人 : 区     *
     * 参数示例：<pre>下城区</pre>     
     * 此参数必填
     */
    public void setReceiverDistrict(String receiverDistrict) {
        this.receiverDistrict = receiverDistrict;
    }

    private String receiverCity;

    /**
     * @return 收货人 : 市
     */
    public String getReceiverCity() {
        return receiverCity;
    }

    /**
     * 设置收货人 : 市     *
     * 参数示例：<pre>杭州</pre>     
     * 此参数必填
     */
    public void setReceiverCity(String receiverCity) {
        this.receiverCity = receiverCity;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String receiverMobile;

    /**
     * @return 收货人手机
     */
    public String getReceiverMobile() {
        return receiverMobile;
    }

    /**
     * 设置收货人手机     *
     * 参数示例：<pre>13336001111</pre>     
     * 此参数必填
     */
    public void setReceiverMobile(String receiverMobile) {
        this.receiverMobile = receiverMobile;
    }

    private Long salesOrderId;

    /**
     * @return 1688系统中的销售单Id
     */
    public Long getSalesOrderId() {
        return salesOrderId;
    }

    /**
     * 设置1688系统中的销售单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSalesOrderId(Long salesOrderId) {
        this.salesOrderId = salesOrderId;
    }

    private String receiverProvince;

    /**
     * @return 收货人 : 省
     */
    public String getReceiverProvince() {
        return receiverProvince;
    }

    /**
     * 设置收货人 : 省     *
     * 参数示例：<pre>浙江</pre>     
     * 此参数必填
     */
    public void setReceiverProvince(String receiverProvince) {
        this.receiverProvince = receiverProvince;
    }

    private String receiverName;

    /**
     * @return 收货人姓名
     */
    public String getReceiverName() {
        return receiverName;
    }

    /**
     * 设置收货人姓名     *
     * 参数示例：<pre>张三</pre>     
     * 此参数必填
     */
    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    private String receiverAddress;

    /**
     * @return 收货人 : 详细地址
     */
    public String getReceiverAddress() {
        return receiverAddress;
    }

    /**
     * 设置收货人 : 详细地址     *
     * 参数示例：<pre>东外路133号</pre>     
     * 此参数必填
     */
    public void setReceiverAddress(String receiverAddress) {
        this.receiverAddress = receiverAddress;
    }

    private String receiverPhone;

    /**
     * @return 收货人联系电话
     */
    public String getReceiverPhone() {
        return receiverPhone;
    }

    /**
     * 设置收货人联系电话     *
     * 参数示例：<pre>0571-88899778</pre>     
     * 此参数必填
     */
    public void setReceiverPhone(String receiverPhone) {
        this.receiverPhone = receiverPhone;
    }

    private ComAlibabaBirdsnestCoopapiSalesorderModelSalesOrderItem[] items;

    /**
     * @return 销售单Item项
     */
    public ComAlibabaBirdsnestCoopapiSalesorderModelSalesOrderItem[] getItems() {
        return items;
    }

    /**
     * 设置销售单Item项     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItems(ComAlibabaBirdsnestCoopapiSalesorderModelSalesOrderItem[] items) {
        this.items = items;
    }

    private String receiverLoginId;

    /**
     * @return 收货人的登录账号
     */
    public String getReceiverLoginId() {
        return receiverLoginId;
    }

    /**
     * 设置收货人的登录账号     *
     * 参数示例：<pre>rcLogin001</pre>     
     * 此参数必填
     */
    public void setReceiverLoginId(String receiverLoginId) {
        this.receiverLoginId = receiverLoginId;
    }

    private String remark;

    /**
     * @return 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre>备注</pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

}
