package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaBirdsnestCoopapiSalesorderModelSalesOrderItem {

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Long amount;

    /**
     * @return 商品数量
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置商品数量     *
     * 参数示例：<pre>1000</pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private String warehouseCode;

    /**
     * @return 对接系统中的仓库编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 设置对接系统中的仓库编号     *
     * 参数示例：<pre>wh001</pre>     
     * 此参数必填
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String remark;

    /**
     * @return 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String productCode;

    /**
     * @return 外部系统中的商品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部系统中的商品编号     *
     * 参数示例：<pre>prod001</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Long salesOrderItemId;

    /**
     * @return 1688系统中的销售单itemId
     */
    public Long getSalesOrderItemId() {
        return salesOrderItemId;
    }

    /**
     * 设置1688系统中的销售单itemId     *
     * 参数示例：<pre>10001</pre>     
     * 此参数必填
     */
    public void setSalesOrderItemId(Long salesOrderItemId) {
        this.salesOrderItemId = salesOrderItemId;
    }

}
