package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouApiCommonModelSupplyNoteItem {

    private String subject;

    /**
     * @return 报价产品名称
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置报价产品名称     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private Long productId;

    /**
     * @return 采购产品库产品ID
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置采购产品库产品ID     *
     * 参数示例：<pre>12341234</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Integer amount;

    /**
     * @return 计划采购量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置计划采购量     *
     * 参数示例：<pre>1000</pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private String unit;

    /**
     * @return 货品单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置货品单位     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private Long price;

    /**
     * @return 货品单价（单位：分）
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置货品单价（单位：分）     *
     * 参数示例：<pre>10000</pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private String prItemId;

    /**
     * @return pr行标识
     */
    public String getPrItemId() {
        return prItemId;
    }

    /**
     * 设置pr行标识     *
     * 参数示例：<pre>123123</pre>     
     * 此参数必填
     */
    public void setPrItemId(String prItemId) {
        this.prItemId = prItemId;
    }

    private Long id;

    /**
     * @return 报价项id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置报价项id     *
     * 参数示例：<pre>700234</pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String productCode;

    /**
     * @return 外部产品code
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部产品code     *
     * 参数示例：<pre>productCode</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private String taxRate;

    /**
     * @return 税率.税率,-2未知,-1不含税，其他含税,对应的值为对应的税率
     */
    public String getTaxRate() {
        return taxRate;
    }

    /**
     * 设置税率.税率,-2未知,-1不含税，其他含税,对应的值为对应的税率     *
     * 参数示例：<pre>13</pre>     
     * 此参数必填
     */
    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    private Double itemCount;

    /**
     * @return 计划采购量(最多支持三位小数)
     */
    public Double getItemCount() {
        return itemCount;
    }

    /**
     * 设置计划采购量(最多支持三位小数)     *
     * 参数示例：<pre>4.892</pre>     
     * 此参数必填
     */
    public void setItemCount(Double itemCount) {
        this.itemCount = itemCount;
    }

}
