package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouCoopapiProductModelUserProduct {

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String userCategoryCode;

    /**
     * @return 外部系统中的类目编号
     */
    public String getUserCategoryCode() {
        return userCategoryCode;
    }

    /**
     * 设置外部系统中的类目编号     *
     * 参数示例：<pre>Cat0001</pre>     
     * 此参数必填
     */
    public void setUserCategoryCode(String userCategoryCode) {
        this.userCategoryCode = userCategoryCode;
    }

    private String remark;

    /**
     * @return 备注信息
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String productCode;

    /**
     * @return 外部系统中的商品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部系统中的商品编号     *
     * 参数示例：<pre>“Pt0001#Sku0001”</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Long myCspuId;

    /**
     * @return 1688系统中myCspu的Id
     */
    public Long getMyCspuId() {
        return myCspuId;
    }

    /**
     * 设置1688系统中myCspu的Id     *
     * 参数示例：<pre>10001</pre>     
     * 此参数必填
     */
    public void setMyCspuId(Long myCspuId) {
        this.myCspuId = myCspuId;
    }

    private String[] attachmentList;

    /**
     * @return 附件地址列表
     */
    public String[] getAttachmentList() {
        return attachmentList;
    }

    /**
     * 设置附件地址列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttachmentList(String[] attachmentList) {
        this.attachmentList = attachmentList;
    }

    private String productAttributes;

    /**
     * @return 产品属性
     */
    public String getProductAttributes() {
        return productAttributes;
    }

    /**
     * 设置产品属性     *
     * 参数示例：<pre>{“颜色”:”白色”}</pre>     
     * 此参数必填
     */
    public void setProductAttributes(String productAttributes) {
        this.productAttributes = productAttributes;
    }

    private String unit;

    /**
     * @return 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置单位     *
     * 参数示例：<pre>双</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String title;

    /**
     * @return 产品标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置产品标题     *
     * 参数示例：<pre>篮球鞋</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private Long referencePrice;

    /**
     * @return 产品参考价，单位：分
     */
    public Long getReferencePrice() {
        return referencePrice;
    }

    /**
     * 设置产品参考价，单位：分     *
     * 参数示例：<pre>10000</pre>     
     * 此参数必填
     */
    public void setReferencePrice(Long referencePrice) {
        this.referencePrice = referencePrice;
    }

    private String originCountry;

    /**
     * @return 原产地
     */
    public String getOriginCountry() {
        return originCountry;
    }

    /**
     * 设置原产地     *
     * 参数示例：<pre>浙江</pre>     
     * 此参数必填
     */
    public void setOriginCountry(String originCountry) {
        this.originCountry = originCountry;
    }

    private String barCode;

    /**
     * @return 条形码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置条形码     *
     * 参数示例：<pre>Ax123ns2df9134</pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String instruction;

    /**
     * @return 产品说明（副标题）
     */
    public String getInstruction() {
        return instruction;
    }

    /**
     * 设置产品说明（副标题）     *
     * 参数示例：<pre>运动款篮球鞋</pre>     
     * 此参数必填
     */
    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    private String extendAttributes;

    /**
     * @return 扩展属性
     */
    public String getExtendAttributes() {
        return extendAttributes;
    }

    /**
     * 设置扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtendAttributes(String extendAttributes) {
        this.extendAttributes = extendAttributes;
    }

    private String[] picUrlList;

    /**
     * @return 图片下载地址列表
     */
    public String[] getPicUrlList() {
        return picUrlList;
    }

    /**
     * 设置图片下载地址列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPicUrlList(String[] picUrlList) {
        this.picUrlList = picUrlList;
    }

    private String importType;

    /**
     * @return 产品来源类型 
    erp : erp导入
    1688 : 1688 手工导入
     */
    public String getImportType() {
        return importType;
    }

    /**
     * 设置产品来源类型 
    erp : erp导入
    1688 : 1688 手工导入     *
     * 参数示例：<pre>erp</pre>     
     * 此参数必填
     */
    public void setImportType(String importType) {
        this.importType = importType;
    }

    private String userCategoryName;

    /**
     * @return 类目名称
     */
    public String getUserCategoryName() {
        return userCategoryName;
    }

    /**
     * 设置类目名称     *
     * 参数示例：<pre>鞋</pre>     
     * 此参数必填
     */
    public void setUserCategoryName(String userCategoryName) {
        this.userCategoryName = userCategoryName;
    }

}
