package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouCoopapiProductParamWriteUserCategoryCoopParam {

    private String categoryName;

    /**
     * @return 自定义类目名称
     */
    public String getCategoryName() {
        return categoryName;
    }

    /**
     * 设置自定义类目名称     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    private String categoryCode;

    /**
     * @return 外部系统中的类目编号
     */
    public String getCategoryCode() {
        return categoryCode;
    }

    /**
     * 设置外部系统中的类目编号     *
     * 参数示例：<pre>cat0001</pre>     
     * 此参数必填
     */
    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    private String parentCategoryCode;

    /**
     * @return 外部系统中的父类目编号
     */
    public String getParentCategoryCode() {
        return parentCategoryCode;
    }

    /**
     * 设置外部系统中的父类目编号     *
     * 参数示例：<pre>cat0000</pre>     
     * 此参数必填
     */
    public void setParentCategoryCode(String parentCategoryCode) {
        this.parentCategoryCode = parentCategoryCode;
    }

    private String extendAttributes;

    /**
     * @return 扩展属性
     */
    public String getExtendAttributes() {
        return extendAttributes;
    }

    /**
     * 设置扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtendAttributes(String extendAttributes) {
        this.extendAttributes = extendAttributes;
    }

}
