package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCbuSearchwebOpenHsfResultIsvOfferModel {

    private Long id;

    /**
     * @return 商品的Id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置商品的Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String subject;

    /**
     * @return 商品的标题
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置商品的标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private Double price;

    /**
     * @return 商品的价格
     */
    public Double getPrice() {
        return price;
    }

    /**
     * 设置商品的价格     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    private String detailUrl;

    /**
     * @return 商品的详情地址（PC上商品详情页地址）
     */
    public String getDetailUrl() {
        return detailUrl;
    }

    /**
     * 设置商品的详情地址（PC上商品详情页地址）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDetailUrl(String detailUrl) {
        this.detailUrl = detailUrl;
    }

    private String imageUrl;

    /**
     * @return 商品的图片地址（PC上的图片地址）
     */
    public String getImageUrl() {
        return imageUrl;
    }

    /**
     * 设置商品的图片地址（PC上的图片地址）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    private String memberId;

    /**
     * @return 会员id
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String companyName;

    /**
     * @return 公司名
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * 设置公司名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    private Integer bookedCount;

    /**
     * @return 90天成交笔数
     */
    public Integer getBookedCount() {
        return bookedCount;
    }

    /**
     * 设置90天成交笔数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBookedCount(Integer bookedCount) {
        this.bookedCount = bookedCount;
    }

    private String gmtPost;

    /**
     * @return 发布时间
     */
    public String getGmtPost() {
        return gmtPost;
    }

    /**
     * 设置发布时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtPost(String gmtPost) {
        this.gmtPost = gmtPost;
    }

    private String alg;

    /**
     * @return 打点信息
     */
    public String getAlg() {
        return alg;
    }

    /**
     * 设置打点信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlg(String alg) {
        this.alg = alg;
    }

    private String imageUrlMobile;

    /**
     * @return 无线上的商品图片地址，返回值如http://XXX.jpg，无线前端可自行设置图片大小，如设置取270图片地址变为：http://XXX.jpg_270x270xzq60.jpg
     */
    public String getImageUrlMobile() {
        return imageUrlMobile;
    }

    /**
     * 设置无线上的商品图片地址，返回值如http://XXX.jpg，无线前端可自行设置图片大小，如设置取270图片地址变为：http://XXX.jpg_270x270xzq60.jpg     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageUrlMobile(String imageUrlMobile) {
        this.imageUrlMobile = imageUrlMobile;
    }

    private Double agentPrice;

    /**
     * @return 代销价格
     */
    public Double getAgentPrice() {
        return agentPrice;
    }

    /**
     * 设置代销价格     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAgentPrice(Double agentPrice) {
        this.agentPrice = agentPrice;
    }

    private Integer quantitySumMonth;

    /**
     * @return 月销售件数
     */
    public Integer getQuantitySumMonth() {
        return quantitySumMonth;
    }

    /**
     * 设置月销售件数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantitySumMonth(Integer quantitySumMonth) {
        this.quantitySumMonth = quantitySumMonth;
    }

}
