package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCbuSearchwebOpenHsfResultIsvRecommendResult {

    private Integer count;

    /**
     * @return 推荐的总条目数
     */
    public Integer getCount() {
        return count;
    }

    /**
     * 设置推荐的总条目数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCount(Integer count) {
        this.count = count;
    }

    private Integer currentPage;

    /**
     * @return 当前页
     */
    public Integer getCurrentPage() {
        return currentPage;
    }

    /**
     * 设置当前页     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    private Integer pageSize;

    /**
     * @return 每页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页大小     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private ComAlibabaCbuSearchwebOpenHsfResultIsvCompanyOfferResult[] companyList;

    /**
     * @return 推荐的公司列表信息
     */
    public ComAlibabaCbuSearchwebOpenHsfResultIsvCompanyOfferResult[] getCompanyList() {
        return companyList;
    }

    /**
     * 设置推荐的公司列表信息     *
     * 参数示例：<pre>[//供应商列表，每个公司3个offer
            {
                memberId:'会员Id',
                companyName:'',
                offerResult:{
                    offerList:[推荐的3个最新offer列表]
                }
            }
        ]</pre>     
     * 此参数必填
     */
    public void setCompanyList(ComAlibabaCbuSearchwebOpenHsfResultIsvCompanyOfferResult[] companyList) {
        this.companyList = companyList;
    }

}
