package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ConvertMemberIdsByLoginIdsParam extends AbstractAPIRequest<ConvertMemberIdsByLoginIdsResult> {

    public ConvertMemberIdsByLoginIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "convertMemberIdsByLoginIds", 1);
    }

    private List loginIds;

    /**
     * @return 中文站登录id！最大数量不超过110个，数量太大时抛出异常！loginIds中不包含子账号的loginid
     */
    public List getLoginIds() {
        return loginIds;
    }

    /**
     * 设置中文站登录id！最大数量不超过110个，数量太大时抛出异常！loginIds中不包含子账号的loginid     *
     * 参数示例：<pre>["loginid1","loginid2"]</pre>     
     * 此参数必填
     */
    public void setLoginIds(List loginIds) {
        this.loginIds = loginIds;
    }

}
