package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CoopPurchaseItemAddResult {

    private Boolean isSucess;

    /**
     * @return 是否添加成功
     */
    public Boolean getIsSucess() {
        return isSucess;
    }

    /**
     * 设置是否添加成功     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsSucess(Boolean isSucess) {
        this.isSucess = isSucess;
    }

    private Long purchaseItemId;

    /**
     * @return 购物车对应的主键id
     */
    public Long getPurchaseItemId() {
        return purchaseItemId;
    }

    /**
     * 设置购物车对应的主键id     *
     * 参数示例：<pre>123</pre>     
     * 此参数必填
     */
    public void setPurchaseItemId(Long purchaseItemId) {
        this.purchaseItemId = purchaseItemId;
    }

    private String errorCode;

    /**
     * @return 错误码
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * 设置错误码     *
     * 参数示例：<pre>invalid-params：参数错误；product-quotation-not-exist：报价不存在；system-error：系统错误；no-permission：无权限；product-quotation-out-of-amount：库存不足；</pre>     
     * 此参数必填
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    private String errorMessage;

    /**
     * @return 错误文案信息
     */
    public String getErrorMessage() {
        return errorMessage;
    }

    /**
     * 设置错误文案信息     *
     * 参数示例：<pre>系统错误</pre>     
     * 此参数必填
     */
    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

}
