package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class E56LogisticsDummySendParam extends AbstractAPIRequest<E56LogisticsDummySendResult> {

    public E56LogisticsDummySendParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "e56.logistics.dummy.send", 1);
    }

    private String orderId;

    /**
     * @return 订单ID
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    private String orderEntryIds;

    /**
     * @return 订单明细ID, 多个明细请用英文逗号分隔
     */
    public String getOrderEntryIds() {
        return orderEntryIds;
    }

    /**
     * 设置订单明细ID, 多个明细请用英文逗号分隔     *
     * 参数示例：<pre>13234,1233</pre>     
     * 此参数必填
     */
    public void setOrderEntryIds(String orderEntryIds) {
        this.orderEntryIds = orderEntryIds;
    }

    private String gmtSystemSend;

    /**
     * @return 发货时间
     */
    public String getGmtSystemSend() {
        return gmtSystemSend;
    }

    /**
     * 设置发货时间     *
     * 参数示例：<pre>2012-04-13 09:38:00</pre>     
     * 此参数必填
     */
    public void setGmtSystemSend(String gmtSystemSend) {
        this.gmtSystemSend = gmtSystemSend;
    }

}
