package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufacturePullBulkDataListParam extends AbstractAPIRequest<ErpManufacturePullBulkDataListResult> {

    public ErpManufacturePullBulkDataListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.pullBulkDataList", 1);
    }

    private String[] bulkGoodsCodes;

    /**
     * @return 大货单编号列表，最大10个
     */
    public String[] getBulkGoodsCodes() {
        return bulkGoodsCodes;
    }

    /**
     * 设置大货单编号列表，最大10个     *
     * 参数示例：<pre>[“THZ0001ABG101GD0002A”,” THZ0002ABG202GD0002B”]</pre>     
     * 此参数必填
     */
    public void setBulkGoodsCodes(String[] bulkGoodsCodes) {
        this.bulkGoodsCodes = bulkGoodsCodes;
    }

}
