package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpManufacturePullFentDataListParam extends AbstractAPIRequest<ErpManufacturePullFentDataListResult> {

    public ErpManufacturePullFentDataListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.manufacture.pullFentDataList", 1);
    }

    private String[] fentGoodsCodes;

    /**
     * @return 打样单编号列表，最大10个
     */
    public String[] getFentGoodsCodes() {
        return fentGoodsCodes;
    }

    /**
     * 设置打样单编号列表，最大10个     *
     * 参数示例：<pre>[“THZ0001ABG101GD00020”,” THZ0002ABG202GD00020”]</pre>     
     * 此参数必填
     */
    public void setFentGoodsCodes(String[] fentGoodsCodes) {
        this.fentGoodsCodes = fentGoodsCodes;
    }

}
