package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpProductQueryAllParam extends AbstractAPIRequest<ErpProductQueryAllResult> {

    public ErpProductQueryAllParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.product.queryAll", 1);
    }

    private Integer pageNum;

    /**
     * @return 页码 最小页码为1
     */
    public Integer getPageNum() {
        return pageNum;
    }

    /**
     * 设置页码 最小页码为1     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    private Integer pageSize;

    /**
     * @return 分页大小 默认为20
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页大小 默认为20     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
