package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpSalesOrderPullIdsParam extends AbstractAPIRequest<ErpSalesOrderPullIdsResult> {

    public ErpSalesOrderPullIdsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.salesOrder.pullIds", 1);
    }

    private Date gmtCreateStart;

    /**
     * @return 销售单创建时间 start
     */
    public Date getGmtCreateStart() {
        return gmtCreateStart;
    }

    /**
     * 设置销售单创建时间 start     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreateStart(Date gmtCreateStart) {
        this.gmtCreateStart = gmtCreateStart;
    }

    private Date gmtCreateEnd;

    /**
     * @return 销售单创建时间 end
     */
    public Date getGmtCreateEnd() {
        return gmtCreateEnd;
    }

    /**
     * 设置销售单创建时间 end     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreateEnd(Date gmtCreateEnd) {
        this.gmtCreateEnd = gmtCreateEnd;
    }

}
