package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpUserCategoryBatchDeleteParam extends AbstractAPIRequest<ErpUserCategoryBatchDeleteResult> {

    public ErpUserCategoryBatchDeleteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.userCategory.batchDelete", 1);
    }

    private String[] categoryCodeList;

    /**
     * @return 外部系统自定义类目编号列表
     */
    public String[] getCategoryCodeList() {
        return categoryCodeList;
    }

    /**
     * 设置外部系统自定义类目编号列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryCodeList(String[] categoryCodeList) {
        this.categoryCodeList = categoryCodeList;
    }

}
