package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpUserCategoryGetByCodeParam extends AbstractAPIRequest<ErpUserCategoryGetByCodeResult> {

    public ErpUserCategoryGetByCodeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.userCategory.getByCode", 1);
    }

    private String categoryCode;

    /**
     * @return Erp系统中的类目编号
     */
    public String getCategoryCode() {
        return categoryCode;
    }

    /**
     * 设置Erp系统中的类目编号     *
     * 参数示例：<pre>cat0001</pre>     
     * 此参数必填
     */
    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

}
