package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpWarehouseGetByCodeParam extends AbstractAPIRequest<ErpWarehouseGetByCodeResult> {

    public ErpWarehouseGetByCodeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.warehouse.getByCode", 1);
    }

    private String warehouseCode;

    /**
     * @return 外部系统中的仓库编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 设置外部系统中的仓库编号     *
     * 参数示例：<pre>wh0001</pre>     
     * 此参数必填
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

}
