package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ErpWarehouseStockBatchInOutParam extends AbstractAPIRequest<ErpWarehouseStockBatchInOutResult> {

    public ErpWarehouseStockBatchInOutParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "erp.warehouseStock.batchInOut", 1);
    }

    private ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] warehouseInOutList;

    /**
     * @return 库存流水变动参数列表
     */
    public ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] getWarehouseInOutList() {
        return warehouseInOutList;
    }

    /**
     * 设置库存流水变动参数列表     *
     * 参数示例：<pre>[{
    "productCode":"prod001",
    "warehouseCode":"wh001",
    "billCode":"bl001",
    "billType":"add_Bill",
    "billName":"盘盈单",
    "amount":100
    }]</pre>     
     * 此参数必填
     */
    public void setWarehouseInOutList(ComAlibabaBirdsnestCoopapiWarehouseParamWarehouseInOutParam[] warehouseInOutList) {
        this.warehouseInOutList = warehouseInOutList;
    }

}
