package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class MemberGetParam extends AbstractAPIRequest<MemberGetResult> {

    public MemberGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "member.get", 1);
    }

    private String memberId;

    /**
     * @return 会员id
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员id     *
     * 参数示例：<pre>ayisha000</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String[] returnFields;

    /**
     * @return 返回字段
     */
    public String[] getReturnFields() {
        return returnFields;
    }

    /**
     * 设置返回字段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReturnFields(String[] returnFields) {
        this.returnFields = returnFields;
    }

}
