package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class MemberRankGetParam extends AbstractAPIRequest<MemberRankGetResult> {

    public MemberRankGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "memberRank.get", 1);
    }

    private String sellerId;

    /**
     * @return 卖家会员ID
     */
    public String getSellerId() {
        return sellerId;
    }

    /**
     * 设置卖家会员ID     *
     * 参数示例：<pre>testFree</pre>     
     * 此参数必填
     */
    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    private Long memberRankId;

    /**
     * @return 会员等级ID
     */
    public Long getMemberRankId() {
        return memberRankId;
    }

    /**
     * 设置会员等级ID     *
     * 参数示例：<pre>756165</pre>     
     * 此参数必填
     */
    public void setMemberRankId(Long memberRankId) {
        this.memberRankId = memberRankId;
    }

}
