package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGetParam extends AbstractAPIRequest<OfferGetResult> {

    public OfferGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.get", 1);
    }

    private Long offerId;

    /**
     * @return offerID
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置offerID     *
     * 参数示例：<pre>1001238</pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private String[] returnFields;

    /**
     * @return 自定义返回字段。多个字段以半角逗号分隔;其中如下参数无法通过该API获得：freightTemplateId、freightType、productUnitWeight、retailPrice、sendGoodsId、unit
     */
    public String[] getReturnFields() {
        return returnFields;
    }

    /**
     * 设置自定义返回字段。多个字段以半角逗号分隔;其中如下参数无法通过该API获得：freightTemplateId、freightType、productUnitWeight、retailPrice、sendGoodsId、unit     *
     * 参数示例：<pre>groupId,offerStatus,memberId,subject,details;</pre>     
     * 此参数必填
     */
    public void setReturnFields(String[] returnFields) {
        this.returnFields = returnFields;
    }

}
