package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGroupHasOpenedParam extends AbstractAPIRequest<OfferGroupHasOpenedResult> {

    public OfferGroupHasOpenedParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offerGroup.hasOpened", 1);
    }

    private String memberId;

    /**
     * @return 用户ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置用户ID     *
     * 参数示例：<pre>jufeng819</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

}
