package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGroupSetParam extends AbstractAPIRequest<OfferGroupSetResult> {

    public OfferGroupSetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offerGroup.set", 1);
    }

    private String switchType;

    /**
     * @return on或者off，on对应设置显示标记的开启，即：显示；off对应显示标记的关闭，即：不显示
     */
    public String getSwitchType() {
        return switchType;
    }

    /**
     * 设置on或者off，on对应设置显示标记的开启，即：显示；off对应显示标记的关闭，即：不显示     *
     * 参数示例：<pre>on</pre>     
     * 此参数必填
     */
    public void setSwitchType(String switchType) {
        this.switchType = switchType;
    }

}
