package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferModifyParam extends AbstractAPIRequest<OfferModifyResult> {

    public OfferModifyParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.modify", 1);
    }

    private String offer;

    /**
     * @return 描述offer的json串，需要进行URLEncode 编码，编码方式为GBK
     */
    public String getOffer() {
        return offer;
    }

    /**
     * 设置描述offer的json串，需要进行URLEncode 编码，编码方式为GBK     *
     * 参数示例：<pre>message:offer</pre>     
     * 此参数必填
     */
    public void setOffer(String offer) {
        this.offer = offer;
    }

}
