package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferRepostParam extends AbstractAPIRequest<OfferRepostResult> {

    public OfferRepostParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.repost", 1);
    }

    private String offerIds;

    /**
     * @return offer ID列表，多个ID半角分号分隔
     */
    public String getOfferIds() {
        return offerIds;
    }

    /**
     * 设置offer ID列表，多个ID半角分号分隔     *
     * 参数示例：<pre>1229546226; 1229546226</pre>     
     * 此参数必填
     */
    public void setOfferIds(String offerIds) {
        this.offerIds = offerIds;
    }

}
