package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class SpubyattributeGetParam extends AbstractAPIRequest<SpubyattributeGetResult> {

    public SpubyattributeGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "spubyattribute.get", 1);
    }

    private Long categoryID;

    /**
     * @return 叶子类目ID
     */
    public Long getCategoryID() {
        return categoryID;
    }

    /**
     * 设置叶子类目ID     *
     * 参数示例：<pre>1042627</pre>     
     * 此参数必填
     */
    public void setCategoryID(Long categoryID) {
        this.categoryID = categoryID;
    }

    private String keyAttributes;

    /**
     * @return 产品关键属性和值，以“>”为分隔符，输入格式如示例 ：属性:属性值>属性:属性值
     */
    public String getKeyAttributes() {
        return keyAttributes;
    }

    /**
     * 设置产品关键属性和值，以“>”为分隔符，输入格式如示例 ：属性:属性值>属性:属性值     *
     * 参数示例：<pre>2176:BARDEN>3151:01B114EX</pre>     
     * 此参数必填
     */
    public void setKeyAttributes(String keyAttributes) {
        this.keyAttributes = keyAttributes;
    }

    private String timeStamp;

    /**
     * @return 
     */
    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

}
