package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TgcProcessOrderGetlistParam extends AbstractAPIRequest<TgcProcessOrderGetlistResult> {

    public TgcProcessOrderGetlistParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "tgc.process.order.getlist", 1);
    }

    private Integer intervalDays;

    /**
     * @return 指定下载该时间段内的订单，从当前日期倒推，单位：天。默认（0）取当天订单数据。
     */
    public Integer getIntervalDays() {
        return intervalDays;
    }

    /**
     * 设置指定下载该时间段内的订单，从当前日期倒推，单位：天。默认（0）取当天订单数据。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIntervalDays(Integer intervalDays) {
        this.intervalDays = intervalDays;
    }

}
