package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TgcProcessPostDetailParam extends AbstractAPIRequest<TgcProcessPostDetailResult> {

    public TgcProcessPostDetailParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "tgc.process.post.detail", 1);
    }

    private Long orderId;

    /**
     * @return 订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String data;

    /**
     * @return 订单生产流程数据，允许的HTML标签包括：p/br，如果包含其他的HTML标签，则提交失败
     */
    public String getData() {
        return data;
    }

    /**
     * 设置订单生产流程数据，允许的HTML标签包括：p/br，如果包含其他的HTML标签，则提交失败     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setData(String data) {
        this.data = data;
    }

    private Date submitTime;

    /**
     * @return 提交时间.必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”
     */
    public Date getSubmitTime() {
        return submitTime;
    }

    /**
     * 设置提交时间.必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

}
