package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TgcProcessPostExpectedTimeParam extends AbstractAPIRequest<TgcProcessPostExpectedTimeResult> {

    public TgcProcessPostExpectedTimeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "tgc.process.post.expected.time", 1);
    }

    private Long orderId;

    /**
     * @return 订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Date time;

    /**
     * @return 预计发货时间，必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”
     */
    public Date getTime() {
        return time;
    }

    /**
     * 设置预计发货时间，必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTime(Date time) {
        this.time = time;
    }

}
