package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TracedCodeListParam extends AbstractAPIRequest<TracedCodeListResult> {

    public TracedCodeListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "traced.code.list", 1);
    }

    private String batchId;

    /**
     * @return 批次ID
     */
    public String getBatchId() {
        return batchId;
    }

    /**
     * 设置批次ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    private String batchPassword;

    /**
     * @return 批次密码
     */
    public String getBatchPassword() {
        return batchPassword;
    }

    /**
     * 设置批次密码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchPassword(String batchPassword) {
        this.batchPassword = batchPassword;
    }

    private Integer page;

    /**
     * @return 页码
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private Integer pageSize;

    /**
     * @return 页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置页大小     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
