package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TracedCodePushParam extends AbstractAPIRequest<TracedCodePushResult> {

    public TracedCodePushParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "traced.code.push", 1);
    }

    private String batchId;

    /**
     * @return 批次ID
     */
    public String getBatchId() {
        return batchId;
    }

    /**
     * 设置批次ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    private String batchPassword;

    /**
     * @return 批次密码
     */
    public String getBatchPassword() {
        return batchPassword;
    }

    /**
     * 设置批次密码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBatchPassword(String batchPassword) {
        this.batchPassword = batchPassword;
    }

    private List models;

    /**
     * @return 批量关联码模型
     */
    public List getModels() {
        return models;
    }

    /**
     * 设置批量关联码模型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setModels(List models) {
        this.models = models;
    }

}
