package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TracedTracedEstimateStandard {

    private String belongs;

    /**
     * @return 标准名称
     */
    public String getBelongs() {
        return belongs;
    }

    /**
     * 设置标准名称     *
     * 参数示例：<pre>如：国家标准</pre>     
     * 此参数必填
     */
    public void setBelongs(String belongs) {
        this.belongs = belongs;
    }

    private String name;

    /**
     * @return 标准项目
     */
    public String getName() {
        return name;
    }

    /**
     * 设置标准项目     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String type;

    /**
     * @return 标准类型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置标准类型     *
     * 参数示例：<pre>文本、数字类型</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String text;

    /**
     * @return 标准文本内容
     */
    public String getText() {
        return text;
    }

    /**
     * 设置标准文本内容     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setText(String text) {
        this.text = text;
    }

    private Double min;

    /**
     * @return 标准的最小值
     */
    public Double getMin() {
        return min;
    }

    /**
     * 设置标准的最小值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMin(Double min) {
        this.min = min;
    }

    private Double max;

    /**
     * @return 标准的最大值
     */
    public Double getMax() {
        return max;
    }

    /**
     * 设置标准的最大值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMax(Double max) {
        this.max = max;
    }

    private Double containsMin;

    /**
     * @return 是否包含最小值,0不包括，1包括
     */
    public Double getContainsMin() {
        return containsMin;
    }

    /**
     * 设置是否包含最小值,0不包括，1包括     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContainsMin(Double containsMin) {
        this.containsMin = containsMin;
    }

    private Double containsMax;

    /**
     * @return 是否包含最大值，0不包括，1包括
     */
    public Double getContainsMax() {
        return containsMax;
    }

    /**
     * 设置是否包含最大值，0不包括，1包括     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContainsMax(Double containsMax) {
        this.containsMax = containsMax;
    }

    private String unit;

    /**
     * @return 标准的单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置标准的单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

}
