package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TracedTracedProductModel {

    private Long productId;

    /**
     * @return 产品唯一ID
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品唯一ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Long offerId;

    /**
     * @return offerId
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置offerId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private String companyName;

    /**
     * @return 公司名称
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * 设置公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    private String organization;

    /**
     * @return 认证组织
     */
    public String getOrganization() {
        return organization;
    }

    /**
     * 设置认证组织     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrganization(String organization) {
        this.organization = organization;
    }

    private List qualityReport;

    /**
     * @return 质检报告
     */
    public List getQualityReport() {
        return qualityReport;
    }

    /**
     * 设置质检报告     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQualityReport(List qualityReport) {
        this.qualityReport = qualityReport;
    }

    private String area;

    /**
     * @return 产地
     */
    public String getArea() {
        return area;
    }

    /**
     * 设置产地     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setArea(String area) {
        this.area = area;
    }

    private String status;

    /**
     * @return 状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Long applyNum;

    /**
     * @return 申请码量
     */
    public Long getApplyNum() {
        return applyNum;
    }

    /**
     * 设置申请码量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyNum(Long applyNum) {
        this.applyNum = applyNum;
    }

    private Long num;

    /**
     * @return 实际质检数量
     */
    public Long getNum() {
        return num;
    }

    /**
     * 设置实际质检数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNum(Long num) {
        this.num = num;
    }

    private Long suppNum;

    /**
     * @return 补充码量
     */
    public Long getSuppNum() {
        return suppNum;
    }

    /**
     * 设置补充码量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuppNum(Long suppNum) {
        this.suppNum = suppNum;
    }

    private TracedTracedEstimateStandard[] estimateStandard;

    /**
     * @return 质检标准
     */
    public TracedTracedEstimateStandard[] getEstimateStandard() {
        return estimateStandard;
    }

    /**
     * 设置质检标准     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEstimateStandard(TracedTracedEstimateStandard[] estimateStandard) {
        this.estimateStandard = estimateStandard;
    }

    private TracedTracedQuality[] properties;

    /**
     * @return 质检结果
     */
    public TracedTracedQuality[] getProperties() {
        return properties;
    }

    /**
     * 设置质检结果     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProperties(TracedTracedQuality[] properties) {
        this.properties = properties;
    }

}
