package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeGetMakeOrderUriParam extends AbstractAPIRequest<TradeGetMakeOrderUriResult> {

    public TradeGetMakeOrderUriParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.getMakeOrderUri", 1);
    }

    private Map param;

    /**
     * @return 
     */
    public Map getParam() {
        return param;
    }

    /**
     * 设置     *
     * 参数示例：<pre>{
    "offerId":"554500149513",
    "buyAmount":2,
    "specData":"[{\"specId\":\"34407a0af342f08bcb79c8012d80bd09\",\"amount\":1}]",
    "tracelog":"",
    "renderType":""
    }</pre>     
     * 此参数必填
     */
    public void setParam(Map param) {
        this.param = param;
    }

}
