package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderMemoUpdateParam extends AbstractAPIRequest<TradeOrderMemoUpdateResult> {

    public TradeOrderMemoUpdateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.memo.update", 1);
    }

    private Long orderId;

    /**
     * @return 
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String remark;

    /**
     * @return 
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String remarkIcon;

    /**
     * @return 
     */
    public String getRemarkIcon() {
        return remarkIcon;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemarkIcon(String remarkIcon) {
        this.remarkIcon = remarkIcon;
    }

}
