package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeRefundDetailGetParam extends AbstractAPIRequest<TradeRefundDetailGetResult> {

    public TradeRefundDetailGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.refund.detail.get", 1);
    }

    private String refundId;

    /**
     * @return 退款单ID
     */
    public String getRefundId() {
        return refundId;
    }

    /**
     * 设置退款单ID     *
     * 参数示例：<pre>TQ123</pre>     
     * 此参数必填
     */
    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    private String memberId;

    /**
     * @return 授权信息中的用户id
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置授权信息中的用户id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

}
