package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListByIdsParam extends
        AbstractAPIRequest<AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListByIdsResult> {

    public AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListByIdsParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.bulksettlement.OpBulkSettlementQueryReceiveNoteListByIds", 1);
    }

    private List receiveNodeIds;

    /**
     * @return 收货主单id 列表
     */
    public List getReceiveNodeIds() {
        return receiveNodeIds;
    }

    /**
     * 设置收货主单id 列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveNodeIds(List receiveNodeIds) {
        this.receiveNodeIds = receiveNodeIds;
    }

}
