package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpReceiveNoteModel {

    private Long id;

    /**
     * @return 收货主单id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置收货主单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String statusInfo;

    /**
     * @return 收货主单状态状态
     */
    public String getStatusInfo() {
        return statusInfo;
    }

    /**
     * 设置收货主单状态状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatusInfo(String statusInfo) {
        this.statusInfo = statusInfo;
    }

    private Long actualPayFee;

    /**
     * @return 1 待发起结算 2 已发起结算
     */
    public Long getActualPayFee() {
        return actualPayFee;
    }

    /**
     * 设置1 待发起结算 2 已发起结算     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setActualPayFee(Long actualPayFee) {
        this.actualPayFee = actualPayFee;
    }

    private String attributes;

    /**
     * @return 扩展属性
     */
    public String getAttributes() {
        return attributes;
    }

    /**
     * 设置扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttributes(String attributes) {
        this.attributes = attributes;
    }

    private Integer isSuccess;

    /**
     * @return 是否正常创建
     */
    public Integer getIsSuccess() {
        return isSuccess;
    }

    /**
     * 设置是否正常创建     *
     * 参数示例：<pre>1 正常创建；0 非正常创建</pre>     
     * 此参数必填
     */
    public void setIsSuccess(Integer isSuccess) {
        this.isSuccess = isSuccess;
    }

    private Long orderId;

    /**
     * @return 主订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置主订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Date gmtReceive;

    /**
     * @return 收货时间
     */
    public Date getGmtReceive() {
        return gmtReceive;
    }

    /**
     * 设置收货时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtReceive(Date gmtReceive) {
        this.gmtReceive = gmtReceive;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Long sellerUserId;

    /**
     * @return 卖家主账号userId
     */
    public Long getSellerUserId() {
        return sellerUserId;
    }

    /**
     * 设置卖家主账号userId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerUserId(Long sellerUserId) {
        this.sellerUserId = sellerUserId;
    }

    private String sellerCompanyName;

    /**
     * @return 卖家公司名称
     */
    public String getSellerCompanyName() {
        return sellerCompanyName;
    }

    /**
     * 设置卖家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerCompanyName(String sellerCompanyName) {
        this.sellerCompanyName = sellerCompanyName;
    }

    private String operatorUsername;

    /**
     * @return 收货操作者姓名
     */
    public String getOperatorUsername() {
        return operatorUsername;
    }

    /**
     * 设置收货操作者姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOperatorUsername(String operatorUsername) {
        this.operatorUsername = operatorUsername;
    }

    private String buyerUserId;

    /**
     * @return 买家主账号
     */
    public String getBuyerUserId() {
        return buyerUserId;
    }

    /**
     * 设置买家主账号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerUserId(String buyerUserId) {
        this.buyerUserId = buyerUserId;
    }

    private Long operatorUserId;

    /**
     * @return 收货操作者userId
     */
    public Long getOperatorUserId() {
        return operatorUserId;
    }

    /**
     * 设置收货操作者userId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOperatorUserId(Long operatorUserId) {
        this.operatorUserId = operatorUserId;
    }

    private String pcorpName;

    /**
     * @return 名义下单 下单公司主体
     */
    public String getPcorpName() {
        return pcorpName;
    }

    /**
     * 设置名义下单 下单公司主体     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPcorpName(String pcorpName) {
        this.pcorpName = pcorpName;
    }

    private String buyerName;

    /**
     * @return 名义下单 下单账号
     */
    public String getBuyerName() {
        return buyerName;
    }

    /**
     * 设置名义下单 下单账号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    private AlibabaBulksettlementOpReceiveNoteEntryModel[] receiveEntrylist;

    /**
     * @return 
     */
    public AlibabaBulksettlementOpReceiveNoteEntryModel[] getReceiveEntrylist() {
        return receiveEntrylist;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveEntrylist(AlibabaBulksettlementOpReceiveNoteEntryModel[] receiveEntrylist) {
        this.receiveEntrylist = receiveEntrylist;
    }

}
