package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsCommonError {

    private String message;

    /**
     * @return 主错误信息
     */
    public String getMessage() {
        return message;
    }

    /**
     * 设置主错误信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMessage(String message) {
        this.message = message;
    }

    private String code;

    /**
     * @return 主错误代码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置主错误代码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCode(String code) {
        this.code = code;
    }

    private AlibabaLogisticsCommonSubError[] subErrors;

    /**
     * @return 子错误信息
     */
    public AlibabaLogisticsCommonSubError[] getSubErrors() {
        return subErrors;
    }

    /**
     * 设置子错误信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubErrors(AlibabaLogisticsCommonSubError[] subErrors) {
        this.subErrors = subErrors;
    }

}
