package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsCommonMoney {

    private BigDecimal amount;

    /**
     * @return 金额
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /**
     * 设置金额     *
     * 参数示例：<pre>222.33</pre>     
     * 此参数必填
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    private String currencyCode;

    /**
     * @return 货币代码，ISO 4217 Currency Codes
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /**
     * 设置货币代码，ISO 4217 Currency Codes     *
     * 参数示例：<pre>CNY</pre>     
     * 此参数必填
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

}
