package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsMyFreightTemplateListGetParam extends AbstractAPIRequest<AlibabaLogisticsMyFreightTemplateListGetResult> {

    public AlibabaLogisticsMyFreightTemplateListGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.logistics.myFreightTemplate.list.get", 1);
    }

    private Long templateId;

    /**
     * @return 模版id，用于单条查询的场景
     */
    public Long getTemplateId() {
        return templateId;
    }

    /**
     * 设置模版id，用于单条查询的场景     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    private Boolean querySubTemplate;

    /**
     * @return 是否查询子模板
     */
    public Boolean getQuerySubTemplate() {
        return querySubTemplate;
    }

    /**
     * 设置是否查询子模板     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuerySubTemplate(Boolean querySubTemplate) {
        this.querySubTemplate = querySubTemplate;
    }

    private Boolean queryRate;

    /**
     * @return 是否查询子模板费率
     */
    public Boolean getQueryRate() {
        return queryRate;
    }

    /**
     * 设置是否查询子模板费率     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQueryRate(Boolean queryRate) {
        this.queryRate = queryRate;
    }

}
