package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCategorySearchByKeywordParam extends AbstractAPIRequest<AlibabaCategorySearchByKeywordResult> {

    public AlibabaCategorySearchByKeywordParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.category.searchByKeyword", 1);
    }

    private String keyword;

    /**
     * @return 类目关键字
     */
    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置类目关键字     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

}
