package com.alibaba.product.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPhotobankPhotoAlbumDomain {

    private Long albumID;

    /**
     * @return 相册ID
     */
    public Long getAlbumID() {
        return albumID;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlbumID(Long albumID) {
        this.albumID = albumID;
    }

    private String name;

    /**
     * @return 相册名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置相册名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 相册描述，国际站无此信息
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置相册描述，国际站无此信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private Integer authority;

    /**
     * @return 相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册访问权限为“1-公开”和“2-密码访问”，未开通旺铺的会员相册访问权限限制为“0-不公开”。国际站无此信息
     */
    public Integer getAuthority() {
        return authority;
    }

    /**
     * 设置相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册访问权限为“1-公开”和“2-密码访问”，未开通旺铺的会员相册访问权限限制为“0-不公开”。国际站无此信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAuthority(Integer authority) {
        this.authority = authority;
    }

    private Integer imageCount;

    /**
     * @return 图片数量
     */
    public Integer getImageCount() {
        return imageCount;
    }

    /**
     * 设置图片数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageCount(Integer imageCount) {
        this.imageCount = imageCount;
    }

}
