package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductGroupGetParam extends AbstractAPIRequest<AlibabaProductGroupGetResult> {

    public AlibabaProductGroupGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.group.get", 1);
    }

    private Long groupID;

    /**
     * @return 商品分组ID
     */
    public Long getGroupID() {
        return groupID;
    }

    /**
     * 设置商品分组ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupID(Long groupID) {
        this.groupID = groupID;
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
