package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductIsModifiableParam extends AbstractAPIRequest<AlibabaProductIsModifiableResult> {

    public AlibabaProductIsModifiableParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.isModifiable", 1);
    }

    private long[] productIds;

    /**
     * @return 
     */
    public long[] getProductIds() {
        return productIds;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductIds(long[] productIds) {
        this.productIds = productIds;
    }

    private String webSite;

    /**
     * @return 
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
