package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductTbNicknameToUserIdParam extends AbstractAPIRequest<AlibabaProductTbNicknameToUserIdResult> {

    public AlibabaProductTbNicknameToUserIdParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.tbNicknameToUserId", 1);
    }

    private String nickname;

    /**
     * @return 淘宝登录名
     */
    public String getNickname() {
        return nickname;
    }

    /**
     * 设置淘宝登录名     *
     * 参数示例：<pre>yqq002</pre>     
     * 此参数必填
     */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

}
