package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaAddressPostalAddress {

    private String postalCode;

    /**
     * @return 邮编
     */
    public String getPostalCode() {
        return postalCode;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    private String street;

    /**
     * @return 街道信息
     */
    public String getStreet() {
        return street;
    }

    /**
     * 设置街道信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStreet(String street) {
        this.street = street;
    }

    private String name;

    /**
     * @return 名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private AlibabaAddressArea area;

    /**
     * @return 区对象
     */
    public AlibabaAddressArea getArea() {
        return area;
    }

    /**
     * 设置区对象     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setArea(AlibabaAddressArea area) {
        this.area = area;
    }

    private AlibabaAddressCountry country;

    /**
     * @return 国家对象
     */
    public AlibabaAddressCountry getCountry() {
        return country;
    }

    /**
     * 设置国家对象     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCountry(AlibabaAddressCountry country) {
        this.country = country;
    }

    private AlibabaAddressCity city;

    /**
     * @return 城市对象
     */
    public AlibabaAddressCity getCity() {
        return city;
    }

    /**
     * 设置城市对象     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCity(AlibabaAddressCity city) {
        this.city = city;
    }

    private AlibabaAddressProvince province;

    /**
     * @return 省份对象
     */
    public AlibabaAddressProvince getProvince() {
        return province;
    }

    /**
     * 设置省份对象     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvince(AlibabaAddressProvince province) {
        this.province = province;
    }

}
