package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCommonUrl {

    private String name;

    /**
     * @return url的类型，比如是商品详情URL， 商品小图标URL，大图标URL
     */
    public String getName() {
        return name;
    }

    /**
     * 设置url的类型，比如是商品详情URL， 商品小图标URL，大图标URL     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String value;

    /**
     * @return url的值
     */
    public String getValue() {
        return value;
    }

    /**
     * 设置url的值     *
     * 参数示例：<pre>http://www.1688.com</pre>     
     * 此参数必填
     */
    public void setValue(String value) {
        this.value = value;
    }

}
