package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaMemberGetShopInfoListParam extends AbstractAPIRequest<AlibabaMemberGetShopInfoListResult> {

    public AlibabaMemberGetShopInfoListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.member.getShopInfoList", 1);
    }

    private String[] domains;

    /**
     * @return 域名数组
     */
    public String[] getDomains() {
        return domains;
    }

    /**
     * 设置域名数组     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDomains(String[] domains) {
        this.domains = domains;
    }

}
