package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizInvoiceGroup {

    private String address;

    /**
     * @return 街道
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置街道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String addressAndPhone;

    /**
     * @return 地址|电话
     */
    public String getAddressAndPhone() {
        return addressAndPhone;
    }

    /**
     * 设置地址|电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddressAndPhone(String addressAndPhone) {
        this.addressAndPhone = addressAndPhone;
    }

    private String areaCode;

    /**
     * @return 地区编码
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置地区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    private String bankAndAccount;

    /**
     * @return 开户行及帐号
     */
    public String getBankAndAccount() {
        return bankAndAccount;
    }

    /**
     * 设置开户行及帐号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBankAndAccount(String bankAndAccount) {
        this.bankAndAccount = bankAndAccount;
    }

    private String cityCode;

    /**
     * @return 城市编码
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置城市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    private String companyName;

    /**
     * @return 购货公司名
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * 设置购货公司名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    private String fullName;

    /**
     * @return 收票人姓名
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置收票人姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    private Boolean invoiceFlag;

    /**
     * @return 发票标记
     */
    public Boolean getInvoiceFlag() {
        return invoiceFlag;
    }

    /**
     * 设置发票标记     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceFlag(Boolean invoiceFlag) {
        this.invoiceFlag = invoiceFlag;
    }

    private Integer invoiceType;

    /**
     * @return 0：普通发票，1:增值税发票
     */
    public Integer getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置0：普通发票，1:增值税发票     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    private String localInvoiceId;

    /**
     * @return 增值税本地发票号
     */
    public String getLocalInvoiceId() {
        return localInvoiceId;
    }

    /**
     * 设置增值税本地发票号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLocalInvoiceId(String localInvoiceId) {
        this.localInvoiceId = localInvoiceId;
    }

    private String mergedJsonVar;

    /**
     * @return 前端提交的json数据格式
     */
    public String getMergedJsonVar() {
        return mergedJsonVar;
    }

    /**
     * 设置前端提交的json数据格式     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMergedJsonVar(String mergedJsonVar) {
        this.mergedJsonVar = mergedJsonVar;
    }

    private String mobile;

    /**
     * @return 手机
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String phone;

    /**
     * @return 电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String postCode;

    /**
     * @return 邮编
     */
    public String getPostCode() {
        return postCode;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    private String provinceCode;

    /**
     * @return 省份编码
     */
    public String getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置省份编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    private String taxpayerIdentifier;

    /**
     * @return 纳税识别码
     */
    public String getTaxpayerIdentifier() {
        return taxpayerIdentifier;
    }

    /**
     * 设置纳税识别码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaxpayerIdentifier(String taxpayerIdentifier) {
        this.taxpayerIdentifier = taxpayerIdentifier;
    }

}
