package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizMakeSingleOrderGroup {

    private AlibabaOpenplatformTradeBizReceiveAddressGroup receiveAddressGroup;

    /**
     * @return 收货地址信息
     */
    public AlibabaOpenplatformTradeBizReceiveAddressGroup getReceiveAddressGroup() {
        return receiveAddressGroup;
    }

    /**
     * 设置收货地址信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveAddressGroup(AlibabaOpenplatformTradeBizReceiveAddressGroup receiveAddressGroup) {
        this.receiveAddressGroup = receiveAddressGroup;
    }

    private AlibabaOpenplatformTradeBizInvoiceGroup invoiceGroup;

    /**
     * @return 发票信息
     */
    public AlibabaOpenplatformTradeBizInvoiceGroup getInvoiceGroup() {
        return invoiceGroup;
    }

    /**
     * 设置发票信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceGroup(AlibabaOpenplatformTradeBizInvoiceGroup invoiceGroup) {
        this.invoiceGroup = invoiceGroup;
    }

    private AlibabaOpenplatformTradeBizOtherInfoGroup otherInfoGroup;

    /**
     * @return 多个其它信息时使用，比如一些费用
     */
    public AlibabaOpenplatformTradeBizOtherInfoGroup getOtherInfoGroup() {
        return otherInfoGroup;
    }

    /**
     * 设置多个其它信息时使用，比如一些费用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOtherInfoGroup(AlibabaOpenplatformTradeBizOtherInfoGroup otherInfoGroup) {
        this.otherInfoGroup = otherInfoGroup;
    }

    private AlibabaOpenplatformTradeBizCargoGroup[] cargoGroups;

    /**
     * @return 商品信息
     */
    public AlibabaOpenplatformTradeBizCargoGroup[] getCargoGroups() {
        return cargoGroups;
    }

    /**
     * 设置商品信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCargoGroups(AlibabaOpenplatformTradeBizCargoGroup[] cargoGroups) {
        this.cargoGroups = cargoGroups;
    }

    private AlibabaOpenplatformTradeBizStepPayGroup stepPayGroup;

    /**
     * @return 阶段支付信息
     */
    public AlibabaOpenplatformTradeBizStepPayGroup getStepPayGroup() {
        return stepPayGroup;
    }

    /**
     * 设置阶段支付信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepPayGroup(AlibabaOpenplatformTradeBizStepPayGroup stepPayGroup) {
        this.stepPayGroup = stepPayGroup;
    }

}
