package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizReceiveAddressGroup {

    private String address;

    /**
     * @return 街道地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置街道地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private Long addressId;

    /**
     * @return 用户在阿里巴巴已经保存的收货地址的id
     */
    public Long getAddressId() {
        return addressId;
    }

    /**
     * 设置用户在阿里巴巴已经保存的收货地址的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddressId(Long addressId) {
        this.addressId = addressId;
    }

    private String areaCode;

    /**
     * @return 地区编码
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置地区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    private String areaText;

    /**
     * @return 地区
     */
    public String getAreaText() {
        return areaText;
    }

    /**
     * 设置地区     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaText(String areaText) {
        this.areaText = areaText;
    }

    private String cityCode;

    /**
     * @return 城市编码
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置城市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    private String cityText;

    /**
     * @return 城市
     */
    public String getCityText() {
        return cityText;
    }

    /**
     * 设置城市     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCityText(String cityText) {
        this.cityText = cityText;
    }

    private String fullName;

    /**
     * @return 收货人姓名
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置收货人姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    private String group;

    /**
     * @return 信息所属分组。多订单提交时用来分组
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置信息所属分组。多订单提交时用来分组     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private Boolean isTemp;

    /**
     * @return 是否为临时地址
     */
    public Boolean getIsTemp() {
        return isTemp;
    }

    /**
     * 设置是否为临时地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsTemp(Boolean isTemp) {
        this.isTemp = isTemp;
    }

    private String memberId;

    /**
     * @return 
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String mobile;

    /**
     * @return 手机
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String phone;

    /**
     * @return 电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String pickType;

    /**
     * @return 提货类型
     */
    public String getPickType() {
        return pickType;
    }

    /**
     * 设置提货类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPickType(String pickType) {
        this.pickType = pickType;
    }

    private String postCode;

    /**
     * @return 邮编
     */
    public String getPostCode() {
        return postCode;
    }

    /**
     * 设置邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    private String provinceCode;

    /**
     * @return 省份编码
     */
    public String getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置省份编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    private String provinceText;

    /**
     * @return 省份
     */
    public String getProvinceText() {
        return provinceText;
    }

    /**
     * 设置省份     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceText(String provinceText) {
        this.provinceText = provinceText;
    }

    private Boolean isText;

    /**
     * @return 收货地址是否以文本传输
     */
    public Boolean getIsText() {
        return isText;
    }

    /**
     * 设置收货地址是否以文本传输     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsText(Boolean isText) {
        this.isText = isText;
    }

    private String warehouse;

    /**
     * @return 仓库名称
     */
    public String getWarehouse() {
        return warehouse;
    }

    /**
     * 设置仓库名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    private Boolean isDefault;

    /**
     * @return 是否为默认地址
     */
    public Boolean getIsDefault() {
        return isDefault;
    }

    /**
     * 设置是否为默认地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsDefault(Boolean isDefault) {
        this.isDefault = isDefault;
    }

}
