package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeResultTradeCreateGeneralOrderResult {

    private Boolean success;

    /**
     * @return 是否成功
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置是否成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private Long totalSuccessAmount;

    /**
     * @return 下单成功的订单总金额
     */
    public Long getTotalSuccessAmount() {
        return totalSuccessAmount;
    }

    /**
     * 设置下单成功的订单总金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalSuccessAmount(Long totalSuccessAmount) {
        this.totalSuccessAmount = totalSuccessAmount;
    }

    private AlibabaOpenplatformTradeBizOrderCommitResult[] commitResults;

    /**
     * @return 多订单提交后的处理结果.
     */
    public AlibabaOpenplatformTradeBizOrderCommitResult[] getCommitResults() {
        return commitResults;
    }

    /**
     * 设置多订单提交后的处理结果.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCommitResults(AlibabaOpenplatformTradeBizOrderCommitResult[] commitResults) {
        this.commitResults = commitResults;
    }

    private AlibabaOpenplatformTradeBizMutilOrderPublicData mutilOrderPublicData;

    /**
     * @return 多订单共有数据属性
     */
    public AlibabaOpenplatformTradeBizMutilOrderPublicData getMutilOrderPublicData() {
        return mutilOrderPublicData;
    }

    /**
     * 设置多订单共有数据属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMutilOrderPublicData(AlibabaOpenplatformTradeBizMutilOrderPublicData mutilOrderPublicData) {
        this.mutilOrderPublicData = mutilOrderPublicData;
    }

    private AlibabaOpenplatformTradeResultCodeDef resultCode;

    /**
     * @return 错误码
     */
    public AlibabaOpenplatformTradeResultCodeDef getResultCode() {
        return resultCode;
    }

    /**
     * 设置错误码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResultCode(AlibabaOpenplatformTradeResultCodeDef resultCode) {
        this.resultCode = resultCode;
    }

    private AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] failOrderMap;

    /**
     * @return 处理失败的订单块.
     */
    public AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] getFailOrderMap() {
        return failOrderMap;
    }

    /**
     * 设置处理失败的订单块.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFailOrderMap(AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] failOrderMap) {
        this.failOrderMap = failOrderMap;
    }

    private AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] successOrderMap;

    /**
     * @return 处理成功的订单块.
     */
    public AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] getSuccessOrderMap() {
        return successOrderMap;
    }

    /**
     * 设置处理成功的订单块.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuccessOrderMap(AlibabaOpenplatformTradeKeyValuePairBizOrderCommitResult[] successOrderMap) {
        this.successOrderMap = successOrderMap;
    }

}
