package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOrderMemoAddParam extends AbstractAPIRequest<AlibabaOrderMemoAddResult> {

    public AlibabaOrderMemoAddParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.order.memoAdd", 1);
    }

    private Long orderId;

    /**
     * @return 订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre>1234567</pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String memo;

    /**
     * @return 备注信息
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 设置备注信息     *
     * 参数示例：<pre>订单备注详情</pre>     
     * 此参数必填
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

}
