package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPaymentBankAccountInfo {

    private String accountBranch;

    /**
     * @return 分行
     */
    public String getAccountBranch() {
        return accountBranch;
    }

    /**
     * 设置分行     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountBranch(String accountBranch) {
        this.accountBranch = accountBranch;
    }

    private String accountName;

    /**
     * @return 账户名
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 设置账户名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    private String accountNo;

    /**
     * @return 账户
     */
    public String getAccountNo() {
        return accountNo;
    }

    /**
     * 设置账户     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    private String accountPlace;

    /**
     * @return 开户地
     */
    public String getAccountPlace() {
        return accountPlace;
    }

    /**
     * 设置开户地     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountPlace(String accountPlace) {
        this.accountPlace = accountPlace;
    }

    private String groupName;

    /**
     * @return 类似开户行，支付宝、网商银行
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置类似开户行，支付宝、网商银行     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    private String paymentLines;

    /**
     * @return 联行号
     */
    public String getPaymentLines() {
        return paymentLines;
    }

    /**
     * 设置联行号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPaymentLines(String paymentLines) {
        this.paymentLines = paymentLines;
    }

}
