package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPaymentChannelPreparePayResult {

    private String paymentCode;

    /**
     * @return 付款识别码
     */
    public String getPaymentCode() {
        return paymentCode;
    }

    /**
     * 设置付款识别码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPaymentCode(String paymentCode) {
        this.paymentCode = paymentCode;
    }

    private AlibabaPaymentBankAccountInfo sellerBankAccountInfo;

    /**
     * @return 卖家收款银行账号信息
     */
    public AlibabaPaymentBankAccountInfo getSellerBankAccountInfo() {
        return sellerBankAccountInfo;
    }

    /**
     * 设置卖家收款银行账号信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerBankAccountInfo(AlibabaPaymentBankAccountInfo sellerBankAccountInfo) {
        this.sellerBankAccountInfo = sellerBankAccountInfo;
    }

}
