package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPaymentPayChannels {

    private AlibabaPaymentPayChannel[] availbleChannels;

    /**
     * @return 可选支付渠道
     */
    public AlibabaPaymentPayChannel[] getAvailbleChannels() {
        return availbleChannels;
    }

    /**
     * 设置可选支付渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAvailbleChannels(AlibabaPaymentPayChannel[] availbleChannels) {
        this.availbleChannels = availbleChannels;
    }

    private AlibabaPaymentPayChannel defaultSelected;

    /**
     * @return 默认已选支付渠道
     */
    public AlibabaPaymentPayChannel getDefaultSelected() {
        return defaultSelected;
    }

    /**
     * 设置默认已选支付渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDefaultSelected(AlibabaPaymentPayChannel defaultSelected) {
        this.defaultSelected = defaultSelected;
    }

}
