package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductItemDetail {

    private String itemName;

    /**
     * @return 单品名字
     */
    public String getItemName() {
        return itemName;
    }

    /**
     * 设置单品名字     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    private String unitOfMeasure;

    /**
     * @return 单位
     */
    public String getUnitOfMeasure() {
        return unitOfMeasure;
    }

    /**
     * 设置单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnitOfMeasure(String unitOfMeasure) {
        this.unitOfMeasure = unitOfMeasure;
    }

    private AlibabaCommonUrl[] imgUrl;

    /**
     * @return 单品URL地址
     */
    public AlibabaCommonUrl[] getImgUrl() {
        return imgUrl;
    }

    /**
     * 设置单品URL地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImgUrl(AlibabaCommonUrl[] imgUrl) {
        this.imgUrl = imgUrl;
    }

    private AlibabaCommonUrl url;

    /**
     * @return 单品URL地址
     */
    public AlibabaCommonUrl getUrl() {
        return url;
    }

    /**
     * 设置单品URL地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUrl(AlibabaCommonUrl url) {
        this.url = url;
    }

    private AlibabaProductUnitPrice unitPrice;

    /**
     * @return 单品价格
     */
    public AlibabaProductUnitPrice getUnitPrice() {
        return unitPrice;
    }

    /**
     * 设置单品价格     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnitPrice(AlibabaProductUnitPrice unitPrice) {
        this.unitPrice = unitPrice;
    }

}
