package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductItemIDDefinition {

    private String skuId;

    /**
     * @return skuId对应平台的skuID
     */
    public String getSkuId() {
        return skuId;
    }

    /**
     * 设置skuId对应平台的skuID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    private String spuId;

    /**
     * @return spuID, 对应平台的offerId或者productId
     */
    public String getSpuId() {
        return spuId;
    }

    /**
     * 设置spuID, 对应平台的offerId或者productId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpuId(String spuId) {
        this.spuId = spuId;
    }

    private String skuName;

    /**
     * @return skuId对应平台的名称
     */
    public String getSkuName() {
        return skuName;
    }

    /**
     * 设置skuId对应平台的名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

}
