package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductProductItemInfo {

    private String description;

    /**
     * @return 商品描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置商品描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String name;

    /**
     * @return 商品名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置商品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String spuId;

    /**
     * @return 商品的ID
     */
    public String getSpuId() {
        return spuId;
    }

    /**
     * 设置商品的ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpuId(String spuId) {
        this.spuId = spuId;
    }

    private AlibabaCommonUrl url;

    /**
     * @return 商品URL
     */
    public AlibabaCommonUrl getUrl() {
        return url;
    }

    /**
     * 设置商品URL     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUrl(AlibabaCommonUrl url) {
        this.url = url;
    }

    private AlibabaProductRelateRelationGroupInfo relationGroupInfos;

    /**
     * @return 商品关联信息
     */
    public AlibabaProductRelateRelationGroupInfo getRelationGroupInfos() {
        return relationGroupInfos;
    }

    /**
     * 设置商品关联信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRelationGroupInfos(AlibabaProductRelateRelationGroupInfo relationGroupInfos) {
        this.relationGroupInfos = relationGroupInfos;
    }

    private AlibabaCommonUrl[] imgUrls;

    /**
     * @return 图片地址
     */
    public AlibabaCommonUrl[] getImgUrls() {
        return imgUrls;
    }

    /**
     * 设置图片地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImgUrls(AlibabaCommonUrl[] imgUrls) {
        this.imgUrls = imgUrls;
    }

    private AlibabaTradeItemIn[] relatedItems;

    /**
     * @return 关联的单品信息
     */
    public AlibabaTradeItemIn[] getRelatedItems() {
        return relatedItems;
    }

    /**
     * 设置关联的单品信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRelatedItems(AlibabaTradeItemIn[] relatedItems) {
        this.relatedItems = relatedItems;
    }

    private String sellerId;

    /**
     * @return 供应商userId
     */
    public String getSellerId() {
        return sellerId;
    }

    /**
     * 设置供应商userId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    private String sellerMemberId;

    /**
     * @return 供应商memberId
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置供应商memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String sellerLoginId;

    /**
     * @return 供应商旺旺Id
     */
    public String getSellerLoginId() {
        return sellerLoginId;
    }

    /**
     * 设置供应商旺旺Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerLoginId(String sellerLoginId) {
        this.sellerLoginId = sellerLoginId;
    }

    private Boolean buyAlone;

    /**
     * @return 商品是否只能单独创建一个订单
     */
    public Boolean getBuyAlone() {
        return buyAlone;
    }

    /**
     * 设置商品是否只能单独创建一个订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyAlone(Boolean buyAlone) {
        this.buyAlone = buyAlone;
    }

}
