package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductRelateCargoNumberProductRetrieveRequest {

    private Long supplyUserId;

    /**
     * @return 卖家ID
     */
    public Long getSupplyUserId() {
        return supplyUserId;
    }

    /**
     * 设置卖家ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplyUserId(Long supplyUserId) {
        this.supplyUserId = supplyUserId;
    }

    private AlibabaProductItemIDDefinition[] idListOfSupplier;

    /**
     * @return 卖家的货号列表
     */
    public AlibabaProductItemIDDefinition[] getIdListOfSupplier() {
        return idListOfSupplier;
    }

    /**
     * 设置卖家的货号列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIdListOfSupplier(AlibabaProductItemIDDefinition[] idListOfSupplier) {
        this.idListOfSupplier = idListOfSupplier;
    }

}
