package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaShippingShipTo {

    private AlibabaShippingCarrierIdentifier[] expectCarrierIdentifier;

    /**
     * @return 买家期望的物流方式
     */
    public AlibabaShippingCarrierIdentifier[] getExpectCarrierIdentifier() {
        return expectCarrierIdentifier;
    }

    /**
     * 设置买家期望的物流方式     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExpectCarrierIdentifier(AlibabaShippingCarrierIdentifier[] expectCarrierIdentifier) {
        this.expectCarrierIdentifier = expectCarrierIdentifier;
    }

    private AlibabaAddressAddress address;

    /**
     * @return 收货地址
     */
    public AlibabaAddressAddress getAddress() {
        return address;
    }

    /**
     * 设置收货地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(AlibabaAddressAddress address) {
        this.address = address;
    }

}
