package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeAddresscodeGetParam extends AbstractAPIRequest<AlibabaTradeAddresscodeGetResult> {

    public AlibabaTradeAddresscodeGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.addresscode.get", 1);
    }

    private String areaCode;

    /**
     * @return 地址code码
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置地址code码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    private String webSite;

    /**
     * @return 
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
