package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeGoodsInfo {

    private Long cartId;

    /**
     * @return 淘宝cartId
     */
    public Long getCartId() {
        return cartId;
    }

    /**
     * 设置淘宝cartId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCartId(Long cartId) {
        this.cartId = cartId;
    }

    private String ext;

    /**
     * @return 该参数是url中完整的id参数对应的json格式数据中,key等于ext的参数值.
     */
    public String getExt() {
        return ext;
    }

    /**
     * 设置该参数是url中完整的id参数对应的json格式数据中,key等于ext的参数值.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExt(String ext) {
        this.ext = ext;
    }

    private String flow;

    /**
     * @return 所属流程
     */
    public String getFlow() {
        return flow;
    }

    /**
     * 设置所属流程     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFlow(String flow) {
        this.flow = flow;
    }

    private String id;

    /**
     * @return id,Cargo 标识
     */
    public String getId() {
        return id;
    }

    /**
     * 设置id,Cargo 标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(String id) {
        this.id = id;
    }

    private Long offerId;

    /**
     * @return 商品ID，offerId
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置商品ID，offerId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private Double quantity;

    /**
     * @return 数量
     */
    public Double getQuantity() {
        return quantity;
    }

    /**
     * 设置数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    private String specId;

    /**
     * @return 商品的规格特征值
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置商品的规格特征值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private String tradeMode;

    /**
     * @return 交易模式参数,交易4.0引入
     */
    public String getTradeMode() {
        return tradeMode;
    }

    /**
     * 设置交易模式参数,交易4.0引入     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeMode(String tradeMode) {
        this.tradeMode = tradeMode;
    }

    private String tradeWay;

    /**
     * @return 交易模式交易模式的分类,交易4.0mutilstep的模板id
     */
    public String getTradeWay() {
        return tradeWay;
    }

    /**
     * 设置交易模式交易模式的分类,交易4.0mutilstep的模板id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeWay(String tradeWay) {
        this.tradeWay = tradeWay;
    }

    private AlibabaTradeComKeyValuePair[] extParams;

    /**
     * @return 扩展数据,附加参数集合,自定各个业务场景下的附加属性
     */
    public AlibabaTradeComKeyValuePair[] getExtParams() {
        return extParams;
    }

    /**
     * 设置扩展数据,附加参数集合,自定各个业务场景下的附加属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtParams(AlibabaTradeComKeyValuePair[] extParams) {
        this.extParams = extParams;
    }

}
