package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeQueryTradeTypesOfOfferParam extends AbstractAPIRequest<AlibabaTradeQueryTradeTypesOfOfferResult> {

    public AlibabaTradeQueryTradeTypesOfOfferParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.queryTradeTypesOfOffer", 1);
    }

    private String sellerMemberId;

    /**
     * @return 卖家memberId
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private Long productId;

    /**
     * @return 商品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置商品Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private Long catId;

    /**
     * @return 类目id
     */
    public Long getCatId() {
        return catId;
    }

    /**
     * 设置类目id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCatId(Long catId) {
        this.catId = catId;
    }

}
