package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeSimpleediCreateParam extends AbstractAPIRequest<AlibabaTradeSimpleediCreateResult> {

    public AlibabaTradeSimpleediCreateParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.simpleedi.create", 1);
    }

    private byte[] ediContent;

    /**
     * @return 文件内容
     */
    public byte[] getEdiContent() {
        return ediContent;
    }

    /**
     * 设置文件内容     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEdiContent(byte[] ediContent) {
        this.ediContent = ediContent;
    }

}
